<?php
    // Variables
    $pin = '../';
    // Incluir las clases y funciones para las conexiones a la base de datos
    include_once $pin.'connection/cnx_bd.php';
    $c = new Conexion();$reg = $c->conectar_1();
    $c = new Conexion();$cat = $c->conectar_2();
    // Fecha y Hora actual
    date_default_timezone_set("America/Mexico_City");$fecha = time();
    // Obtener datos JSON enviados
    $data = file_get_contents('php://input');
    $data = json_decode($data, true);
    // Obtener el encabezado, cuerpo de datos y nombre de la tabla temporal
    $head = $data[0];
    $body = $data[1];
    $name = "importar";
    // Limpiar la variable de datos
    $data = 0;
    // Guardar el archivo
    $ruta = str_replace('\\','/',substr(__FILE__,0,-3).'txt');
    $save = file_put_contents($ruta, $body);
    // Evaluar si se guardo el archivo
    if($save !== false){
        // Borar la tabla de importacion
        $query  = "DROP TABLE IF EXISTS ct_$name;";
        // Generar query de importacion
        $query .= "CREATE TABLE ct_$name (";
        $query .= "id INT NOT NULL AUTO_INCREMENT,";
        foreach($head as $x){$query .= "$x VARCHAR(100) NULL DEFAULT NULL,";}
        $query .= "activo int(1) NULL DEFAULT NULL,";
        $query .= "marca int(1) NULL DEFAULT NULL,";
        $query .= "PRIMARY KEY (`id`)";
        $query .= ") ENGINE = MyISAM;";
        // Consulta SQL Importar los datos desde el archivo
        $query .= "LOAD DATA LOCAL INFILE '$ruta' ";
        $query .= "INTO TABLE ct_$name ";
        $query .= "CHARACTER SET UTF8MB4 ";
        $query .= "FIELDS TERMINATED BY '|' ";
        $query .= "ENCLOSED BY '\"' ";
        $query .= "LINES TERMINATED BY '\n' ";
        $query .= "(".implode(',',$head).");";
        // Activar las columnas
        $query .= "UPDATE ct_importar SET activo = 1, marca = 0;";
        // Ejecutar el query
        $query = $cat->prepare($query);
        if($query->execute()){echo 'guardado';}
        // Eliminar el archivo generado
        //unlink($ruta);
    } else {echo 'archivo';}
?>