<?php session_start();
    // Variables
    $_SESSION['title'] = 'Asignación - Estructura Operativa';
    $pin = '../../../';
    $head_2 = ''.
        "<link rel='stylesheet' href='{$pin}lib/css/dataTable.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_caja.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_tabla.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_formulario.css'>";
    $body_2 = ''.
        "<script src='{$pin}lib/js/dataTable.js'></script>".
        "<script src='{$pin}lib/js/dataTable.buttons.js'></script>".
        "<script src='{$pin}lib/js/exceljs.js'></script>".
        "<script src='{$pin}lib/js/script_tabla.js'></script>";
    // Datos de la tabla
    $tabl = 'td_estructura_operativa';
    $colu = ['id','fotografia_viva','id_cargo','id_entidad','id_municipio','clave_elector','nombre','paterno','materno','alias','numero_celular','correo','fecha','id_hash'];
    $colu_tabl = "";foreach($colu as $c){
        $c = isset($inne) ? substr($c,3) : $c;
        if($c == 'id'){$colu_tabl .= "<th class='tabl_tam1 text_cent'>ASIGNAR</th>";}
        $c = strtoupper($c);
        if($c == 'FOTOGRAFIA_VIVA'){$c = 'FOTO VIVA';}
        if($c == 'ID_CARGO'){$c = 'CARGO';}
        if($c == 'ID_ENTIDAD'){$c = 'ENTIDAD';}
        if($c == 'ID_MUNICIPIO'){$c = 'MUNICIPIO';}
        if($c == 'CLAVE_ELECTOR'){$c = 'CLAVE';}
        if($c == 'NUMERO_CELULAR'){$c = 'CELULAR';}
        if($c == 'FECHA'){$c = 'FECHA REGISTRO';}
        $colu_tabl .= "<th class='text_cent'>{$c}</th>";
    }
    // Datos de la tabla
    $asig_tabl = 'td_registro';
    $asig_colu = ['c1.id','c2.fotografia_viva','c3.id_entidad','c3.id_municipio','c3.id_seccion','c4.nombre','c4.paterno','c4.materno','c4.clave_elector','c4.cic','c4.ocr','c5.numero_celular','c6.correo','c1.fecha','c1.id_hash_padre'];
    $asig_inne  = "c1";
    $asig_inne .= " INNER JOIN td_fotografia_viva c2 ON c1.id_hash = c2.id_hash";
    $asig_inne .= " INNER JOIN td_ambito c3 ON c1.id_hash = c3.id_hash";
    $asig_inne .= " INNER JOIN td_datos_personales c4 ON c1.id_hash = c4.id_hash";
    $asig_inne .= " INNER JOIN td_numero_celular c5 ON c1.id_hash = c5.id_hash";
    $asig_inne .= " INNER JOIN td_correo c6 ON c1.id_hash = c6.id_hash";
    $asig_colu_tabl = "";foreach($asig_colu as $c){
        $c = isset($asig_inne) ? substr($c,3) : $c;
        if($c == 'id'){$asig_colu_tabl .= "<th class='tabl_tam1 text_cent'>ESTATUS</th>";}
        $c = strtoupper($c);
        if($c == 'FOTOGRAFIA_VIVA'){$c = 'FOTO VIVA';}
        if($c == 'ID_ENTIDAD'){$c = 'ENTIDAD';}
        if($c == 'ID_SECCION'){$c = 'SECCION';}
        if($c == 'ID_MUNICIPIO'){$c = 'MUNICIPIO';}
        if($c == 'NUMERO_CELULAR'){$c = 'CELULAR';}
        if($c == 'CLAVE_ELECTOR'){$c = 'CLAVE';}
        if($c == 'FOLIO_CREDENCIAL'){$c = 'FOLIO NACIONAL';}
        if($c == 'FECHA'){$c = 'FECHA REGISTRO';}
        $asig_colu_tabl .= "<th class='text_cent'>{$c}</th>";
    }
?>
<!DOCTYPE html>
<html lang="es">
<?php include $pin.'include/head.php'?>
<body>
    <div class="contenedor" style="max-width: 2000px;">
        <div class="caja tam1">
            <div class="titulo_1">Asignación - Estructura Operativa</div>
            <table id="t_crud" class="nowrap" style="width: 100%;"><thead><?php echo $colu_tabl?></thead></table>
        </div>
    </div>
<script>var pin = '<?php echo $pin?>',ocultar = [8,9,14],expo_mini = 1,expo_maxi = -1,tabl = '<?php echo $tabl?>',colu = <?php echo json_encode($colu)?>,asig_tabl = '<?php echo $asig_tabl?>',asig_colu = <?php echo json_encode($asig_colu)?>;</script>
<?php include $pin.'include/body.php'?>
<script>
    // Crear tabla para el crud
    var t_crud = $('#t_crud').DataTable({
        dom: 'QBftipr',
        language: utf8,
        scrollX: true,
        serverSide: true,
        deferRender: true,
        order: [[1,'desc']],
        buttons: [expo_xlsx],
        columnDefs: [{targets: ocultar,visible: false},{targets: [1,11],className: 'text_cent'}],
        ajax: {url: `${pin}api/buscar.php`,type: 'POST',data: function(d){d.ajax = [tabl,colu];d.length = 10;d.asigna = 1;d.noelim = 1;d.noedit = 1;d.nosele = 1;d.where = ' AND id_cargo = 4'}},
    }).on('init.dt',function(){$('.dataTables_filter label').append('<div class="icon"><i class="fa-solid fa-magnifying-glass"></i></div>');$('.dataTables_filter input').attr('placeholder','Buscar...');carga(false,1)})
    // Funcion para mostrar la informacion del usuario
    $(document).on('click','.asignacion',function(){
        // Mostrar pantalla de carga
        carga(true,1)
        // Obtener el id_hash del auxiliar
        var id = $(this).attr('data-id')
        // Obtener la entidad
        var en = $(this).attr('data-en')
        // Obtener el municipio
        var mp = $(this).attr('data-mp')
        // Mostrar ventana
        Swal.fire({
            width: 1500,
            title: 'Asiganción de propuestas',
            html: `<table id="t_asig" class="nowrap" style="width: 100%;"><thead><?php echo $asig_colu_tabl?></thead></table>`,
            showCloseButton: true,
            showConfirmButton: false,
            allowOutsideClick: false,
        })
        // Crear tabla para el crud
        var t_asig = $('#t_asig').DataTable({
            dom: 'Qftipr',
            language: utf8,
            scrollX: true,
            serverSide: true,
            deferRender: true,
            order: [[0,'asc']],
            buttons: [],
            columnDefs: [{targets: [7,8,15],visible: false},{targets: [0],orderable: false},{targets: [3,4,5,6,7,8,9],className: 'text_left'}],
            ajax: {url: `${pin}api/buscar.php`,type: 'POST',data: function(d){d.ajax = [asig_tabl,asig_colu];d.length = 10;d.estats = 1;d.noelim = 1;d.noedit = 1;d.nosele = 1;d.inner = "<?php echo $asig_inne?>";d.where = ` AND (c1.id_hash_padre IS NULL OR c1.id_hash_padre = '${id}') AND c3.id_entidad = '${en}' AND c3.id_municipio = '${mp}'`}},
        }).on('init.dt',function(){$('.dataTables_filter label').append('<div class="icon"><i class="fa-solid fa-magnifying-glass"></i></div>');$('.dataTables_filter input').attr('placeholder','Buscar...');carga(false,1)})
        // Funcion para asignar o quitar asignacion
        $(document).off('click','.asignar').on('click','.asignar',function(){
            // Obtener el id hash
            var hash = $(this).attr('data-id')
            // Obtener el valor de asignacion
            var dato = $(this).attr('data-vl')
            // Obtener el objeto html
            var html = $(this)
            // Actualizar tabla
            $.ajax({
                type: "POST",
                url: `${pin}api/actualizar.php`,
                data: {asignacion : [dato,id,hash]},
                success: function (r){
                    // Evaluar el cambio
                    if(dato == 0){
                        // Camiar atributos
                        html.removeClass('back_rojo').addClass('back_azul')
                        html.attr('data-vl',1)
                        html.find('.tabl_icon').html('<i class="fa-solid fa-check"></i>')
                        html.find('.tabl_text').html('ASIGNADO')
                    } else {
                        // Camiar atributos
                        html.removeClass('back_azul').addClass('back_rojo')
                        html.attr('data-vl',0)
                        html.find('.tabl_icon').html('<i class="fa-solid fa-xmark"></i>')
                        html.find('.tabl_text').html('SIN ASIGNAR')
                    }
                }
            });
        })
    })
    // Quitar funcion para visializar la fotografia
    $(document).off('click','.fotografia')
    // Funcion para editar la informacion del registro
    $(document).off('click','.edit_ajax').on('click','.edit_ajax',function(){
        // Obtener el id del registro
        var id = $(this).attr('data-id')
        // Redireccionar al formulario de registro
        location.href = 'registro.php?id='+id
    })
</script>
</body>
</html>