<?php session_start();
    // Variables
    $_SESSION['title'] = 'Asignación - Estructura Operativa';
    $pin = '../../../';
    $head_2 = ''.
        "<link rel='stylesheet' href='{$pin}lib/css/dataTable.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_caja.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_tabla.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_formulario.css'>";
    $body_2 = ''.
        "<script src='{$pin}lib/js/dataTable.js'></script>".
        "<script src='{$pin}lib/js/dataTable.buttons.js'></script>".
        "<script src='{$pin}lib/js/exceljs.js'></script>".
        "<script src='{$pin}lib/js/script_tabla.js'></script>";
    // Datos de la tabla
    $tabl = 'td_estructura_operativa';
    $colu = ['id','fotografia_viva','id_cargo','id_entidad','id_municipio','clave_elector','nombre','paterno','materno','alias','numero_celular','correo','fecha','id_hash'];
    $colu_tabl = "";foreach($colu as $c){
        $c = isset($inne) ? substr($c,3) : $c;
        if($c == 'id'){$colu_tabl .= "<th class='tabl_tam1 text_cent'>SUSTITUIR</th>";}
        $c = strtoupper($c);
        if($c == 'FOTOGRAFIA_VIVA'){$c = 'FOTO VIVA';}
        if($c == 'ID_CARGO'){$c = 'CARGO';}
        if($c == 'ID_ENTIDAD'){$c = 'ENTIDAD';}
        if($c == 'ID_MUNICIPIO'){$c = 'MUNICIPIO';}
        if($c == 'CLAVE_ELECTOR'){$c = 'CLAVE';}
        if($c == 'NUMERO_CELULAR'){$c = 'CELULAR';}
        if($c == 'FECHA'){$c = 'FECHA REGISTRO';}
        $colu_tabl .= "<th class='text_cent'>{$c}</th>";
    }
?>
<!DOCTYPE html>
<html lang="es">
<?php include $pin.'include/head.php'?>
<body>
    <div class="contenedor" style="max-width: 2000px;">
        <div class="caja tam1">
            <div class="titulo_1">Asignación - Estructura Operativa</div>
            <table id="t_crud" class="nowrap" style="width: 100%;"><thead><?php echo $colu_tabl?></thead></table>
        </div>
    </div>
<script>var pin = '<?php echo $pin?>',ocultar = [8,9,14],expo_mini = 1,expo_maxi = -1,tabl = '<?php echo $tabl?>',colu = <?php echo json_encode($colu)?>;</script>
<?php include $pin.'include/body.php'?>
<script>
    // Crear tabla para el crud
    var t_crud = $('#t_crud').DataTable({
        dom: 'QBftipr',
        language: utf8,
        scrollX: true,
        serverSide: true,
        deferRender: true,
        order: [[1,'desc']],
        buttons: [expo_xlsx],
        columnDefs: [{targets: ocultar,visible: false},{targets: [1,11],className: 'text_cent'}],
        ajax: {url: `${pin}api/buscar.php`,type: 'POST',data: function(d){d.ajax = [tabl,colu];d.length = 10;d.sustituir = 1;d.noelim = 1;d.noedit = 1;d.nosele = 1;}},
    }).on('init.dt',function(){$('.dataTables_filter label').append('<div class="icon"><i class="fa-solid fa-magnifying-glass"></i></div>');$('.dataTables_filter input').attr('placeholder','Buscar...');carga(false,1)})
    // Funcion para mostrar la informacion del usuario
    $(document).on('click','.sustituir',function(){
        // Mostrar pantalla de carga
        carga(true,1)
        // Obtener el id_hash del auxiliar
        var id = $(this).attr('data-id')
        // Obtener la entidad
        var en = $(this).attr('data-en')
        // Obtener el municipio
        var mp = $(this).attr('data-mp')
        // Obtener el municipio
        var cg = $(this).attr('data-cg')
        // Mostrar ventana
        Swal.fire({
            width: 1500,
            title: 'Asiganción de propuestas',
            html: `<table id="t_asig" class="nowrap" style="width: 100%;"><thead><?php echo $colu_tabl?></thead></table>`,
            showCloseButton: true,
            showConfirmButton: false,
            allowOutsideClick: false,
        })
        // Crear tabla para el crud
        var t_asig = $('#t_asig').DataTable({
            dom: 'Qftipr',
            language: utf8,
            scrollX: true,
            serverSide: true,
            deferRender: true,
            order: [[1,'asc']],
            buttons: [],
            columnDefs: [{targets: ocultar,visible: false},{targets: [1,11],className: 'text_cent'}],
            ajax: {url: `${pin}api/buscar.php`,type: 'POST',data: function(d){d.ajax = [tabl,colu];d.length = 10;d.noelim = 1;d.noedit = 1;d.nosele = 1;d.sustituto = 1;d.where = ` AND id_entidad = '${en}' AND id_municipio = '${mp}' AND id_cargo = '${cg}' AND id_hash != '${id}'`}},
        }).on('init.dt',function(){$('.dataTables_filter label').append('<div class="icon"><i class="fa-solid fa-magnifying-glass"></i></div>');$('.dataTables_filter input').attr('placeholder','Buscar...');carga(false,1)})
        // Funcion para asignar o quitar asignacion
        $(document).off('click','.sustituto').on('click','.sustituto',function(){
            // Obtener el id hash
            var hash = $(this).attr('data-id')
            // Actualizar tabla
            $.ajax({
                type: "POST",
                url: `${pin}api/actualizar.php`,
                data: {sustituir : [id,hash]},
                success: function (r){Swal.fire(toast('success','La sustitución se realizó de manera exitosa'))}
            });
        })
    })
</script>
</body>
</html>