<?php session_start();
    // Variables
    $_SESSION['title'] = 'Preafiliación - Validos';
    $pin = '../../../';
    $head_2 = ''.
        "<link rel='stylesheet' href='{$pin}lib/css/dataTable.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_caja.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_tabla.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_formulario.css'>";
    $body_2 = ''.
        "<script src='{$pin}lib/js/dataTable.js'></script>".
        "<script src='{$pin}lib/js/dataTable.buttons.js'></script>".
        "<script src='{$pin}lib/js/exceljs.js'></script>".
        "<script src='{$pin}lib/js/script_tabla.js'></script>";
    // Datos de la tabla
    $tabl = 'td_registro';
    $colu = ['c1.id_hash_padre','c1.id','c2.fotografia_viva','c3.id_entidad','c3.id_municipio','c3.id_seccion','c4.nombre','c4.paterno','c4.materno','c7.tipo_vialidad','c7.vialidad','c7.numero_exterior','c7.numero_interior','c7.tipo_asentamiento','c7.asentamiento','c7.codigo_postal','c5.numero_celular','c7.referencia','c7.entre_vialidades'];
    $inne  = "c1";
    $inne .= " INNER JOIN td_fotografia_viva c2 ON c1.id_hash = c2.id_hash";
    $inne .= " INNER JOIN td_ambito c3 ON c1.id_hash = c3.id_hash";
    $inne .= " INNER JOIN td_datos_personales c4 ON c1.id_hash = c4.id_hash";
    $inne .= " INNER JOIN td_numero_celular c5 ON c1.id_hash = c5.id_hash";
    $inne .= " INNER JOIN td_correo c6 ON c1.id_hash = c6.id_hash";
    $inne .= " INNER JOIN td_domicilio_credencial c7 ON c1.id_hash = c7.id_hash";
    $inne .= " INNER JOIN td_validacion c8 ON c1.id_hash = c8.id_hash";
    $colu_tabl = "";foreach($colu as $c){
        $c = isset($inne) ? substr($c,3) : $c;
        if($c == 'id'){
            $colu_tabl .= "<th class='tabl_tam1 text_cent'><label class='preg_opci chec' data-tabl='{$tabl}'><input type='checkbox' class='sele_ajax'><div class='preg_tipo'><i class='fa-solid fa-check'></i></div></label></th>";
        } else{}
        $c = strtoupper($c);
        if($c == 'FOTOGRAFIA_VIVA'){$c = 'FOTO VIVA';}
        if($c == 'ID_ENTIDAD'){$c = 'ENTIDAD';}
        if($c == 'ID_SECCION'){$c = 'SECCION';}
        if($c == 'ID_MUNICIPIO'){$c = 'MUNICIPIO';}
        if($c == 'NUMERO_CELULAR'){$c = 'CELULAR';}
        if($c == 'CLAVE_ELECTOR'){$c = 'CLAVE';}
        if($c == 'FOLIO_CREDENCIAL'){$c = 'FOLIO NACIONAL';}
        if($c == 'FECHA'){$c = 'FECHA REGISTRO';}
        if($c == 'CODIGO_POSTAL'){$c = 'DOMICILIO';}
        if($c == 'REFERENCIA'){$c = 'PROPUESTO POR';}
        if($c == 'ENTRE_VIALIDADES'){$c = 'PROPUESTO POR';}
        $colu_tabl .= "<th class='text_cent'>{$c}</th>";
    }
?>
<!DOCTYPE html>
<html lang="es">
<?php include $pin.'include/head.php'?>
<body>
    <div class="contenedor" style="max-width: 2000px;">
        <div class="caja tam1">
            <div class="titulo_1">Preafiliación - Validos</div>
            <table id="t_crud" class="nowrap" style="width: 100%;"><thead><?php echo $colu_tabl?></thead></table>
        </div>
    </div>
<script>var pin = '<?php echo $pin?>',ocultar = [0,8,9,10,11,12,13,14,15],expo_mini = 2,tabl = '<?php echo $tabl?>',colu = <?php echo json_encode($colu)?>;</script>
<?php include $pin.'include/body.php'?>
<script>
    // Obtener las columnas
    var colu = <?php echo json_encode($colu)?>;
    // Crear tabla para el crud
    var t_crud = $('#t_crud').DataTable({
        dom: 'QBftipr',
        language: utf8,
        scrollX: true,
        serverSide: true,
        deferRender: true,
        order: [[4,'asc'],[6,'asc'],[16,'asc'],[7,'asc']],
        buttons: [elim,expo_xlsx],
        columnDefs: [{targets: ocultar,visible: false}],
        ajax: {url: `${pin}api/buscar.php`,type: 'POST',data: function(d){d.ajax = [tabl,colu];d.length = 10;d.inner = "<?php echo $inne?>";d.noelim = 1;d.noedit = 1;d.where = " AND (c8.val_fotografia_viva = 1 AND c8.val_formato_registro = 1 AND c8.val_credencial_frente = 1 AND c8.val_credencial_atras = 1 AND c8.val_padronparpol = 1)"}},
    }).on('init.dt',function(){$('.dataTables_filter label').append('<div class="icon"><i class="fa-solid fa-magnifying-glass"></i></div>');$('.dataTables_filter input').attr('placeholder','Buscar...');carga(false,1)})
    // Funcion para mostrar la informacion del usuario
    $(document).on('click','.informacion',function(){
        // Mostrar pantalla de carga
        carga(true,1)
        // Obtener el id del usuario
        var id = $(this).attr('data-id')
        // Redireccionar
        location.href = 'perfil.php?id='+id
    })
    // Funcion para editar la informacion del registro
    $(document).off('click','.edit_ajax').on('click','.edit_ajax',function(){
        // Obtener el id del registro
        var id = $(this).attr('data-id')
        // Redireccionar al formulario de registro
        location.href = 'registro.php?id='+id
    })
</script>
</body>
</html>