<?php session_start();
    // Variables
    $_SESSION['title'] = 'Analítica';
    $pin = '../../../';
    $head_2 = ''.
        "<link rel='stylesheet' href='{$pin}lib/css/dataTable.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_caja.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_tabla.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_tablero.css'>";
    $body_2 = ''.
        "<script src='{$pin}lib/js/jquery.mask.js'></script>".
        "<script src='{$pin}lib/js/chart.js'></script>".
        "<script src='{$pin}lib/js/chart_plugin.js'></script>".
        "<script src='{$pin}lib/js/dataTable.js'></script>".
        "<script src='{$pin}lib/js/script_tabla.js'></script>".
        "<script src='{$pin}lib/js/script_tablero.js'></script>";
    // Incluir las clases y funciones para las conexiones a la base de datos
    include_once $pin.'connection/cnx_bd.php';
    $c = new Conexion();$cat = $c->conectar_2();
    // Obtener los catalogos
    $entidad = $cat->prepare("SELECT id,cab_entidad,abr_entidad FROM ct_entidad WHERE id > 0 AND activo = 1");
    $entidad->execute();$entidad = $entidad->fetchAll(PDO::FETCH_ASSOC);
?>
<!DOCTYPE html>
<html lang="es">
<?php include $pin.'include/head.php'?>
<body>
    <div class="contenedor" style="max-width: 1620px;">
        <div class="caja tam1">
            <div class="titu x1">
                <span>Analítica</span>
                <div class="filtro">
                    <div class="filtro_boxes">
                        <div class="filtro_texto">Entidad</div>
                        <select class="filtro_input edos"><option value="0">NACIONAL</option><?php foreach($entidad as $e){echo "<option value='{$e['id']}'>{$e['abr_entidad']}</option>";}?></select>
                    </div>
                    <div class="filtro_boxes">
                        <div class="filtro_texto">Municipio</div>
                        <select class="filtro_input mpio"><option value="0">TODOS</option></select>
                    </div>
                </div>
            </div>
        </div>
        <div class="boxs sze1">
            <div class="caja sze4 rosa">
                <div class="info x1">
                    <div class="cant x1" id="total_t"></div>
                    <div class="text x1">Total</div>
                </div>
                <div class="icon x1"><i class="fa-solid fa-users"></i></div>
            </div>
            <div class="caja sze4 morado">
                <div class="info x1">
                    <div class="cant x1" id="estructura_t"></div>
                    <div class="text x1">Estructura</div>
                </div>
                <div class="icon x1"><i class="fa-solid fa-network-wired"></i></div>
            </div>
            <div class="caja sze4 azul">
                <div class="info x1">
                    <div class="cant x1" id="preafiliados_t"></div>
                    <div class="text x1">Preafiliados</div>
                </div>
                <div class="icon x1"><i class="fa-solid fa-restroom"></i></div>
            </div>
            <div class="caja sze3">
                <div class="titu x1">
                    <span>Avance de registro</span>
                    <div class="filtro">
                        <div class="filtro_boxes">
                            <div class="filtro_texto">Mes</div>
                            <select class="filtro_input">
                                <option value="0">TODOS</option>
                                <option value="1">ENE</option><!--ENERO-->
                                <option value="2">FEB</option><!--FEBRERO-->
                                <option value="3">MZO</option><!--MARZO-->
                                <option value="4">ABR</option><!--ABRIL-->
                                <option value="5">MYO</option><!--MAYO-->
                                <option value="6">JUN</option><!--JUNIO-->
                                <option value="7">JUL</option><!--JULIO-->
                                <option value="8">AGO</option><!--AGOSTO-->
                                <option value="9">SEP</option><!--SEPTIEMBRE-->
                                <option value="10">OCT</option><!--OCTUBRE-->
                                <option value="11">NOV</option><!--NOVIEMBRE-->
                                <option value="11">DIC</option><!--DICIEMBRE-->
                            </select>
                        </div>
                        <div class="filtro_boxes">
                            <div class="filtro_texto">Semana</div>
                            <input class="filtro_input week" type="tel" placeholder="dd/mm/aaaa">
                        </div>
                        <div class="filtro_boxes">
                            <div class="filtro_texto">Día</div>
                            <input class="filtro_input days" type="tel" placeholder="dd/mm/aaaa">
                        </div>
                    </div>
                </div>
                <div class="ctxs x1"><canvas id="avance_registro"></canvas></div>
            </div>
            <div class="caja tam3">
                <div class="titu x1">Avance género - Preafiliados</div>
                <div class="ctxs x2"><canvas id="avance_genero"></canvas></div>
                <div class="info x2">
                    <div class="info x3">
                        <div class="text x1" style="justify-content: right;" id="avance_genero_mc">Mujeres <i class="fa-solid fa-square"></i></div>
                        <div class="cant x1" style="justify-content: right;" id="avance_genero_mt"></div>
                    </div>
                    <div class="info x3">
                        <div class="text x1" style="justify-content: right;" id="avance_genero_hc">Hombres <i class="fa-solid fa-square"></i></div>
                        <div class="cant x1" style="justify-content: right;" id="avance_genero_ht"></div>
                    </div>
                    <div class="info x3">
                        <div class="text x1" style="justify-content: right;" id="avance_genero_xc">No binarios <i class="fa-solid fa-square"></i></div>
                        <div class="cant x1" style="justify-content: right;" id="avance_genero_xt"></div>
                    </div>
                </div>
            </div>
        </div>
        <div class="caja sze2">
            <div class="titu x1">Avance estatal - Preafiliados</div>
            <table class="nowrap" style="width: 100%;" id="avance_estatal"><thead><tr></tr></thead></table>
        </div>
        <div class="caja sze5">
            <div class="titu x1">Preregistro - Grupo de Edad</div>
            <div class="ctxs x1"><canvas id="grupos_edades"></canvas></div>
        </div>
        <div class="caja sze5 boto_2">
            <div class="titu x1">Estructura - Integración</div>
            <table class="nowrap" style="width: 100%;" id="estructura_integracion"><thead><tr></tr></thead></table>
        </div>
    </div>
<script>var pin = '<?php echo $pin?>';</script>
<?php include $pin.'include/body.php'?>
<script>
    // Catalogos
    var entidad = <?php echo json_encode($entidad)?>;
    var filtros = ['ENE','FEB','MZO','ABR','MYO','JUN','JUL','AGO','SEP','OCT','NOV','DIC']
    // Grafica - Avance de registro
    var avance_registro = new Chart($('#avance_registro')[0].getContext('2d'), {
        type: 'line',
        options: line_option({poin_r: 4}),
        data: {
            labels: filtros,
            datasets: [{label: 'Estructura',pointBackgroundColor: fondo_morado,borderColor: fondo_morado,data:[]},{label: 'Preafiliados',pointBackgroundColor: fondo_azul,borderColor: fondo_azul,data:[]}],
        }
    })
    // Grafica - Avance genero
    var avance_genero = new Chart($('#avance_genero')[0].getContext('2d'),{
        type: 'doughnut',
        options: doughnut_option({cutout: 60}),
        data: {datasets: [{data: [0,0,0],backgroundColor: [fondo_rosa,fondo_azul,fondo_gris]}]},
        plugins: [ChartDataLabels]
    })
    // Grafica - Grupo de Edad
    var grupos_edades = new Chart($('#grupos_edades')[0].getContext('2d'), {
        type: 'bar',
        options: bar_option({}),
        data: {
            labels: ['18','19','20 a 24','25 a 29','30 a 34','35 a 39','40 a 44','45 a 49','50 a 54','55 a 59','60 a 64','65 o más'],
            datasets: [{label: 'No Binario',backgroundColor: fondo_gris,data: []},{label: 'Hombres',backgroundColor: fondo_azul,data: []},{label: 'Mujeres',backgroundColor: fondo_rosa,data: []}],
        },plugins: [ChartDataLabels]
    })
    // Tabla - Avance estatal
    var avance_estatal_v = [...entidad].map((x) => {t = aleatorio(100,500);return {ID:x.id,Estado:x.cab_entidad,Meta:500,Avance:t,Dif:((t / 500) * 100).toFixed(2)}})
    var avance_estatal_k = ['ID','Estado','Meta','Avance','Dif'].map((x) => {return {data: x}})
    $('#avance_estatal thead tr').append([...avance_estatal_k].map((x) => {return `<th>${x.data}</th>`}))
    var avance_estatal = $('#avance_estatal').DataTable({
        dom: 't',
        language: utf8,
        scrollX: true,
        paginate:false,
        deferRender: true,
        data: avance_estatal_v,
        columns: avance_estatal_k,
        columnDefs: [{targets: [0,2,3,4],className:'text_cent'}]
    })
    // Tabla - Avance estatal
    var estructura_integracion_v = [...entidad].map((x) => {return {ID:x.id,Estado:x.cab_entidad,Estatal:0,Avance_e:0,Municipal:0,Avance_m:0,Auxiliar:0,Avance_a:0}})
    var estructura_integracion_k = ['ID','Estado','Estatal','Avance_e','Municipal','Avance_m','Auxiliar','Avance_a'].map((x) => {return {data: x}})
    $('#estructura_integracion thead tr').append([...estructura_integracion_k].map((x) => {return `<th>${x.data.includes('Avance') ? x.data.slice(0,-2) : x.data}</th>`}))
    var estructura_integracion = $('#estructura_integracion').DataTable({
        dom: 't',
        language: utf8,
        scrollX: true,
        paginate:false,
        deferRender: true,
        data: estructura_integracion_v,
        columns: estructura_integracion_k,
        columnDefs: [{targets: [0,2,3,4,5,6,7],className:'text_cent'},{targets: [2,4,6],className:'bord_left'}]
    })
    // Agregar valores
    function tablero(){
        // TOTAL - Valores
        var total_t = aleatorio(1000,5000)
        $('#total_t').html(total_t.toLocaleString('en'))
        // ESTRUCTURA - Valores
        var estructura_t = aleatorio(500,total_t / 2)
        $('#estructura_t').html(estructura_t.toLocaleString('en'))
        // PREAFILIADOS - Valores
        var preafiliados_t = total_t - estructura_t
        $('#preafiliados_t').html(preafiliados_t.toLocaleString('en'))
        // AVANCE REGISTRO - Valores
        var avance_registro_e = aleatorio_distribuir(estructura_t  ,12)
        var avance_registro_p = aleatorio_distribuir(preafiliados_t,12)
        avance_registro.data.datasets[0].data = avance_registro_e
        avance_registro.data.datasets[1].data = avance_registro_p
        avance_registro.update()
        // AVANCE GENERO - Valores
        var avance_genero_t = aleatorio_distribuir(preafiliados_t,3)
        avance_genero.data.datasets[0].data = avance_genero_t
        avance_genero.update()
        $('#avance_genero_mc i').css('color',fondo_rosa)
        $('#avance_genero_mt').html(avance_genero_t[0].toLocaleString('en'))
        $('#avance_genero_hc i').css('color',fondo_azul)
        $('#avance_genero_ht').html(avance_genero_t[1].toLocaleString('en'))
        $('#avance_genero_xc i').css('color',fondo_gris)
        $('#avance_genero_xt').html(avance_genero_t[2].toLocaleString('en'))
        // PREREGISTRO - Valores
        var agrupar = aleatorio_distribuir(preafiliados_t,3)
        grupos_edades.data.datasets[2].data = aleatorio_distribuir(agrupar[2],12)
        grupos_edades.data.datasets[1].data = aleatorio_distribuir(agrupar[1],12)
        grupos_edades.data.datasets[0].data = aleatorio_distribuir(agrupar[0],12)
        grupos_edades.update()
    } tablero()
    // Funcion para generar numero aletorio
    function aleatorio(min,max){return parseInt(Math.random() * (max - min) + min)}
    // Funcion para generar distribucion aleatorior
    function aleatorio_distribuir(c,n){
        // Alamacenar los datos distribuidos
        let partes = [];
        let suma = 0;
        let base = c / n
        // Generar 11 partes aleatorias
        for (let i = 0; i < n - 1; i++) {
            // Calcular la variacion
            let variacion = (Math.random() - 0.5) * base
            // Asegurar que no exeda del restante
            let parte = parseInt(base + variacion);
            // Agregar a la lista de partes
            partes.push(parte);
            // Sumar el resultado
            suma += parte;
        }
        // La última parte es la diferencia para que la suma sea exacta
        partes.push(c - suma);
        // Mostrar la distribucion de partes
        return partes;
    }
    // Funcion para actualizar los filtros - SEMANA
    $(document).on('input','.week',function(){
        // Agregar mascara
        $(this).mask('00/00/0000')
    })
    // Funcion para actualizar los filtros - DIA
    $(document).on('input','.days',function(){
        // Agregar mascara
        $(this).mask('00/00/0000')
    })
    // Validacion - Entidad
    $(document).on('change','.edos',function(){
        // Obtener el valor
        var v = $(this).val()
        // Evaluar si selecciono entidad
        if(v > 0){
            // Buscar el numero en la bd
            $.ajax({
                type: "POST",
                url : `${pin}api/buscar.php`,
                data: {gral : {tabla : 'ct_municipio', selec : 'id_municipio,cab_municipio', where : `WHERE id_entidad = '${v}'`}},
                timeout: ajax_time,
                success: function(r){
                    $(`.mpio`)
                    .html('<option value="0">TODOS</option>')
                    .append(r.map((x) => {return `<option value="${x.id_municipio}">${x.cab_municipio}</option>`}))
                }
            })
        // Limpiar el ambito
        } else {$(`.mpio`).val(0).html('<option value="0">TODOS</option>')}
    })
    // Quitar pantalla de carga
    carga(false,1);
</script>
</body>
</html>