<?php session_start();
    // Variables
    $_SESSION['title'] = 'Estadístico';
    $pin = '../../../';
    $head_2 = ''.
        "<link rel='stylesheet' href='{$pin}lib/css/dataTable.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_caja.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_tabla.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_formulario.css'>";
    $body_2 = ''.
        "<script src='{$pin}lib/js/dataTable.js'></script>".
        "<script src='{$pin}lib/js/dataTable.buttons.js'></script>".
        "<script src='{$pin}lib/js/exceljs.js'></script>".
        "<script src='{$pin}lib/js/script_tabla.js'></script>";
    // Incluir las clases y funciones para las conexiones a la base de datos
    include_once $pin.'connection/cnx_bd.php';
    $c = new Conexion();$reg = $c->conectar_1();
    $c = new Conexion();$cat = $c->conectar_2();
    // Evaluar si existe un get filtro
    if(isset($_GET['filtro'])){
        // Configuracion para la bd
        $cf = array(
            "localhost" => "bd_",
            "preafiliacion.info" => "preafiliacion_",
            "deux.mobi" => "deux_",
        );
        // Obetener el nombre de la base de datos
        $bd = $cf[$_SERVER['HTTP_HOST']];
        // Obtener el id del filtro
        $data = $_SESSION['filtro'] = $_GET['filtro'];
        // Filtro - EDO
        if($data == 1){
            // Obtener la data
            $data = $cat->prepare("
                SELECT
                    ct_marcogeo.id_entidad,
                    ct_marcogeo.abredo,
                    COUNT(DISTINCT ct_marcogeo.id_federal) AS total_dtofed,
                    COUNT(DISTINCT ct_marcogeo.id_local) AS total_dtoloc,
                    COUNT(DISTINCT ct_marcogeo.id_municipio) AS total_municipios,
                    SUM(ct_marcogeo.padron) AS padron,
                    SUM(ct_marcogeo.minimo) AS minimo,
                    SUM(ct_marcogeo.maximo) AS maximo,
                    (
                        SELECT COUNT(*)
                        FROM {$bd}preafiliacion.td_validacion
                        WHERE {$bd}preafiliacion.td_validacion.id_entidad = ct_marcogeo.id_entidad
                    ) AS total_validos
                FROM ct_marcogeo
                GROUP BY id_entidad
            ");
            $data->execute();$data = $data->fetchAll(PDO::FETCH_ASSOC);
        // Filtro - EDO - FED
        } else if($data == 2){
            // Obtener la data
            $data = $cat->prepare("
                SELECT
                    ct_marcogeo.id_entidad,
                    ct_marcogeo.abredo,
                    COUNT(DISTINCT ct_marcogeo.id_federal) AS total_dtofed,
                    SUM(ct_marcogeo.padron) as padron,
                    SUM(ct_marcogeo.minimo) AS minimo,
                    SUM(ct_marcogeo.maximo) AS maximo,
                    (
                        SELECT COUNT(*)
                        FROM {$bd}preafiliacion.td_validacion
                        WHERE {$bd}preafiliacion.td_validacion.id_entidad = ct_marcogeo.id_entidad
                    ) AS total_validos
                FROM ct_marcogeo
                GROUP BY id_entidad
            ");
            $data->execute();$data = $data->fetchAll(PDO::FETCH_ASSOC);
        // Filtro - EDO - MPIO
        } else if($data == 3){
            // Obtener la data
            $data = $cat->prepare("
                SELECT
                    ct_marcogeo.id_entidad,
                    ct_marcogeo.abredo,
                    COUNT(DISTINCT ct_marcogeo.id_municipio) AS total_municipios,
                    SUM(ct_marcogeo.padron) as padron,
                    SUM(ct_marcogeo.minimo) AS minimo,
                    SUM(ct_marcogeo.maximo) AS maximo,
                    (
                        SELECT COUNT(*)
                        FROM {$bd}preafiliacion.td_validacion
                        WHERE {$bd}preafiliacion.td_validacion.id_entidad = ct_marcogeo.id_entidad
                    ) AS total_validos
                FROM ct_marcogeo
                GROUP BY id_entidad
            ");
            $data->execute();$data = $data->fetchAll(PDO::FETCH_ASSOC);
        // Filtro - FED
        } else if($data == 4){
            // Obtener la data
            $data = $cat->prepare("
                SELECT
                    ct_marcogeo.id_cir,
                    ct_marcogeo.id_entidad,
                    ct_marcogeo.abredo,
                    ct_marcogeo.id_federal,
                    ct_marcogeo.cab_federal,
                    SUM(ct_marcogeo.padron) as padron,
                    SUM(ct_marcogeo.minimo) AS minimo,
                    SUM(ct_marcogeo.maximo) AS maximo,
                    (
                        SELECT COUNT(*)
                        FROM {$bd}preafiliacion.td_validacion
                        WHERE {$bd}preafiliacion.td_validacion.id_entidad = ct_marcogeo.id_entidad
                        AND {$bd}preafiliacion.td_validacion.id_federal = ct_marcogeo.id_federal
                    ) AS total_validos
                FROM ct_marcogeo
                GROUP BY id_entidad,id_federal
            ");
            $data->execute();$data = $data->fetchAll(PDO::FETCH_ASSOC);
        // Filtro - MPIO
        } else if($data == 5){
            // Obtener la data
            $data = $cat->prepare("
                SELECT
                    ct_marcogeo.id_entidad,
                    ct_marcogeo.abredo,
                    ct_marcogeo.id_municipio,
                    ct_marcogeo.cab_municipio,
                    SUM(ct_marcogeo.padron) as padron,
                    SUM(ct_marcogeo.minimo) AS minimo,
                    SUM(ct_marcogeo.maximo) AS maximo,
                    (
                        SELECT COUNT(*)
                        FROM {$bd}preafiliacion.td_validacion
                        WHERE {$bd}preafiliacion.td_validacion.id_entidad = ct_marcogeo.id_entidad
                        AND {$bd}preafiliacion.td_validacion.id_municipio = ct_marcogeo.id_municipio
                    ) AS total_validos
                FROM ct_marcogeo
                GROUP BY id_entidad,id_municipio");
            $data->execute();$data = $data->fetchAll(PDO::FETCH_ASSOC);
        // Filtro - SECC
        } else if($data == 6){
            // Obtener la data
            $data = $cat->prepare("
                SELECT
                    ct_marcogeo.id_entidad,
                    ct_marcogeo.abredo,
                    ct_marcogeo.id_federal,
                    ct_marcogeo.id_local,
                    ct_marcogeo.id_municipio,
                    ct_marcogeo.id_seccion,
                    ct_marcogeo.tipo_seccion,
                    SUM(ct_marcogeo.padron) as padron,
                    SUM(ct_marcogeo.minimo) AS minimo,
                    SUM(ct_marcogeo.maximo) AS maximo,
                    (
                        SELECT COUNT(*)
                        FROM {$bd}preafiliacion.td_validacion
                        WHERE {$bd}preafiliacion.td_validacion.id_entidad = ct_marcogeo.id_entidad
                        AND {$bd}preafiliacion.td_validacion.id_seccion = ct_marcogeo.id_seccion
                    ) AS total_validos
                FROM ct_marcogeo
                GROUP BY id_entidad,id_seccion");
            $data->execute();$data = $data->fetchAll(PDO::FETCH_ASSOC);
        // Filtro - NADA
        } else {header("location: busqueda.php");}
        // Convertir la data en JSON para JavaScript
        $data = json_encode($data);
        // No existe el filtro
    } else {header("location: busqueda.php");}
?>
<!DOCTYPE html>
<html lang="es">
<?php include $pin.'include/head.php'?>
<body>
    <div class="contenedor" style="max-width: 1000px;">
        <div class="caja tam1 boto_2">
            <div class="titulo_1">
                Estadístico
                <select class="estadistico_filtro">
                    <option value="1">Estatal</option>
                    <option value="2">Estatal - Distrito Federal</option>
                    <option value="3">Estatal - Municipio</option>
                    <option value="4">Distrito Federal</option>
                    <option value="5">Municipio</option>
                    <option value="6">Sección</option>
                </select>
            </div>
            <table id="crud" class="nowrap" style="width: 100%;"></table>
        </div>
    </div>
<script>var pin = '<?php echo $pin?>';</script>
<?php include $pin.'include/body.php'?>
<script>
    // Obtener wl JSON de la data
    var data = <?php echo $data?>.map((x) => {
        // Agregar el porcerntaje
        x['porcentaje'] = (x.total_validos / x.maximo) * 100
        x['porcentaje'] = `<div class="semaforo" style="background:${semaforo(x['porcentaje'])};">${x['porcentaje'].toFixed(2)}</div>`
        // Agregar comas a las columnas con numero
        x['padron'] = parseInt(x['padron']).toLocaleString('en');
        x['maximo'] = parseInt(x['maximo']).toLocaleString('en');
        x['minimo'] = parseInt(x['minimo']).toLocaleString('en');
        x['total_validos'] = parseInt(x['total_validos']).toLocaleString('en');
        // Retornar el arreglo con los nuevos valores
        return x
    })
    // Obtener los indices de las columnas
    var indx = Object.keys(data[0]).map((x) => {return {"data" : x, "title" : titulos(x)}})
    // Obtener el indice de ordenamiento
    var orde = Object.keys(data[0]).reduce((x,y,z) => {if(['id_entidad'].includes(y)){x.push([z,'asc'])}return x},[])
    // Obtener el indice de alineamiento izquierda
    var left = Object.keys(data[0]).reduce((x,y,z) => {if(['cab_municipio','cab_federal'].includes(y)){x.push(z)}return x},[])
    // Crear tabla para el crud
    var crud = $('#crud').DataTable({
        dom: 'Qftipr',
        language: utf8,
        scrollX: true,
        deferRender: true,
        data: data,
        order: orde,
        columns: indx,
        columnDefs: [
            {targets:Object.keys(data[0]).map((x,y) => {return y}),className: 'text_cent'},
            {targets:left,className: 'text_left'}
        ]
    })
    // Funcion para cambuar de filtro
    $(document).on('change','.estadistico_filtro',function(){
        // Obtener el valor del filtro
        var v = $(this).val()
        // Mostrar pantalla de carga
        carga(true,1)
        // Redireccionar
        location.href = 'estadistico.php?filtro=' + v
    })
    // Funcion para agregar los colores del semaforo
    function semaforo(n){
        // El valor es 0
        if(n < 1){return "#e91e63"}
        // El valor esta entre el 1 al 25
        else if(n >= 1 && n <= 25){return "#fbc02d"}
        // El valor esta entre el 26 al 50
        else if(n >= 26 && n <= 50){return "#8bc34a"}
        // El valor esta entre el 51 al 75
        else if(n >= 51 && n <= 75){return "#4caf50"}
        // El valor esta entre el 76 al 100
        else if(n >= 76 && n <= 100){return "#009688"}
        // El valor es mayor a 100
        else {return "#546e7a"}
    }
    // Funcion para agregar el titulo de la tabla
    function titulos(t){
        // Evaluar el titulo
        if(t == 'id_entidad'){t = 'nidedo'}
        if(t == 'id_cir'){t = 'nidcir'}
        if(t == 'id_local'){t = 'niddl'}
        if(t == 'id_federal'){t = 'niddf'}
        if(t == 'cab_federal'){t = 'cabfederal'}
        if(t == 'id_municipio'){t = 'nidmp'}
        if(t == 'cab_municipio'){t = 'municipio'}
        if(t == 'id_seccion'){t = 'nsecc'}
        if(t == 'tipo_seccion'){t = 'tiposecc'}
        if(t == 'total_dtofed'){t = 'total<br>dtos fed'}
        if(t == 'total_dtoloc'){t = 'total<br>dtos loc'}
        if(t == 'total_municipios'){t = 'total<br>municipios'}
        if(t == 'total_validos'){t = 'total<br>validos'}
        if(t == 'minimo'){t = 'mínimo<br>0.26%'}
        if(t == 'maximo'){t = 'máximo<br>0.41%'}
        if(t == 'porcentaje'){t = '%'}
        // Mostrar el nuevo titulo
        return t.toUpperCase()
    }
    // Agregar los elementos de la tabla
    setTimeout(() => {
        $('.estadistico_filtro').val(<?php echo $_GET['filtro']?>)
        $('.dataTables_filter label').append('<div class="icon"><i class="fa-solid fa-magnifying-glass"></i></div>')
        $('.dataTables_filter input').attr('placeholder','Buscar...')
        carga(false,1)
    },100);
</script>
</body>
</html>