<?php session_start();
    // Variables
    $_SESSION['title'] = 'Búsqueda - Preafiliación';
    $pin = '../../../';
    $head_2 = ''.
        "<link rel='stylesheet' href='{$pin}lib/css/dataTable.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_caja.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_tabla.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_formulario.css'>";
    $body_2 = ''.
        "<script src='{$pin}lib/js/dataTable.js'></script>".
        "<script src='{$pin}lib/js/dataTable.buttons.js'></script>".
        "<script src='{$pin}lib/js/exceljs.js'></script>".
        "<script src='{$pin}lib/js/script_tabla.js'></script>";
    // Datos de la tabla
    $tabl = 'td_registro';
    $colu = ['c1.id','c2.fotografia_viva','c3.id_entidad','c3.id_municipio','c3.id_seccion','c4.nombre','c4.paterno','c4.materno','c4.clave_elector','c4.cic','c4.ocr','c5.numero_celular','c6.correo','c1.id_hash_padre','c1.fecha'];
    $inne  = "c1";
    $inne .= " INNER JOIN td_fotografia_viva c2 ON c1.id_hash = c2.id_hash";
    $inne .= " INNER JOIN td_ambito c3 ON c1.id_hash = c3.id_hash";
    $inne .= " INNER JOIN td_datos_personales c4 ON c1.id_hash = c4.id_hash";
    $inne .= " INNER JOIN td_numero_celular c5 ON c1.id_hash = c5.id_hash";
    $inne .= " INNER JOIN td_correo c6 ON c1.id_hash = c6.id_hash";
    $colu_tabl = "";foreach($colu as $c){
        $c = isset($inne) ? substr($c,3) : $c;
        if($c == 'id'){$colu_tabl .= "<th class='tabl_tam1 text_cent'>ESTATUS</th>";}
        $c = strtoupper($c);
        if($c == 'FOTOGRAFIA_VIVA'){$c = 'FOTO VIVA';}
        if($c == 'ID_ENTIDAD'){$c = 'ENTIDAD';}
        if($c == 'ID_SECCION'){$c = 'SECCION';}
        if($c == 'ID_MUNICIPIO'){$c = 'MUNICIPIO';}
        if($c == 'NUMERO_CELULAR'){$c = 'CELULAR';}
        if($c == 'CLAVE_ELECTOR'){$c = 'CLAVE';}
        if($c == 'FOLIO_CREDENCIAL'){$c = 'FOLIO NACIONAL';}
        if($c == 'FECHA'){$c = 'FECHA REGISTRO';}
        $colu_tabl .= "<th class='text_cent'>{$c}</th>";
    }
?>
<!DOCTYPE html>
<html lang="es">
<?php include $pin.'include/head.php'?>
<body>
    <div class="contenedor" style="max-width: 2000px;">
        <div class="caja tam1">
            <div class="titulo_1">Mis Propuestas</div>
            <table id="t_crud" class="nowrap" style="width: 100%;"><thead><?php echo $colu_tabl?></thead></table>
        </div>
    </div>
<script>var pin = '<?php echo $pin?>',tabl = '<?php echo $tabl?>',colu = <?php echo json_encode($colu)?>;</script>
<?php include $pin.'include/body.php'?>
<script>
    // Obtener el id de la persona
    var id = '<?php echo $_SESSION['auxi']['id_hash']?>';
    // Obtener las columnas
    var colu = <?php echo json_encode($colu)?>;
    // Crear tabla para el crud
    var t_crud = $('#t_crud').DataTable({
        dom: 'Qftipr',
        language: utf8,
        scrollX: true,
        serverSide: true,
        deferRender: true,
        order: [],
        buttons: [],
        order:[[1,'desc']],
        columnDefs: [{targets: [0,7,8,14],visible: false},{targets: [0],orderable: false}],
        ajax: {url: `${pin}api/buscar.php`,type: 'POST',data: function(d){d.ajax = [tabl,colu];d.length = 10;d.estats = 1;d.noelim = 1;d.noedit = 1;d.nosele = 1;d.inner = "<?php echo $inne?>";d.where = ` AND c1.id_hash_padre = '${id}'`}},
    }).on('init.dt',function(){$('.dataTables_filter label').append('<div class="icon"><i class="fa-solid fa-magnifying-glass"></i></div>');$('.dataTables_filter input').attr('placeholder','Buscar...');carga(false,1)})
</script>
</body>
</html>