<?php session_start();
    // Variables
    $_SESSION['title'] = 'Válidos - Preafiliación';
    $pin = '../../../';
    $head_2 = ''.
        "<link rel='stylesheet' href='{$pin}lib/css/dataTable.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_caja.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_tabla.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_formulario.css'>";
    $body_2 = ''.
        "<script src='{$pin}lib/js/dataTable.js'></script>".
        "<script src='{$pin}lib/js/dataTable.buttons.js'></script>".
        "<script src='{$pin}lib/js/exceljs.js'></script>".
        "<script src='{$pin}lib/js/script_tabla.js'></script>";
    // Datos de la tabla
    $tabl = 'td_registro';
    $colu = ['c1.id','c2.nombre','c2.paterno','c2.materno','c3.numero_celular','c4.val_fotografia_viva','c4.val_entidad','c4.val_seccion','c4.val_clave_elector','c4.val_cic','c4.val_ocr','c4.val_formato_registro','c4.val_credencial_frente','c4.val_credencial_atras','c4.val_credencial_valida','c4.val_padronparpol','c5.id_entidad','c5.id_municipio','c1.fecha'];
    $inne  = "c1";
    $inne .= " INNER JOIN td_datos_personales c2 ON c1.id_hash = c2.id_hash";
    $inne .= " INNER JOIN td_numero_celular c3 ON c1.id_hash = c3.id_hash";
    $inne .= " INNER JOIN td_validacion c4 ON c1.id_hash = c4.id_hash";
    $inne .= " INNER JOIN td_ambito c5 ON c1.id_hash = c5.id_hash";
    $colu_tabl = "";foreach($colu as $c){
        $c = isset($inne) ? substr($c,3) : $c;
        if($c == 'id'){
            $colu_tabl .= "<th class='tabl_tam1 text_cent'>VALIDO</th>";
        } else{}
        $c = strtoupper($c);
        if(strpos($c,'AL_')){$c = substr($c,4);}
        if($c == 'FOTOGRAFIA_VIVA'){$c = 'FOTO VIVA';}
        if($c == 'FORMATO_REGISTRO'){$c = 'FORMATO REGISTRO';}
        if($c == 'CREDENCIAL_FRENTE'){$c = 'CREDENCIAL FRENTE';}
        if($c == 'CREDENCIAL_ATRAS'){$c = 'CREDENCIAL ATRAS';}
        if($c == 'CREDENCIAL_VALIDA'){$c = 'CREDENCIAL VALIDA';}
        if($c == 'CLAVE_ELECTOR'){$c = 'CLAVE';}
        $colu_tabl .= "<th class='text_cent' style='width:160px !important;'>{$c}</th>";
    }
    $where = " AND c5.id_entidad = '{$_SESSION['mpio']['id_entidad']}' AND c5.id_municipio = '{$_SESSION['mpio']['id_municipio']}'";
    // Evaluar si existe algun filtro
    if(isset($_GET['filtro'])){
        // Evaluar si el filtro son validos
        if($_GET['filtro'] == 1){$where .= " AND (c4.val_fotografia_viva = 1 AND c4.val_formato_registro = 1 AND c4.val_credencial_frente = 1 AND c4.val_credencial_atras = 1 AND c4.val_padronparpol = 1)";}
        // Evaluar si el filtro NO son validos
        else if($_GET['filtro'] == 0){$where .= " AND (c4.val_fotografia_viva = 0 OR c4.val_formato_registro = 0 OR c4.val_credencial_frente = 0 OR c4.val_credencial_atras = 0 OR c4.val_padronparpol = 0)";}
    } else {}
?>
<!DOCTYPE html>
<html lang="es">
<?php include $pin.'include/head.php'?>
<body>
    <div class="contenedor" style="max-width: 2000px;">
        <div class="caja tam1">
            <div class="titulo_1">Búsqueda</div>
            <table id="t_crud" class="nowrap" style="width: 100%;"><thead><?php echo $colu_tabl?></thead></table>
        </div>
    </div>
<script>var pin = '<?php echo $pin?>',ocultar = [3,4,17,18],expo_mini = 2,tabl = '<?php echo $tabl?>',colu = <?php echo json_encode($colu)?>;</script>
<?php include $pin.'include/body.php'?>
<script>
    // Crear tabla para el crud
    var t_crud = $('#t_crud').DataTable({
        dom: 'QBftipr',
        language: utf8,
        scrollX: true,
        serverSide: true,
        deferRender: true,
        order: [[1,'desc']],
        buttons: [expo_xlsx,'<select class="filtro" style="width:170px;height:30px;border:var(--border);border-radius:5px;font-size:12px;"><option value="1">MOSTRAR - VÁLIDOS</option><option value="0">MOSTRAR - NO VÁLIDOS</option><option value="2">MOSTRAR - TODOS</option></select>'],
        columnDefs: [{targets: ocultar,visible: false},{targets: [0,2,3],orderable: false},{targets: [6],className: 'text_cent'}],
        ajax: {url: `${pin}api/buscar.php`,type: 'POST',data: function(d){d.ajax = [tabl,colu];d.length = 10;d.inner = "<?php echo $inne?>";d.where = "<?php echo $where?>";d.valido = 1}},
    }).on('init.dt',function(){$('.dataTables_filter label').append('<div class="icon"><i class="fa-solid fa-magnifying-glass"></i></div>');$('.dataTables_filter input').attr('placeholder','Buscar...');carga(false,1)})
    // Funcion para mostrar la informacion del usuario
    $(document).on('click','.informacion',function(){
        // Mostrar pantalla de carga
        carga(true,1)
        // Obtener el id del usuario
        var id = $(this).attr('data-id')
        // Redireccionar
        location.href = 'perfil.php?id='+id
    })
    // Funcion para cambiar el estatus
    $(document).on('click','.estatus',function(){
        // Obtener el id del usuario
        var id = $(this).attr('data-id')
        // Obtener el valor del estatus
        var vl = $(this).attr('data-vl')
        // Evaluar el estatus
        if(vl == 0){$(this).removeClass('back_rojo').addClass('back_verde').find('.tabl_icon').html('<i class="fa-solid fa-check"></i>')}
        else{$(this).removeClass('back_verde').addClass('back_rojo').find('.tabl_icon').html('<i class="fa-solid fa-xmark"></i>')}
        // Modificar su valor
        $(this).attr('data-vl',vl == 0 ? 1 : 0)
        // Mandar solicitud AJAX para realizar cambios
        $.ajax({
            type: "POST",
            url: `${pin}api/actualizar.php`,
            data: {crud : ['td_validacion',[vl == 0 ? 1 : 0],['val_formato_registro'],id]},
            timeout: ajax_time,
            success: () => {Swal.fire(toast('success','El estatus se modifico de manera exitosa'))
            },error: () => {error()}
        })
    })
    // Funcion para agregar el filtro
    $(document).on('change','.filtro',function(){
        // Habilitar carga
        carga(true,1)
        // Obtener el valor del filtro
        var vl = $(this).val()
        // Redireccionar y agrega el filtro
        location.href = 'validos.php?filtro='+vl
    })
    // Validar si existe filtro
    <?php if(isset($_GET['filtro'])){?>
    $('.filtro').val(<?php echo $_GET['filtro']?>)
    <?php }?>
</script>
</body>
</html>