<?php session_start();
    // Variables
    $_SESSION['title'] = 'Analítica';
    $pin = '../../../';
    $head_2 = ''.
        "<link rel='stylesheet' href='{$pin}lib/css/dataTable.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_caja.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_tabla.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_tablero.css'>";
    $body_2 = ''.
        "<script src='{$pin}lib/js/jquery.mask.js'></script>".
        "<script src='{$pin}lib/js/chart.js'></script>".
        "<script src='{$pin}lib/js/chart_plugin.js'></script>".
        "<script src='{$pin}lib/js/dataTable.js'></script>".
        "<script src='{$pin}lib/js/script_tabla.js'></script>".
        "<script src='{$pin}lib/js/script_tablero.js'></script>";
    // Incluir las clases y funciones para las conexiones a la base de datos
    include_once $pin.'connection/cnx_bd.php';
    $c = new Conexion();$cat = $c->conectar_2();
    // Generar
?>
<!DOCTYPE html>
<html lang="es">
<?php include $pin.'include/head.php'?>
<body>
    <div class="contenedor" style="max-width: 1200px;">
        <div class="caja tam1"><div class="titu x1">Avance</div></div>
        <div class="caja tam3 morado">
            <div class="info x1">
                <div class="cant x1" id="total_t"></div>
                <div class="text x1">Total de municipales</div>
            </div>
            <div class="icon x1"><i class="fa-solid fa-user-tie"></i></div>
        </div>
        <div class="caja tam3 azul">
            <div class="info x1">
                <div class="cant x1" id="validos_t"></div>
                <div class="text x1">Total de auxiliares</div>
            </div>
            <div class="icon x1"><i class="fa-solid fa-user-pen"></i></div>
        </div>
        <div class="caja tam3 rosa">
            <div class="info x1">
                <div class="cant x1" id="novalid_t"></div>
                <div class="text x1">Total de propuestas</div>
            </div>
            <div class="icon x1"><i class="fa-solid fa-user-large"></i></div>
        </div>
        <div class="caja tam2">
            <div class="titu x1">Avance semanal de cada auxiliar</div>
            <div class="barra" style="width: calc(100% - 20px);margin:0 10px;font-weight:bold;">
                <div class="barra_nomb">NOMBRE</div>
                <div class="barra_cant text_cent">META</div>
                <div class="barra_cant text_cent">AVAN.</div>
                <div></div>
            </div>
            <div class="barras aux1"></div>
        </div>
        <div class="caja tam2">
            <div class="titu x1">Propuestas válidas de cada auxiliar</div>
            <div class="barra" style="width: calc(100% - 20px);margin:0 10px;font-weight:bold;">
                <div class="barra_nomb">NOMBRE</div>
                <div class="barra_cant text_cent">AVAN.</div>
                <div class="barra_cant text_cent">VALID.</div>
                <div></div>
            </div>
            <div class="barras aux2"></div>
        </div>
        <div class="caja tam1 boto_2">
            <div class="titu x1">
                <span>Avance de registro</span>
                <div class="filtro">
                    <div class="filtro_boxes">
                        <div class="filtro_texto">Mes</div>
                        <select class="filtro_input">
                            <option value="0">TODOS</option>
                            <option value="1">ENE</option><!--ENERO-->
                            <option value="2">FEB</option><!--FEBRERO-->
                            <option value="3">MZO</option><!--MARZO-->
                            <option value="4">ABR</option><!--ABRIL-->
                            <option value="5">MYO</option><!--MAYO-->
                            <option value="6">JUN</option><!--JUNIO-->
                            <option value="7">JUL</option><!--JULIO-->
                            <option value="8">AGO</option><!--AGOSTO-->
                            <option value="9">SEP</option><!--SEPTIEMBRE-->
                            <option value="10">OCT</option><!--OCTUBRE-->
                            <option value="11">NOV</option><!--NOVIEMBRE-->
                            <option value="11">DIC</option><!--DICIEMBRE-->
                        </select>
                    </div>
                    <div class="filtro_boxes">
                        <div class="filtro_texto">Semana</div>
                        <input class="filtro_input week" type="tel" placeholder="dd/mm/aaaa">
                    </div>
                    <div class="filtro_boxes">
                        <div class="filtro_texto">Día</div>
                        <input class="filtro_input days" type="tel" placeholder="dd/mm/aaaa">
                    </div>
                </div>
            </div>
            <div class="ctxs x1"><canvas id="avance_registro"></canvas></div>
        </div>
    </div>
<script>var pin = '<?php echo $pin?>';</script>
<?php include $pin.'include/body.php'?>
<script>
    // Catalogos
    var filtros = ['ENE','FEB','MZO','ABR','MYO','JUN','JUL','AGO','SEP','OCT','NOV','DIC']
    // Grafica - Avance de registro
    var avance_registro = new Chart($('#avance_registro')[0].getContext('2d'), {
        type: 'line',
        options: line_option({poin_r: 4}),
        data: {
            labels: filtros,
            datasets: [{label: 'Total',pointBackgroundColor: fondo_morado,borderColor: fondo_morado,data:[]},{label: 'Válidos',pointBackgroundColor: fondo_azul,borderColor: fondo_azul,data:[]},{label: 'NO válidos',pointBackgroundColor: fondo_rosa,borderColor: fondo_rosa,data:[]}],
        }
    })
    // Agregar valores
    function tablero(){
        // TOTAL - Valores
        var total_t = aleatorio(5,10)
        $('#total_t').html(total_t.toLocaleString('en'))
        // ESTRUCTURA - Valores
        var validos_t = aleatorio(10,15)
        $('#validos_t').html(validos_t.toLocaleString('en'))
        // PREAFILIADOS - Valores
        var novalid_t = aleatorio(50,100)
        $('#novalid_t').html(novalid_t.toLocaleString('en'))
        // AVANCE REGISTRO - Valores
        var avance_v = aleatorio(20,novalid_t / 2)
        var avance_n = novalid_t - avance_v
        var avance_registro_t = aleatorio_distribuir(novalid_t,12)
        var avance_registro_v = aleatorio_distribuir(avance_v,12)
        var avance_registro_n = aleatorio_distribuir(avance_n,12)
        avance_registro.data.datasets[0].data = avance_registro_t
        avance_registro.data.datasets[1].data = avance_registro_v
        avance_registro.data.datasets[2].data = avance_registro_n
        avance_registro.update()
        // Almacenar auxiliares de prueba
        var auxiliares = []
        // Crear auxiliares de prueba
        for(let i = 1; i <= validos_t; i++){
            // Generar su nombre
            var n = `AUXILIAR ${i}`
            // Generar su meta
            var m = aleatorio(5,10)
            // Generar su avance
            var a = aleatorio(1,m)
            // Generar sus registros validos
            var v = aleatorio(1,a)
            // Agregar al auxiliar
            auxiliares.push([n,m,a,v])
        }
        // Agregar el avance de los auxiliares
        $('.aux1').html([...auxiliares].map((x,y) => {
            // Retonar los nuevos auxiliares
            return `
                <div class="barra">
                    <div class="barra_nomb">${x[0]}</div>
                    <div class="barra_cant">${x[1]}</div>
                    <div class="barra_cant">${x[2]}</div>
                    <div class="barra_stat">
                        <div class="barra_meta"><div class="barra_avan back_rosa" style="width: ${(x[2] * 100) / x[1]}%;"></div></div>
                        <div class="barra_cant">${((x[2] * 100) / x[1]).toFixed(2)}%</div>
                    </div>
                </div>
            `
        }))
        // Agregar el avance de los auxiliares
        $('.aux2').html([...auxiliares].map((x,y) => {
            // Retonar los nuevos auxiliares
            return `
                <div class="barra">
                    <div class="barra_nomb">${x[0]}</div>
                    <div class="barra_cant">${x[2]}</div>
                    <div class="barra_cant">${x[3]}</div>
                    <div class="barra_stat">
                        <div class="barra_meta"><div class="barra_avan back_verde" style="width: ${(x[3] * 100) / x[2]}%;"></div></div>
                        <div class="barra_cant">${((x[3] * 100) / x[2]).toFixed(2)}%</div>
                    </div>
                </div>
            `
        }))
    } tablero()
    // Funcion para generar numero aletorio
    function aleatorio(min,max){return parseInt(Math.random() * (max - min) + min)}
    // Funcion para generar distribucion aleatorior
    function aleatorio_distribuir(c,n){
        // Alamacenar los datos distribuidos
        let partes = [];
        let suma = 0;
        let base = c / n
        // Generar 11 partes aleatorias
        for (let i = 0; i < n - 1; i++) {
            // Calcular la variacion
            let variacion = (Math.random() - 0.5) * base
            // Asegurar que no exeda del restante
            let parte = parseInt(base + variacion);
            // Agregar a la lista de partes
            partes.push(parte);
            // Sumar el resultado
            suma += parte;
        }
        // La última parte es la diferencia para que la suma sea exacta
        partes.push(c - suma);
        // Mostrar la distribucion de partes
        return partes;
    }
    // Funcion para actualizar los filtros - SEMANA
    $(document).on('input','.week',function(){
        // Agregar mascara
        $(this).mask('00/00/0000')
    })
    // Funcion para actualizar los filtros - DIA
    $(document).on('input','.days',function(){
        // Agregar mascara
        $(this).mask('00/00/0000')
    })
    // Quitar pantalla de carga
    carga(false,1);
</script>
</body>
</html>