<?php session_start();
    // Variables
    $pin = '../../../';
    $_SESSION['title'] = 'Perfil - Estructura Operativa';
    $head_2 = ''.
        '<link rel="stylesheet" href="'.$pin.'lib/css/style_caja.css">'.
        '<link rel="stylesheet" href="'.$pin.'lib/css/style_formulario.css">'.
        '<link rel="stylesheet" href="'.$pin.'lib/css/style_perfil.css">';
    $body_2 = ''.
        '<script src="'.$pin.'lib/js/script_perfil.js"></script>';
    // Incluir las clases y funciones para las conexiones a la base de datos
    include_once $pin.'connection/cnx_bd.php';
    $c = new Conexion();$reg = $c->conectar_1();
    $c = new Conexion();$cat = $c->conectar_2();
    // Evaluar si existe el metodo get
    if(isset($_GET['id'])){
        // Obtener el id
        $id = $_GET['id'];
        // Obtener los datos
        $datos = $reg->prepare("SELECT * FROM td_estructura_operativa WHERE id = '$id'");
        $datos->execute();
        // Evaluar si hay mas de un ref
        if($datos->rowCount() == 1){
            // Obtener los datos de la busqueda
            $datos = $datos->fetch(PDO::FETCH_ASSOC);
            // Obtener los datos del catalogo
            $datos['materno'] = $datos['materno'] !== '' ? $datos['materno'] : 'XX';
            $datos['alias'] = $datos['alias'] !== '' ? $datos['alias'] : 'SIN DATO';
            if($datos['id_cargo'] > 1){
                $datos['id_entidad'] = $cat->query("SELECT cab_entidad FROM ct_entidad WHERE id_entidad = '{$datos['id_entidad']}'")->fetch(PDO::FETCH_ASSOC);
                $datos['id_entidad'] = $datos['id_entidad']['cab_entidad'];
                $datos['id_municipio'] = 'SIN DATO';
            } else if($datos['id_cargo'] == 1){
                $datos['id_entidad'] = 'NACIONAL';
                $datos['id_municipio'] = 'NACIONAL';
            } else {
                $datos['id_entidad'] = 'NINGÚN';
                $datos['id_municipio'] = 'NINGÚN';
            } $datos['id_cargo'] = ['NINGÚN','NACIONAL','ESTATAL','MUNICIPAL','AUXILIAR'][$datos['id_cargo']];
        } else {header("Location: ../index.php");}
    } else {header("Location: ../index.php");}
?>
<!DOCTYPE html>
<html lang="es">
<head>
<?php include $pin.'include/head.php'?>
</head>
<body>
    <div class="contenedor scroll" style="max-width: 800px;">
        <div class="caja tam1" style="padding-bottom: 40px;">
            <div class="pane"><img class="pane_1" src="<?php echo $pin?>lib/img/panel_1.jpg"></div>
            <div class="imag"><div class="imag_user"><div class="imag_text back_blanco" style="top: inherit;bottom:-40px;" title="Clave"><?php echo $datos['clave_elector']?></div><img src="<?php echo $datos['fotografia_viva'] !== '' ? $datos['fotografia_viva'] : "{$pin}lib/img/usuario.png"?>"></div></div>
        </div>
        <div class="caja tam1 boto_2">
            <div class="text_2 topi_2">CARGO</div>
            <div class="text_1"><div class="icon_1"><i class="fa-solid fa-network-wired"></i></div><b>Cargo:</b> <span><?php echo $datos['id_cargo']?></span></div>
            <div class="text_1"><div class="icon_1"><i class="fa-solid fa-map-location-dot"></i></div><b>Entidad:</b> <span><?php echo $datos['id_entidad']?></span></div>
            <div class="text_1"><div class="icon_1"><i class="fa-solid fa-map-location-dot"></i></div><b>Municipio:</b> <span><?php echo $datos['id_municipio']?></span></div>
            <div class="text_2 topi_2">DATOS PERSONALES</div>
            <div class="text_1"><div class="icon_1"><i class="fa-solid fa-user"></i></div><b>Nombre:</b> <span><?php echo "{$datos['nombre']} {$datos['paterno']} {$datos['materno']}"?></span></div>
            <div class="text_1"><div class="icon_1"><i class="fa-solid fa-user-tag"></i></div><b>Alias:</b> <span><?php echo $datos['alias']?></span></div>
            <div class="text_2 topi_2">CONTACTO</div>
            <div class="text_1"><div class="icon_1"><i class="fa-solid fa-phone"></i></div><b>Celular:</b> <span><?php echo $datos['numero_celular']?></span></div>
            <div class="text_1"><div class="icon_1"><i class="fa-solid fa-envelope"></i></div><b>Correo electrónico:</b> <span><?php echo $datos['correo']?></span></div>
            <div class="botones">
                <button class="boton back_rosa" onclick="location.href='busqueda.php';carga(true,1)"><div class="boton_icon"><i class="fa-solid fa-backward-fast"></i></div><div class="boton_text">Regresar</div></button>
                <button class="boton back_azul righ_1" onclick="location.href='registro.php?id=<?php echo $id?>&back=1';carga(true,1)"><div class="boton_icon"><i class='fa-solid fa-pen-to-square'></i></div><div class="boton_text">Actualizar</div></button>
            </div>
        </div>
    </div>
<?php include $pin.'include/body.php'?>
<script>carga(false,1);</script>
</body>
</html>