<?php
    // Variables
    $_SESSION['title'] = 'Preafiliación - Validar';
    $pin = '../';
    $head_2 = ''.
        "<link rel='stylesheet' href='{$pin}lib/css/style_caja.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_formulario.css'>";
    $body_2 = ''.
        "<script src='{$pin}lib/js/dispositivo.js'></script>".
        "<script src='{$pin}lib/js/jquery.mask.js'></script>".
        "<script src='{$pin}lib/js/script_formulario.js'></script>";
    // Incluir las clases y funciones para las conexiones a la base de datos
    include_once $pin.'connection/cnx_bd.php';
    $c = new Conexion();$reg = $c->conectar_1();
    // Evaluar eñ hash de la persona
    if(isset($_GET['hash'])){
        // Obtener el hash de la persona
        $hash = $_GET['hash'];
        // Obtener el numero celular de la persona
        $celular = $reg->prepare("SELECT * FROM td_numero_celular WHERE id_hash = '$hash'");
        $celular->execute();
        // Evaluar si existe el registro
        if($celular > 0){
            // Obtener el celular de la persona
            $celular = $celular->fetch(PDO::FETCH_ASSOC);
            $celular = $celular['numero_celular'];
        } else {header("location: index.php");}
    } else {header("location: index.php");}
?>
<!DOCTYPE html>
<html lang="en">
<?php include $pin.'include/head.php'?>
<body>
<script>var pin = '<?php echo $pin?>';</script>
<?php include $pin.'include/body.php'?>
<script>
    // Obtener el numero celular
    var celular = '<?php echo $celular?>';
    var validar = ''
    // Mostrar el popup
    Swal.fire({
        width: 400,
        title: 'Validar registro',
        html: `
            <div class="pregunta tam1">
                <div class="pregunta_texto">Ingrese su número telefónico</div>
                <input class="pregunta_input celular" placeholder="00-0000-0000">
            </div>
        `,
        confirmButtonText: 'Continuar',
        allowOutsideClick: false,
        preConfirm: () => {validar = $('.celular').val().replaceAll('-','')},
    }).then((r) => {
        // Evaluar la respuesta del usuario
        if(r.isConfirmed){
            // Evaluar si los numeros son iguales
            if(celular == validar){
                Swal.fire({
                    icon: 'success',
                    width: 400,
                    html: '<div style="width:100%;float:left;margin-bottom:20px;">El registro ha sido validado</div>',
                    showConfirmButton: false,
                    allowOutsideClick: false,
                })
            } else {
                Swal.fire({
                    icon: 'error',
                    width: 400,
                    html: 'Los numeros celulares no coinciden',
                }).then((r) => {location.reload()})
            }
        } else {}
    })
    // Funcion para agregar mascara de celular
    $(document).on('input','.celular',function(){$(this).mask('00-0000-0000')})
</script>
</body>
</html>