<?php session_start();
    // Variables
    $_SESSION['title'] = 'Búsqueda - Estructura Operativa';
    $pin = '../../../';
    $head_2 = ''.
        "<link rel='stylesheet' href='{$pin}lib/css/dataTable.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_caja.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_tabla.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_formulario.css'>";
    $body_2 = ''.
        "<script src='{$pin}lib/js/dataTable.js'></script>".
        "<script src='{$pin}lib/js/dataTable.buttons.js'></script>".
        "<script src='{$pin}lib/js/exceljs.js'></script>".
        "<script src='{$pin}lib/js/script_tabla.js'></script>";
    // Datos de la tabla
    $tabl = 'td_estructura_operativa';
    $colu = ['meta','id','fotografia_viva','id_cargo','id_entidad','id_municipio','clave_elector','nombre','paterno','materno','alias','numero_celular','correo','fecha'];
    $colu_tabl = "";foreach($colu as $c){
        $c = isset($inne) ? substr($c,3) : $c;
        if($c == 'id'){
            $colu_tabl .= "<th class='tabl_tam1'><label class='preg_opci chec' data-tabl='{$tabl}'><input type='checkbox' class='sele_ajax'><div class='preg_tipo'><i class='fa-solid fa-check'></i></div></label></th>";
            $colu_tabl .= "<th class='tabl_tam1'>EDIT.</th>";
            $colu_tabl .= "<th class='tabl_tam1'>ELIM.</th>";
            $colu_tabl .= "<th class='tabl_tam1'>INFO.</th>";
        } else{}
        $c = strtoupper($c);
        if($c == 'FOTOGRAFIA_VIVA'){$c = 'FOTO VIVA';}
        if($c == 'ID_CARGO'){$c = 'CARGO';}
        if($c == 'ID_ENTIDAD'){$c = 'ENTIDAD';}
        if($c == 'ID_MUNICIPIO'){$c = 'MUNICIPIO';}
        if($c == 'CLAVE_ELECTOR'){$c = 'CLAVE';}
        if($c == 'NUMERO_CELULAR'){$c = 'CELULAR';}
        if($c == 'FECHA'){$c = 'FECHA REGISTRO';}
        if($c == 'META'){$colu_tabl .= "<th class='text_cent tabl_tam1'>{$c}</th>";}
        else{$colu_tabl .= "<th class='text_cent'>{$c}</th>";}
    }
?>
<!DOCTYPE html>
<html lang="es">
<?php include $pin.'include/head.php'?>
<body>
    <div class="contenedor" style="max-width: 2000px;">
        <div class="caja tam1">
            <div class="titulo_1">Búsqueda - Estructura Operativa</div>
            <table id="t_crud" class="nowrap" style="width: 100%;"><thead><?php echo $colu_tabl?></thead></table>
        </div>
    </div>
<script>var pin = '<?php echo $pin?>',ocultar = [11,12],expo_mini = 4,tabl = '<?php echo $tabl?>',colu = <?php echo json_encode($colu)?>;</script>
<?php include $pin.'include/body.php'?>
<script>
    // Crear tabla para el crud
    var t_crud = $('#t_crud').DataTable({
        dom: 'QBftipr',
        language: utf8,
        scrollX: true,
        serverSide: true,
        deferRender: true,
        order: [[4,'desc']],
        buttons: [elim,expo_xlsx],
        columnDefs: [{targets: ocultar,visible: false},{targets: [0,1,2,3],orderable: false},{targets: [14],className: 'text_cent'}],
        ajax: {url: `${pin}api/buscar.php`,type: 'POST',data: function(d){d.ajax = [tabl,colu];d.length = 10;d.lista = 1}},
    }).on('init.dt',function(){$('.dataTables_filter label').append('<div class="icon"><i class="fa-solid fa-magnifying-glass"></i></div>');$('.dataTables_filter input').attr('placeholder','Buscar...');carga(false,1)})
    // Funcion para mostrar la informacion del usuario
    $(document).on('click','.informacion',function(){
        // Mostrar pantalla de carga
        carga(true,1)
        // Obtener el id del usuario
        var id = $(this).attr('data-id')
        // Redireccionar
        location.href = 'perfil.php?id='+id
    })
    // Funcion para editar la informacion del registro
    $(document).off('click','.edit_ajax').on('click','.edit_ajax',function(){
        // Obtener el id del registro
        var id = $(this).attr('data-id')
        // Redireccionar al formulario de registro
        location.href = 'registro.php?id='+id
    })
    // Funcion para asignar meta
    $(document).on('click','.meta',function(){
        // Obtener el id del registro
        var id = $(this).attr('data-id');
        // Obtener el valor de la meta
        var mt = $(this).attr('data-mt');
        // Obtener el nombre de la persona
        var nb = $(this).attr('data-nb');
        // Mostrar alerta
        Swal.fire({
            width: 400,
            title: 'Modificar meta',
            html: `
                <div class="pregunta_label text_left topi_2">Ingrese la meta diaria de propuestas que tendrá el o la auxiliar <b>${nb}</b></div>
                <div class="pregunta tam0">
                    <div class="pregunta_label text_left">Meta</div>
                    <input class="pregunta_input meta_diaria" type="tel" placeholder="# registros" value="${mt}">
                </div>
                <div class="pregunta_label text_left topi_2" style='float:left;'>
                    <b>Pre Cálculo</b><br>
                    <br><i class="fa-solid fa-caret-right"></i><b style="margin-left:5px;width:70px;display:inline-block;">Día</b>:<span class="days" style="margin: 0 5px;">10</span>registros
                    <br><i class="fa-solid fa-caret-right"></i><b style="margin-left:5px;width:70px;display:inline-block;">Semana</b>:<span class="week" style="margin: 0 5px;">10</span>registros
                    <br><i class="fa-solid fa-caret-right"></i><b style="margin-left:5px;width:70px;display:inline-block;">Mes</b>:<span class="mont" style="margin: 0 5px;">10</span>registros
                    <br><i class="fa-solid fa-caret-right"></i><b style="margin-left:5px;width:70px;display:inline-block;">Año</b>:<span class="year" style="margin: 0 5px;">10</span>registros
                </div>
            `,
            confirmButtonText: 'Actualizar',
            cancelButtonText: 'Cancelar',
            showCancelButton: true,
            allowOutsideClick: false,
            preConfirm: () => {mt = parseInt($('.meta_diaria').val())}
        }).then((r) => {
            // Evaluar la respuesta del usuario
            if(r.isConfirmed){
                // Mandar solicitud AJAX para realizar cambios
                $.ajax({
                    type: "POST",
                    url: `${pin}api/actualizar.php`,
                    data: {crud : [tabl,[mt],['meta'],id]},
                    timeout: ajax_time,
                    success: () => {Swal.fire(toast('success','La meta se actualizó con exito'));t_crud.ajax.reload()
                    },error: () => {error()}
                })
            } else {}
        })
        // Realizar el precalculo
        calcular(mt)
    });
    // Funcion para valudar la meta
    $(document).on('input','.meta_diaria',function(){
        // Obtener su valor
        var vl = $(this).val()
        // Evaluar si el texto ingresado son solo numeros
        if(!(/^\d+$/).test(vl)){vl = vl.slice(0,-1);$(this).val(vl)}
        if(vl == ''){vl = 0;$('.swal2-confirm').prop('disabled',true)}
        else{$('.swal2-confirm').prop('disabled',false)}
        calcular(vl)
    })
    // Funcion para calcular los registros por dia, semana, mes y año
    function calcular(n){
        // Obtener los calculos
        var days = n
        var week = n * 7
        var mont = n * 30
        var year = n * 365
        // Agregar os valores a su etiqueta html
        $('.days').html(days)
        $('.week').html(week)
        $('.mont').html(mont)
        $('.year').html(year)
    }
</script>
</body>
</html>