<?php session_start();
    // Variables
    $_SESSION['title'] = 'Analítica';
    $pin = '../../../';
    $head_2 = ''.
        "<link rel='stylesheet' href='{$pin}lib/css/dataTable.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_caja.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_tabla.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_tablero.css'>";
    $body_2 = ''.
        "<script src='{$pin}lib/js/jquery.mask.js'></script>".
        "<script src='{$pin}lib/js/chart.js'></script>".
        "<script src='{$pin}lib/js/chart_plugin.js'></script>".
        "<script src='{$pin}lib/js/dataTable.js'></script>".
        "<script src='{$pin}lib/js/script_tabla.js'></script>".
        "<script src='{$pin}lib/js/script_tablero.js'></script>";
    // Incluir las clases y funciones para las conexiones a la base de datos
    include_once $pin.'connection/cnx_bd.php';
    $c = new Conexion();$cat = $c->conectar_2();
?>
<!DOCTYPE html>
<html lang="es">
<?php include $pin.'include/head.php'?>
<body>
    <div class="contenedor" style="max-width: 1620px;">
        <div class="caja tam1"><div class="titu x1">Avance</div></div>
        <div class="caja tam3 morado">
            <div class="info x1">
                <div class="cant x1" id="total_t"></div>
                <div class="text x1">Total de propuestas</div>
            </div>
            <div class="icon x1"><i class="fa-solid fa-users"></i></div>
        </div>
        <div class="caja tam3 azul">
            <div class="info x1">
                <div class="cant x1" id="validos_t"></div>
                <div class="text x1">Propuestas válidas</div>
            </div>
            <div class="icon x1"><i class="fa-solid fa-user-check"></i></div>
        </div>
        <div class="caja tam3 rosa">
            <div class="info x1">
                <div class="cant x1" id="novalid_t"></div>
                <div class="text x1">Propuestas NO válidas</div>
            </div>
            <div class="icon x1"><i class="fa-solid fa-user-xmark"></i></div>
        </div>
        <div style="float: left;width:100%;">
            <div class="caja sze3">
                <div class="titu x1">
                    <span>Avance de registro</span>
                    <div class="filtro">
                        <div class="filtro_boxes">
                            <div class="filtro_texto">Mes</div>
                            <select class="filtro_input">
                                <option value="0">TODOS</option>
                                <option value="1">ENE</option><!--ENERO-->
                                <option value="2">FEB</option><!--FEBRERO-->
                                <option value="3">MZO</option><!--MARZO-->
                                <option value="4">ABR</option><!--ABRIL-->
                                <option value="5">MYO</option><!--MAYO-->
                                <option value="6">JUN</option><!--JUNIO-->
                                <option value="7">JUL</option><!--JULIO-->
                                <option value="8">AGO</option><!--AGOSTO-->
                                <option value="9">SEP</option><!--SEPTIEMBRE-->
                                <option value="10">OCT</option><!--OCTUBRE-->
                                <option value="11">NOV</option><!--NOVIEMBRE-->
                                <option value="11">DIC</option><!--DICIEMBRE-->
                            </select>
                        </div>
                        <div class="filtro_boxes">
                            <div class="filtro_texto">Semana</div>
                            <input class="filtro_input week" type="tel" placeholder="dd/mm/aaaa">
                        </div>
                        <div class="filtro_boxes">
                            <div class="filtro_texto">Día</div>
                            <input class="filtro_input days" type="tel" placeholder="dd/mm/aaaa">
                        </div>
                    </div>
                </div>
                <div class="ctxs x1"><canvas id="avance_registro"></canvas></div>
            </div>
            <div class="caja tam3">
                <div class="titu x1">Avance semanal</div>
                <div class="ctxs x2"><canvas id="avance"></canvas></div>
                <div class="info x2">
                    <div class="info x3">
                        <div class="text x1" style="justify-content: right;" id="avance_mc">Meta semanal</div>
                        <div class="cant x1" style="justify-content: right;" id="avance_mt"></div>
                    </div>
                    <div class="info x3">
                        <div class="text x1" style="justify-content: right;" id="avance_ac">Avance <i class="fa-solid fa-square"></i></div>
                        <div class="cant x1" style="justify-content: right;" id="avance_at"></div>
                    </div>
                    <div class="info x3">
                        <div class="text x1" style="justify-content: right;" id="avance_fc">Faltan <i class="fa-solid fa-square"></i></div>
                        <div class="cant x1" style="justify-content: right;" id="avance_ft"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<script>var pin = '<?php echo $pin?>';</script>
<?php include $pin.'include/body.php'?>
<script>
    // Catalogos
    var filtros = ['ENE','FEB','MZO','ABR','MYO','JUN','JUL','AGO','SEP','OCT','NOV','DIC']
    // Grafica - Avance de registro
    var avance_registro = new Chart($('#avance_registro')[0].getContext('2d'), {
        type: 'line',
        options: line_option({poin_r: 4}),
        data: {
            labels: filtros,
            datasets: [{label: 'Total',pointBackgroundColor: fondo_morado,borderColor: fondo_morado,data:[]},{label: 'Válidos',pointBackgroundColor: fondo_azul,borderColor: fondo_azul,data:[]},{label: 'NO válidos',pointBackgroundColor: fondo_rosa,borderColor: fondo_rosa,data:[]}],
        }
    })
    // Grafica - Avance genero
    var avance = new Chart($('#avance')[0].getContext('2d'),{
        type: 'doughnut',
        options: doughnut_option({cutout: 60}),
        data: {datasets: [{data: [0,0,0],backgroundColor: [fondo_rosa,fondo_gris]}]},
        plugins: [ChartDataLabels]
    })
    // Agregar valores
    function tablero(){
        // TOTAL - Valores
        var total_t = aleatorio(50,100)
        $('#total_t').html(total_t.toLocaleString('en'))
        // ESTRUCTURA - Valores
        var validos_t = aleatorio(20,total_t / 2)
        $('#validos_t').html(validos_t.toLocaleString('en'))
        // PREAFILIADOS - Valores
        var novalid_t = total_t - validos_t
        $('#novalid_t').html(novalid_t.toLocaleString('en'))
        // AVANCE REGISTRO - Valores
        var avance_registro_t = aleatorio_distribuir(total_t,12)
        var avance_registro_v = aleatorio_distribuir(validos_t,12)
        var avance_registro_n = aleatorio_distribuir(novalid_t,12)
        avance_registro.data.datasets[0].data = avance_registro_t
        avance_registro.data.datasets[1].data = avance_registro_v
        avance_registro.data.datasets[2].data = avance_registro_n
        avance_registro.update()
        // AVANCE GENERO - Valores
        var avance_m = aleatorio(5,10)
        var avance_a = aleatorio(1,avance_m)
        var avance_f = avance_m - avance_a
        avance.data.datasets[0].data = [avance_a,avance_f]
        avance.update()
        $('#avance_mt').html(avance_m.toLocaleString('en'))
        $('#avance_ac i').css('color',fondo_rosa)
        $('#avance_at').html(avance_a.toLocaleString('en'))
        $('#avance_fc i').css('color',fondo_azul)
        $('#avance_ft').html(avance_f.toLocaleString('en'))
    } tablero()
    // Funcion para generar numero aletorio
    function aleatorio(min,max){return parseInt(Math.random() * (max - min) + min)}
    // Funcion para generar distribucion aleatorior
    function aleatorio_distribuir(c,n){
        // Alamacenar los datos distribuidos
        let partes = [];
        let suma = 0;
        let base = c / n
        // Generar 11 partes aleatorias
        for (let i = 0; i < n - 1; i++) {
            // Calcular la variacion
            let variacion = (Math.random() - 0.5) * base
            // Asegurar que no exeda del restante
            let parte = parseInt(base + variacion);
            // Agregar a la lista de partes
            partes.push(parte);
            // Sumar el resultado
            suma += parte;
        }
        // La última parte es la diferencia para que la suma sea exacta
        partes.push(c - suma);
        // Mostrar la distribucion de partes
        return partes;
    }
    // Funcion para actualizar los filtros - SEMANA
    $(document).on('input','.week',function(){
        // Agregar mascara
        $(this).mask('00/00/0000')
    })
    // Funcion para actualizar los filtros - DIA
    $(document).on('input','.days',function(){
        // Agregar mascara
        $(this).mask('00/00/0000')
    })
    // Quitar pantalla de carga
    carga(false,1);
</script>
</body>
</html>