<?php session_start();
    // Variables
    $_SESSION['title'] = 'Registro - Preafiliación';
    $pin = '../../../';
    $head_2 = ''.
        '<link rel="stylesheet" href="'.$pin.'lib/css/cropper.css">'.
        "<link rel='stylesheet' href='{$pin}lib/css/style_caja.css'>".
        '<link rel="stylesheet" href="'.$pin.'lib/css/style_perfil.css">'.
        "<link rel='stylesheet' href='{$pin}lib/css/style_formulario.css'>";
    $body_2 = ''.
        "<script src='{$pin}lib/js/tesseract.js'></script>".
        "<script src='{$pin}lib/js/cropper.js'></script>".
        "<script src='{$pin}lib/js/dispositivo.js'></script>".
        "<script src='{$pin}lib/js/qrcode.js'></script>".
        "<script src='{$pin}lib/js/jquery.mask.js'></script>".
        "<script src='{$pin}lib/js/faceapi.min.js'></script>".
        "<script src='{$pin}lib/js/script_fotografia.js'></script>".
        "<script src='{$pin}lib/js/script_formulario.js'></script>";
    // Incluir las clases y funciones para las conexiones a la base de datos
    include_once $pin.'connection/cnx_bd.php';
    $c = new Conexion();$reg = $c->conectar_1();
    $c = new Conexion();$cat = $c->conectar_2();
    // Obtener los catalogos
    $entidad = $cat->prepare("SELECT * FROM ct_entidad WHERE activo = 1 AND id > 0");
    $entidad->execute();$entidad = $entidad->fetchAll(PDO::FETCH_ASSOC);
    $genero = $cat->prepare("SELECT * FROM ct_genero WHERE activo = 1");
    $genero->execute();$genero = $genero->fetchAll(PDO::FETCH_ASSOC);
    $discapacidad = $cat->prepare("SELECT * FROM ct_discapacidad WHERE activo = 1");
    $discapacidad->execute();$discapacidad = $discapacidad->fetchAll(PDO::FETCH_ASSOC);
    $grupo_atencion = $cat->prepare("SELECT * FROM ct_grupo_atencion WHERE activo = 1");
    $grupo_atencion->execute();$grupo_atencion = $grupo_atencion->fetchAll(PDO::FETCH_ASSOC);
    $tipo_vialidad = $cat->prepare("SELECT * FROM ct_tipo_vialidad WHERE activo = 1 AND id > 0");
    $tipo_vialidad->execute();$tipo_vialidad = $tipo_vialidad->fetchAll(PDO::FETCH_ASSOC);
    $tipo_asentamiento = $cat->prepare("SELECT * FROM ct_tipo_asentamiento WHERE activo = 1 AND id > 0");
    $tipo_asentamiento->execute();$tipo_asentamiento = $tipo_asentamiento->fetchAll(PDO::FETCH_ASSOC);
    $tipo_credencial = array(
        array("tipo" => "E","emision" => "de Julio de 2014"),
        array("tipo" => "D","emision" => "del 25 de Noviembre de 2013"),
        array("tipo" => "C","emision" => "de Septiembre 2018"),
        array("tipo" => "B","emision" => "de 2002"),
        array("tipo" => "A","emision" => "de 1992"),
    );
    // Evaluar el tipo de usuario
    if($_SESSION['auxi']['id_cargo'] > 0){
        // Generar el arreglo de datos
        $datos = array();
        // Agregar los datos del usuario
        $datos['entidad'] = $_SESSION['auxi']['id_entidad'];
        $datos['fisico_entidad'] = $_SESSION['auxi']['id_entidad'];
        $datos['credencial_entidad'] = $_SESSION['auxi']['id_entidad'];
        $datos['propuesto_nombre'] = $_SESSION['auxi']['nombre'];
        $datos['propuesto_paterno'] = $_SESSION['auxi']['paterno'];
        $datos['propuesto_materno'] = $_SESSION['auxi']['materno'];
        $datos['propuesto_alias'] = $_SESSION['auxi']['alias'];
        $datos['propuesto_numero_celular'] = $_SESSION['auxi']['numero_celular'];
        $datos['propuesto_correo'] = $_SESSION['auxi']['correo'];
        // Obtener la informacion completa
        $informacion = $datos;
    } else {}
?>
<!DOCTYPE html>
<html lang="es">
<?php include $pin.'include/head.php'?>
<body>
<div class="contenedor" style="max-width:1300px;">
    <div class="caja tam1">
        <div class="pane"><img class="pane_2" src="<?php echo $pin?>lib/img/panel_2.png"></div>
        <div class="imag"><div class="imag_user fotografia fotografia_viva" data-name="fotografia_viva"><div class="imag_text">FOTOGRAFÍA</div><img src="../../../lib/img/usuario.png"></div></div>
    </div>
    <div class="caja tam1 formulario boto_2"></div>
</div>
<script>var pin = '<?php echo $pin?>';</script>
<?php include $pin.'include/body.php'?>
<script>
    // Obtener los catalogos
    var tipo = 0;
    var informacion = <?php echo isset($informacion) ? json_encode($informacion) : '{}'?>;
    var entidad = <?php echo json_encode($entidad)?>.map((x,y) => {return [x.id_entidad,x.cab_entidad]});entidad.unshift([0,'SELECCIONA...'])
    var genero = <?php echo json_encode($genero)?>.map((x,y) => {return [x.id,x.nombre]});
    var discapacidad = <?php echo json_encode($discapacidad)?>.map((x,y) => {return [x.id,x.nombre]});
    var grupo_atencion = <?php echo json_encode($grupo_atencion)?>.map((x,y) => {return [x.id,x.nombre]});
    var tipo_vialidad = <?php echo json_encode($tipo_vialidad)?>.map((x,y) => {return [x.id,x.nombre]});tipo_vialidad.unshift([0,'SELECCIONA...'])
    var tipo_asentamiento = <?php echo json_encode($tipo_asentamiento)?>.map((x,y) => {return [x.id,x.nombre]});tipo_asentamiento.unshift([0,'SELECCIONA...'])
    var tipo_credencial = <?php echo json_encode($tipo_credencial)?>;
    // Variables para almacenar los archivos
    var val_fotografia_viva = 0
    var val_credencial_frente = 0
    var val_credencial_atras = 0
    var val_credencial_valida = 0
    var val_formato_registro = 0
    var credencial_frente = ''
    var credencial_atras = ''
    var formato_registro = ''
    var comprobante_domicilio = ''
    var fotografia_viva = ''
    var credencial = 'E'
    // Matriz de reactivos
    var reactivos = {
        ambito : {
            text : 'Ámbito',
            preguntas: {
                entidad   : {type:1,size:3,valid:1,text:'Entidad',opts:entidad},
                seccion   : {type:0,size:3,valid:1,text:'Sección',info:'0000',disabled:1,tipo:'tel'},
                municipio : {type:1,size:3,valid:0,text:'Municipio',opts:[[0,'SELECCIONA...']],disabled:1},
            }
        },
        datos_personales : {
            text : 'Datos personales',
            preguntas : {
                nombre           : {type:0,size:4,valid:1,text:'Nombre',tipo:'text'},
                paterno          : {type:0,size:4,valid:1,text:'Paterno',tipo:'text'},
                materno          : {type:0,size:4,valid:0,text:'Materno',tipo:'text'},
                clave_elector    : {type:0,size:4,valid:1,text:'Clave',info:'18 CARACTERES',tipo:'text'},
                cic              : {type:0,size:4,valid:1,text:'CIC <span class="ayuda" data-img="CIC">AYUDA <i class="fa-solid fa-circle-info"></i></span>',info:'10 CARACTERES',tipo:'text'},
                ocr              : {type:0,size:4,valid:1,text:'ORC <span class="ayuda" data-img="OCR">AYUDA <i class="fa-solid fa-circle-info"></i></span>',info:'13 CARACTERES',tipo:'text'},
                curp             : {type:0,size:4,valid:0,text:'CURP',info:'18 CARACTERES',tipo:'text'},
                genero           : {type:1,size:4,valid:0,text:'Género',opts:genero},
                discapacidad     : {type:1,size:4,valid:0,text:'¿Usted tiene alguna discapacidad?',opts:discapacidad},
                grupo_atencion   : {type:1,size:4,valid:0,text:'¿Usted pertenece a algún grupo vulnerable?',opts:grupo_atencion},
            }
        },
        contacto : {
            text : 'Contacto',
            preguntas : {
                numero_celular : {type:0,size:3,valid:1,text:'Número celular (##-####-####)',info:'00 0000 0000',tipo:'tel'},
                numero_fijo    : {type:0,size:3,valid:0,text:'Número fijo (##-####-####)',info:'00 0000 0000',tipo:'tel'},
                correo         : {type:0,size:3,valid:1,text:'Correo',info:'ejemplo@abc.xyz',tipo:'text'},
            }
        },
        domicilio_credencial : {
            text : `
                <div class="titulo_2">Proporcione el domicilio de su credencial de elector (INE)</div>
                <div class="titulo_2" style="display: flex;align-items: center;">
                    <span style="width: calc(100% - 165px);text-align: right;margin-right: 5px;">Seleccione su tipo de credencial <i class="fa-solid fa-caret-right"></i></span>
                    <button class="boton back_rosa tipo_credencial"><div class="boton_icon"><i class="fa-solid fa-address-card"></i></div><div class="boton_text">Credencial</div><div class="boton_icon back_rojo estatus"><i class="fa-solid fa-xmark"></i></div></button>
                </div>`,
            html : '<div class="pregunta tam1"><div class="pregunta_texto" style="font-size: 16px;"><span style="float: left;">¿Usted vive en el domicilio que acaba de proporcionar?</span><div style="margin-left: 10px;" class="preg_opci radi domicilio_habilitar acti"><input type="radio" class="sele_ajax" name="domicilio" value="1" checked><div class="preg_tipo" style="margin-right: 3px;"><i class="fa-solid fa-circle"></i></div>SI</div><div style="margin-left: 10px;" class="preg_opci radi domicilio_habilitar"><input type="radio" class="sele_ajax" name="domicilio" value="0"><div class="preg_tipo" style="margin-right: 3px;"><i class="fa-solid fa-circle"></i></div>NO</div></div></div>',
            preguntas : {
                credencial_tipo_vialidad     : {type:1,size:4,valid:1,text:'Tipo de vialidad',opts:tipo_vialidad},
                credencial_vialidad          : {type:0,size:4,valid:1,text:'<span>Vialidad</span>',tipo:'text'},
                credencial_numero_exterior   : {type:0,size:4,valid:1,text:'Número exterior',tipo:'text'},
                credencial_numero_interior   : {type:0,size:4,valid:0,text:'Número interior',tipo:'text'},
                credencial_tipo_asentamiento : {type:1,size:4,valid:1,text:'Tipo de asentamiento',opts:tipo_asentamiento},
                credencial_asentamiento      : {type:0,size:4,valid:1,text:'<span>Asentamiento</span>',tipo:'text'},
                credencial_codigo_postal     : {type:0,size:4,valid:1,text:'Código postal',info:'00000',tipo:'tel'},
                credencial_entidad           : {type:1,size:4,valid:1,text:'Entidad',opts:entidad},
                credencial_seccion           : {type:0,size:4,valid:1,text:'Sección',info:'0000',tipo:'tel'},
                credencial_municipio         : {type:1,size:4,valid:0,text:'Municipio',opts:[[0,'SELECCIONA...']]},
                credencial_entre_vialidades  : {type:0,size:4,valid:0,text:'Entre vialidades',tipo:'text'},
                credencial_referencia        : {type:0,size:4,valid:0,text:'Referencia',tipo:'text'},
            }
        },
        domicilio_fisico : {
            text : 'Domicilio donde vive actualmente',
            disabled: 'none domicilio',
            preguntas : {
                fisico_tipo_vialidad     : {type:1,size:4,valid:1,text:'Tipo de vialidad',opts:tipo_vialidad},
                fisico_vialidad          : {type:0,size:4,valid:1,text:'<span>Vialidad</span>',tipo:'text'},
                fisico_numero_exterior   : {type:0,size:4,valid:1,text:'Número exterior',tipo:'text'},
                fisico_numero_interior   : {type:0,size:4,valid:0,text:'Número interior',tipo:'text'},
                fisico_tipo_asentamiento : {type:1,size:4,valid:1,text:'Tipo de asentamiento',opts:tipo_asentamiento},
                fisico_asentamiento      : {type:0,size:4,valid:1,text:'<span>Asentamiento</span>',tipo:'text'},
                fisico_codigo_postal     : {type:0,size:4,valid:1,text:'Código postal',info:'00000',tipo:'tel'},
                fisico_entidad           : {type:1,size:4,valid:1,text:'Entidad',opts:entidad},
                fisico_seccion           : {type:0,size:4,valid:1,text:'Sección',info:'0000',tipo:'tel'},
                fisico_municipio         : {type:1,size:4,valid:0,text:'Municipio',opts:[[0,'SELECCIONA...']]},
                fisico_entre_vialidades  : {type:0,size:4,valid:0,text:'Entre vialidades',tipo:'text'},
                fisico_referencia        : {type:0,size:4,valid:0,text:'Referencia',tipo:'text'},
            }
        },
        documentos : {
            text : 'Anexo de documentación',
            preguntas : {
                credencial_frente  : {type:2,size:2,valid:1,text:'Credencial de elector (FRENTE)'},
                credencial_atras  : {type:2,size:2,valid:1,text:'Credencial de elector (ATRAS)'},
                formato_registro      : {type:2,size:2,valid:1,text:'Formato de registro'},
                comprobante_domicilio : {type:2,size:2,valid:0,text:'Comprobante de domicilio'},
            }
        },
        propuesto_por : {
            text : 'Propuesto Por',
            preguntas : {
                propuesto_nombre         : {type:0,size:3,valid:0,text:'Nombre',tipo:'text'},
                propuesto_paterno        : {type:0,size:3,valid:0,text:'Paterno',tipo:'text'},
                propuesto_materno        : {type:0,size:3,valid:0,text:'Materno',tipo:'text'},
                propuesto_alias          : {type:0,size:3,valid:0,text:'Alias',tipo:'text'},
                propuesto_numero_celular : {type:0,size:3,valid:0,text:'Número celular (##-####-####)',info:'00 0000 0000',tipo:'tel'},
                propuesto_correo         : {type:0,size:3,valid:0,text:'Correo',info:'ejemplo@abc.xyz',tipo:'text'},
            }
        }
    }
    // Validacion - Entidad
    $(document).on('change','.entidad, .credencial_entidad, .fisico_entidad',function(){
        // Obtener el texto
        var t = $(this).hasClass('credencial_entidad') ? 'credencial_' : $(this).hasClass('fisico_entidad') ? 'fisico_' : ''
        // Obtener el valor
        var v = $(this).val()
        // Limpiar el ambito
        $(`.${t}seccion`).val('').prop('disabled',(v > 0 ? false : true))
        $(`.${t}municipio`).val(0).prop('disabled',true).html('<option value="0">SELECCIONA...</option>')
        // Mostrar el asterisco
        asteriscos($(this),(v > 0 ? true : false))
    })
    // Funcion para guardar el registro
    $(document).on('click','.guardar',function(){
        // Obtener los campos forzosos
        var faltan = $('.pregunta:not(.none) .asterisco:not(.none)').length
        // Evaluar la cantidad de campos que faltan
        if(faltan <= 0 && fotografia_viva !== ''){
            // Mostrar pantalla de carga
            carga(true,1)
            // Quitar deshabilitados
            $('.disabled').prop('disabled',false)
            // Generar el hash
            var hash = generar_hash()
            // Crear lista del registro
            var registro = {
                // Hash
                hash : hash,
                hash_padre : '<?php echo $_SESSION['auxi']['id_hash']?>',
                codigo_qr : generar_codigo_qr(hash),
                // Ambito
                entidad   : '<?php echo $_SESSION['auxi']['id_entidad']?>',
                seccion   : $('.seccion').val(),
                municipio : '<?php echo $_SESSION['auxi']['id_municipio']?>',
                // Datos personales
                nombre           : $('.nombre').val().toUpperCase(),
                paterno          : $('.paterno').val().toUpperCase(),
                materno          : $('.materno').val().toUpperCase(),
                clave_elector    : $('.clave_elector').val().toUpperCase().replaceAll('-',''),
                cic              : $('.cic').val().toUpperCase(),
                ocr              : $('.ocr').val().toUpperCase(),
                curp             : $('.curp').val().toUpperCase().replaceAll('-',''),
                genero           : $('.genero').val(),
                discapacidad     : $('.discapacidad').val(),
                grupo_atencion   : $('.grupo_atencion').val(),
                tipo_credencial  : credencial,
                // Contacto
                numero_celular : $('.numero_celular').val().replaceAll(' ',''),
                numero_fijo    : $('.numero_fijo').val().replaceAll(' ',''),
                correo         : $('.correo').val().toLowerCase(),
                // Domicilio credencial
                credencial_tipo_vialidad     : $('.credencial_tipo_vialidad').val(),
                credencial_vialidad          : $('.credencial_vialidad').val().toUpperCase(),
                credencial_numero_exterior   : $('.credencial_numero_exterior').val().toUpperCase(),
                credencial_numero_interior   : $('.credencial_numero_interior').val().toUpperCase(),
                credencial_tipo_asentamiento : $('.credencial_tipo_asentamiento').val(),
                credencial_asentamiento      : $('.credencial_asentamiento').val().toUpperCase(),
                credencial_codigo_postal     : $('.credencial_codigo_postal').val(),
                credencial_entidad           : $('.credencial_entidad').val(),
                credencial_seccion           : $('.credencial_seccion').val(),
                credencial_municipio         : $('.credencial_municipio').val(),
                credencial_entre_vialidades  : $('.credencial_entre_vialidades').val().toUpperCase(),
                credencial_referencia        : $('.credencial_referencia').val().toUpperCase(),
                // Domicilio fisico
                fisico_tipo_vialidad     : $('.fisico_tipo_vialidad').val(),
                fisico_vialidad          : $('.fisico_vialidad').val().toUpperCase(),
                fisico_numero_exterior   : $('.fisico_numero_exterior').val().toUpperCase(),
                fisico_numero_interior   : $('.fisico_numero_interior').val().toUpperCase(),
                fisico_tipo_asentamiento : $('.fisico_tipo_asentamiento').val(),
                fisico_asentamiento      : $('.fisico_asentamiento').val().toUpperCase(),
                fisico_codigo_postal     : $('.fisico_codigo_postal').val(),
                fisico_entidad           : $('.fisico_entidad').val(),
                fisico_seccion           : $('.fisico_seccion').val(),
                fisico_municipio         : $('.fisico_municipio').val(),
                fisico_entre_vialidades  : $('.fisico_entre_vialidades').val().toUpperCase(),
                fisico_referencia        : $('.fisico_referencia').val().toUpperCase(),
                // Documentos
                credencial_frente : credencial_frente,
                credencial_atras : credencial_atras,
                formato_registro : formato_registro,
                comprobante_domicilio : comprobante_domicilio,
                fotografia_viva : fotografia_viva,
                // Propuesto por
                propuesto_nombre         : $('.propuesto_nombre').val().toUpperCase(),
                propuesto_paterno        : $('.propuesto_paterno').val().toUpperCase(),
                propuesto_materno        : $('.propuesto_materno').val().toUpperCase(),
                propuesto_alias          : $('.propuesto_alias').val().toUpperCase(),
                propuesto_numero_celular : $('.propuesto_numero_celular').val().replaceAll(' ',''),
                propuesto_correo         : $('.propuesto_correo').val().toLowerCase(),
                // Validaciones
                val_fotografia_viva : val_fotografia_viva,
                val_entidad : 1,
                val_seccion : 1,
                val_nombre : 1,
                val_clave_elector : 1,
                val_cic : $('.cic').val() !== '' ? 1 : 0,
                val_ocr : $('.ocr').val() !== '' ? 1 : 0,
                val_formato_registro : val_formato_registro,
                val_credencial_frente : val_credencial_frente,
                val_credencial_atras : val_credencial_atras,
                val_credencial_valida : val_credencial_valida,
                val_padronparpol : parpol,
                dispositivo : dispositivo
            }
            // Buscar duplicados
            $.ajax({
                type: "POST",
                url: `${pin}api/insertar.php`,
                data: {registro: {clave_elector:registro.clave_elector,numero_celular:registro.numero_celular,correo:registro.correo}},
                timeout: ajax_time,
                success: function (r){
                    // Evaluar la respuesta
                    if(r == 'ok' || tipo == 2){registrar(registro)}
                    else if(r == 'numero_celular'){Swal.fire({width: 400,icon:'WARNING',html:`El número celular está duplicado<br>¿Desea continuar?`,showCancelButton:true,confirmButtonText:'SI',cancelButtonText:'NO'}).then((r) => {if(r.isConfirmed){carga(true,1);registrar(registro)}});carga(false,1)}
                    else if(r == 'correo'){Swal.fire({width: 400,icon:'WARNING',html:`El correo está duplicado<br>¿Desea continuar?`,showCancelButton:true,confirmButtonText:'SI',cancelButtonText:'NO'}).then((r) => {if(r.isConfirmed){carga(true,1);registrar(registro)}});carga(false,1)}
                    else if(r == 'clave_elector'){Swal.fire({width: 400,icon:'error',html:`La persona se encuentra registrada`});carga(false,1)}
                    // Agregar deshabilitados
                    $('.disabled').prop('disabled',false)
                }
            });
           // Mostrar alerta de reactivos faltantes
        } else if(fotografia_viva == ''){Swal.fire({width: 300,icon: 'error',html: 'Falta adjuntar fotografía'})
        } else {Swal.fire({width: 300,icon: 'error',html: `Falta llenar el campo <b>${$('.pregunta:not(.none) .asterisco:not(.none):first').closest('.pregunta_texto').text()}</b>`})}
    })
    // Funcion para registrar
    function registrar(registro){
        // Guardar los datos desde ajax
        $.ajax({
            type: "POST",
            url: `${pin}api/insertar.php`,
            data: {registro_preafiliacion: registro},
            timeout: ajax_time,
            success: function(r){
                // Ocultar pantalla de carga
                carga(false,1)
                // Evaluar la respuesta
                Swal.fire({
                    width: 300,
                    icon: 'success',
                    html: 'El registro se guardo de manera exitosa<br><br>¿Desea registrar nuevamente?<br><br><b>Nota: </b>Se revisará su documentación en un tiempo maximo de 24hrs, para que sea válido su registro.',
                    showCancelButton: true,
                    confirmButtonText: 'SI',
                    cancelButtonText: 'NO',
                }).then((r) => {if(r.isConfirmed){location.reload();carga(true,1)}})
                // Mostrar error
            },error: function(r){error();carga(true,   1)}
        })
    }
    // Funcion para agregar los campos ya llenados
    function vcampos(r){
        // Obtener las llaves
        var keys = Object.keys(r)
        // Recorrer las keys
        for(let x in keys){
            // Evaluar el campo
            if(false){
            } else if(keys[x] == 'fotografia_viva'){
                // Agregar la foto
                $('.fotografia_viva img').attr('src',r[keys[x]])
                // Quitar atributo
                $('.fotografia_viva').removeAttr('data-name')
                // Agregar a la variable
                fotografia_viva = r[keys[x]]
                val_fotografia_viva = 1
            } else if(keys[x] == 'entidad'){
                // Agregar el valor y deshabilitarlo
                $(`.${keys[x]}`).val(r[keys[x]]).change().addClass('disabled')
                // Quitar el asterisco
                asteriscos($(`.${keys[x]}`),true)
            } else {
                // Agregar el valor y deshabilitarlo
                $(`.${keys[x]}`).val(r[keys[x]]).addClass('disabled')
                // Quitar el asterisco
                asteriscos($(`.${keys[x]}`),true)
            }
            // Dehabilitar los campos
            $('.disabled').prop('disabled',true)
        }
        // Deshabilitar los campos
    }
    // Agregar los reactivos
    formulario(reactivos,0)
    vcampos(informacion)
    // Quitar pantalla de carga
    carga(false,1);
</script>
</body>
</html>