<?php session_start();
    // Variables
    $_SESSION['title'] = 'Búsqueda - Preafiliación';
    $pin = '../../../';
    $head_2 = ''.
        "<link rel='stylesheet' href='{$pin}lib/css/dataTable.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_caja.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_tabla.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_formulario.css'>";
    $body_2 = ''.
        "<script src='{$pin}lib/js/dataTable.js'></script>".
        "<script src='{$pin}lib/js/dataTable.buttons.js'></script>".
        "<script src='{$pin}lib/js/exceljs.js'></script>".
        "<script src='{$pin}lib/js/script_tabla.js'></script>";
    // Datos de la tabla
    $tabl = 'td_estructura_operativa';
    $colu = ['id','fotografia_viva','id_entidad','id_municipio','nombre','paterno','materno','clave_elector','numero_celular','correo','id_hash_padre','fecha'];
    $colu_tabl = "";foreach($colu as $c){
        $c = isset($inne) ? substr($c,3) : $c;
        if($c == 'id'){$colu_tabl .= "<th class='tabl_tam1'>ESTATUS</th>";}
        $c = strtoupper($c);
        if($c == 'FOTOGRAFIA_VIVA'){$c = 'FOTO VIVA';}
        if($c == 'ID_ENTIDAD'){$c = 'ENTIDAD';}
        if($c == 'ID_MUNICIPIO'){$c = 'MUNICIPIO';}
        if($c == 'NUMERO_CELULAR'){$c = 'CELULAR';}
        if($c == 'CLAVE_ELECTOR'){$c = 'CLAVE';}
        if($c == 'FECHA'){$c = 'FECHA REGISTRO';}
        $colu_tabl .= "<th class='text_cent'>{$c}</th>";
    }
    $where = " AND id_hash_padre IS NULL AND id_cargo = 3 AND id_entidad = '{$_SESSION['edos']['id_entidad']}'";
?>
<!DOCTYPE html>
<html lang="es">
<?php include $pin.'include/head.php'?>
<body>
    <div class="contenedor" style="max-width: 2000px;">
        <div class="caja tam1">
            <div class="titulo_1">Municipales faltantes de asignar</div>
            <table id="t_crud" class="nowrap" style="width: 100%;"><thead><?php echo $colu_tabl?></thead></table>
        </div>
    </div>
<script>var pin = '<?php echo $pin?>',tabl = '<?php echo $tabl?>',colu = <?php echo json_encode($colu)?>;</script>
<?php include $pin.'include/body.php'?>
<script>
    // Obtener el id de la persona
    var id = '<?php echo $_SESSION['edos']['id_hash']?>';
    // Obtener las columnas
    var colu = <?php echo json_encode($colu)?>;
    // Crear tabla para el crud
    var t_crud = $('#t_crud').DataTable({
        dom: 'Qftipr',
        language: utf8,
        scrollX: true,
        serverSide: true,
        deferRender: true,
        order: [],
        buttons: [],
        order:[[1,'desc']],
        columnDefs: [{targets: [6,7,11],visible: false},{targets: [0],orderable: false}],
        ajax: {url: `${pin}api/buscar.php`,type: 'POST',data: function(d){d.ajax = [tabl,colu];d.length = 10;d.estats = 1;d.noelim = 1;d.noedit = 1;d.nosele = 1;;d.where = "<?php echo $where?>"}},
    }).on('init.dt',function(){$('.dataTables_filter label').append('<div class="icon"><i class="fa-solid fa-magnifying-glass"></i></div>');$('.dataTables_filter input').attr('placeholder','Buscar...');carga(false,1)})
    // Funcion para editar la informacion del registro
    $(document).off('click','.edit_ajax').on('click','.edit_ajax',function(){
        // Obtener el id del registro
        var id = $(this).attr('data-id')
        // Redireccionar al formulario de registro
        location.href = '../nuevo/index.php?id='+id
    })
    // Funcion para asignar o quitar asignacion
    $(document).off('click','.asignar').on('click','.asignar',function(){
        // Obtener el id hash
        var hash = $(this).attr('data-id')
        // Obtener el valor de asignacion
        var dato = $(this).attr('data-vl')
        // Obtener el objeto html
        var html = $(this)
        // Actualizar tabla
        $.ajax({
            type: "POST",
            url: `${pin}api/actualizar.php`,
            data: {estructura : [dato,id,hash]},
            success: function (r){t_crud.ajax.reload()}
        });
    })
</script>
</body>
</html>