<?php session_start();
    // Variables
    $_SESSION['title'] = 'Registro - Preafiliación';
    $pin = '../../../';
    $head_2 = ''.
        '<link rel="stylesheet" href="'.$pin.'lib/css/cropper.css">'.
        "<link rel='stylesheet' href='{$pin}lib/css/style_caja.css'>".
        '<link rel="stylesheet" href="'.$pin.'lib/css/style_perfil.css">'.
        "<link rel='stylesheet' href='{$pin}lib/css/style_formulario.css'>";
    $body_2 = ''.
        "<script src='{$pin}lib/js/tesseract.js'></script>".
        "<script src='{$pin}lib/js/cropper.js'></script>".
        "<script src='{$pin}lib/js/dispositivo.js'></script>".
        "<script src='{$pin}lib/js/qrcode.js'></script>".
        "<script src='{$pin}lib/js/jquery.mask.js'></script>".
        "<script src='{$pin}lib/js/faceapi.min.js'></script>".
        "<script src='{$pin}lib/js/script_fotografia.js'></script>".
        "<script src='{$pin}lib/js/script_formulario.js'></script>";
    // Incluir las clases y funciones para las conexiones a la base de datos
    include_once $pin.'connection/cnx_bd.php';
    $c = new Conexion();$reg = $c->conectar_1();
    $c = new Conexion();$cat = $c->conectar_2();
    // Obtener los catalogos
    $municipio = $cat->prepare("SELECT * FROM ct_municipio WHERE id_entidad = {$_SESSION['edos']['id_entidad']} AND activo = 1 AND id > 0");
    $municipio->execute();$municipio = $municipio->fetchAll(PDO::FETCH_ASSOC);
    // Evalur si existe un id de busqueda
    if(isset($_GET['id'])){
        // Obtener el id
        $id = $_GET['id'];
        // Obtener los datos
        $datos = $reg->prepare("SELECT * FROM td_estructura_operativa WHERE id = '$id'");
        $datos->execute();
        // Evaluar si hay mas de un ref
        if($datos->rowCount() == 1){$informacion = $datos->fetch(PDO::FETCH_ASSOC);$tipo = 1;}
    } else {}
?>
<!DOCTYPE html>
<html lang="es">
<?php include $pin.'include/head.php'?>
<body>
<div class="contenedor" style="max-width:1300px;">
    <div class="caja tam1">
        <div class="pane"><img class="pane_2" src="<?php echo $pin?>lib/img/panel_2.png"></div>
        <div class="imag"><div class="imag_user fotografia fotografia_viva" data-name="fotografia_viva"><div class="imag_text">FOTOGRAFÍA</div><img src="../../../lib/img/usuario.png"></div></div>
    </div>
    <div class="caja tam1 formulario boto_2"></div>
</div>
<script>var pin = '<?php echo $pin?>';</script>
<?php include $pin.'include/body.php'?>
<script>
    // Obtener los catalogos
    var tipo = <?php echo isset($tipo) ? $tipo : '0'?>;
    var informacion = <?php echo isset($informacion) ? json_encode($informacion) : '{}'?>;
    var municipio = <?php echo json_encode($municipio)?>.map((x,y) => {return [x.id_municipio,x.cab_municipio]})
    var fotografia_viva = ''
    // Matriz de reactivos
    var reactivos = {
        estructura_operativa : {
            text : `<span class="boton_span">Nuevo municipal</span>${tipo == 0 ? '<button class="boton back_rosa preafiliar"><div class="boton_icon"><i class="fa-solid fa-circle-plus"></i></div><div class="boton_text">Preafiliación</div></button>' : ''}`,
            preguntas : {
                nombre          : {type:0,size:4,valid:1,text:'Nombre(s)',tipo:'text'},
                paterno         : {type:0,size:4,valid:1,text:'Paterno',tipo:'text'},
                materno         : {type:0,size:4,valid:0,text:'Materno',tipo:'text'},
                alias           : {type:0,size:4,valid:0,text:'Alias',tipo:'text'},
                clave_elector   : {type:0,size:4,valid:1,text:'Clave',info:'18 CARACTERES',tipo:'text'},
                numero_celular  : {type:0,size:4,valid:1,text:'Número celular (##-####-####)',info:'00 0000 0000',tipo:'tel'},
                correo          : {type:0,size:4,valid:1,text:'Correo',info:'ejemplo@abc.xyz',tipo:'text'},
                municipio       : {type:1,size:4,valid:0,text:'Municipio',opts:municipio},
            }
        }
    }
    // Funcion para guardar el registro
    $(document).on('click' ,'.guardar',function(){
        // Obtener los campos forzosos
        var nocuenta = $('.pregunta.none .asterisco').length
        var faltan = $('.asterisco:not(.none)').length - nocuenta
        // Evaluar la cantidad de campos que faltan
        if(faltan <= 0 && fotografia_viva !== ''){
            // Mostrar pantalla de carga
            carga(true,1)
            // Generar el hash
            var hash = generar_hash()
            // Crear lista del registro
            var registro = {
                // Hash
                hash : hash,
                hash_padre : '<?php echo $_SESSION['edos']['id_hash']?>',
                // Ambito
                entidad   : <?php echo $_SESSION['edos']['id_entidad']?>,
                municipio : $('.municipio').val(),
                cargo     : 3,
                // Datos personales
                nombre         : $('.nombre').val().toUpperCase(),
                paterno        : $('.paterno').val().toUpperCase(),
                materno        : $('.materno').val().toUpperCase(),
                alias          : $('.alias').val().toUpperCase(),
                clave_elector  : $('.clave_elector').val().toUpperCase().replaceAll('-',''),
                // Contacto
                numero_celular : $('.numero_celular').val().replaceAll(' ',''),
                correo : $('.correo').val().toLowerCase(),
                // Fografia
                fotografia_viva : fotografia_viva,
                dispositivo : dispositivo
            }
            // Buscar duplicados
            $.ajax({
                type: "POST",
                url: `${pin}api/insertar.php`,
                data: {registro: {clave_elector:registro.clave_elector,numero_celular:registro.numero_celular,correo:registro.correo}},
                timeout: ajax_time,
                success: function (r){
                    // Evaluar la respuesta
                    if(r == 'ok'){registrar(registro)}
                    else if(r == 'numero_celular'){Swal.fire({width: 400,icon:'error',html:`El número celular está duplicado`});carga(false,1)}
                    else if(r == 'correo'){Swal.fire({width: 400,icon:'error',html:`El correo está duplicado`});carga(false,1)}
                    else if(r == 'clave_elector'){Swal.fire({width: 400,icon:'error',html:`La persona se encuentra registrada`});carga(false,1)}
                }
            })
           // Mostrar alerta de reactivos faltantes
        } else if(fotografia_viva == ''){Swal.fire({width: 300,icon: 'error',html: 'Falta adjuntar fotografía'})
        } else {Swal.fire({width: 300,icon: 'error',html: `Falta llenar el campo <b>${$('.pregunta:not(.none) .asterisco:not(.none):first').closest('.pregunta_texto').text()}</b>`})}
    })
    // Funcion para renovar el registror
    $(document).on('click' ,'.renovar',function(){
        // Obtener los campos forzosos
        var nocuenta = $('.pregunta.none .asterisco').length
        var faltan = $('.asterisco:not(.none)').length - nocuenta
        // Evaluar la cantidad de campos que faltan
        if(faltan == 0 && fotografia_viva !== ''){
            // Crear lista de datos del registro
            var registro = {
                // Datos personales
                nombre         : $('.nombre').val().toUpperCase(),
                paterno        : $('.paterno').val().toUpperCase(),
                materno        : $('.materno').val().toUpperCase(),
                alias          : $('.alias').val().toUpperCase(),
                clave_elector  : $('.clave_elector').val().toUpperCase().replaceAll('-',''),
                // Contacto
                numero_celular : $('.numero_celular').val().replaceAll(' ',''),
                correo : $('.correo').val().toLowerCase(),
                // Fografia
                fotografia_viva : fotografia_viva
            }
            // Evaluar si se modificaron los datos
            var banderas = Object.keys(registro).reduce((x,y) => {
                // Evaluar el nombre de la llave
                var z = y
                // Evaluar si existe la llave
                if(z in informacion && registro[y] !== informacion[z]){x = false}
                else{delete registro[y]}
                // Retornar la bandera
                return x
            },true)
            // Agregar el id_hash
            registro.id_hash = informacion.id_hash
            // Evaluar si existe algun cambio
            if(!banderas){
                // Buscar duplicados
                $.ajax({
                    type: "POST",
                    url: `${pin}api/insertar.php`,
                    data: {registro: {clave_elector:registro.clave_elector,numero_celular:registro.numero_celular,correo:registro.correo}},
                    timeout: ajax_time,
                    success: function (r){
                        // Evaluar la respuesta
                        if(r == 'ok' || r == ''){actualizar(registro)}
                        else if(r == 'numero_celular'){Swal.fire({width: 400,icon:'error',html:`El número celular está duplicado`});carga(false,1)}
                        else if(r == 'correo'){Swal.fire({width: 400,icon:'error',html:`El correo está duplicado`});carga(false,1)}
                        else if(r == 'clave_elector'){Swal.fire({width: 400,icon:'error',html:`La persona se encuentra registrada`});carga(false,1)}
                    }
                })
            } else {Swal.fire({width:400,icon:'warning',html:'No se detectaron cambios'})}
            // Mostrar alerta de reactivos faltantes
        } else if(fotografia_viva == ''){Swal.fire({width: 300,icon: 'error',html: 'Falta adjuntar fotografía'})
        } else {Swal.fire({width: 300,icon: 'error',html: 'Complete los campos que faltan'})}
    })
    // Funcion para regresar al panel de busqueda
    $(document).on('click','.regresa',function(){carga(true,1);location.href = '../auxiliares/'})
    // Funcion para guardar los datos del registro
    function registrar(registro){
        // Guardar los datos desde ajax
        $.ajax({
            type: "POST",
            url: `${pin}api/insertar.php`,
            data: {registro_estructura: registro},
            timeout: ajax_time,
            success: function(r){
                // Ocultar pantalla de carga
                carga(false,1)
                // Evaluar la respuesta
                Swal.fire({
                    width: 300,
                    icon: 'success',
                    html: 'El registro se guardo de manera exitosa<br><br>¿Desea registrar nuevamente?',
                    showCancelButton: true,
                    confirmButtonText: 'SI',
                    cancelButtonText: 'NO',
                }).then((r) => {if(r.isConfirmed){location.reload();carga(true,1)}})
                // Mostrar error
            },error: function(r){error();carga(true,1)}
        })
    }
    // Funcion para actualizar los datos del registro
    function actualizar(registro){
        // Guardar los datos desde ajax
        $.ajax({
            type: "POST",
            url: `${pin}api/actualizar.php`,
            data: {registro_estructura: registro},
            timeout: ajax_time,
            success: function(r){
                // Ocultar pantalla de carga
                carga(false,1)
                // Evaluar la respuesta
                Swal.fire({width: 300,icon: 'success',html: 'Los datos se actualizaron de manera exitosa'})
                // Mostrar error
            },error: function(r){error();carga(true,1)}
        })
    }
    // Funcion para mostrar informacion del registro
    function mostrar(r){
        // Incluir foto viva
        fotografia_viva = r.fotografia_viva
        $('.fotografia_viva img').attr('src',fotografia_viva !== '' ? fotografia_viva : '../../../lib/img/usuario.png')
        // Incluir los datos personales
        $('.nombre').val(r.nombre);asteriscos($('.nombre'),true)
        $('.paterno').val(r.paterno);asteriscos($('.paterno'),true)
        $('.materno').val(r.materno)
        $('.alias').val(r.alias)
        $('.clave_elector').val(r.clave_elector).mask('AAAAAA-000000-00-A-000');asteriscos($('.clave_elector'),true)
        // Incluir contacto
        $('.numero_celular').val(r.numero_celular).mask('00 0000 0000');asteriscos($('.numero_celular'),true)
        $('.correo').val(r.correo);asteriscos($('.correo'),true)
        // Incluir el ambito
        $('.cargo').val(r.id_cargo).change()
        $('.entidad').val(r.id_entidad).change()
        setTimeout(() => {$('.municipio').val(r.id_municipio).change()},500)
    }
    // Agregar los reactivos
    formulario(reactivos,tipo)
    if(tipo == 1){mostrar(informacion)}
    // Quitar pantalla de carga
    carga(false,1);
</script>
</body>
</html>