<?php session_start();
    // Variables
    $_SESSION['title'] = 'Administradores';
    $pin = '../../../';
    $head_2 = ''.
        "<link rel='stylesheet' href='{$pin}lib/css/dataTable.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_caja.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_tabla.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_formulario.css'>";
    $body_2 = ''.
        "<script src='{$pin}lib/js/dataTable.js'></script>".
        "<script src='{$pin}lib/js/dataTable.buttons.js'></script>".
        "<script src='{$pin}lib/js/exceljs.js'></script>".
        "<script src='{$pin}lib/js/script_tabla.js'></script>";
    // Datos de la tabla
    $tabl = 'td_admin';
    $colu = ['id','numero_usuario','nombre_usuario','contrasena','dispositivo','estatus'];
    $colu_tabl = "";foreach($colu as $c){
        $tam = '';
        $c = isset($inne) ? substr($c,3) : $c;
        $c = strtoupper($c);
        if($c == 'CONTRASENA'){$tam = "style='width:50px;'";$c = 'CONTRASEÑA';}
        if($c == 'DISPOSITIVO'){$tam = "style='width:50px;'";}
        if($c == 'ESTATUS'){$tam = "style='width:50px;'";}
        if($c == 'NUMERO_USUARIO'){$c = 'USUARIO';}
        if($c == 'NOMBRE_USUARIO'){$c = 'NOMBRE';}
        if($c == 'FECHA'){$c = 'FECHA REGISTRO';}
        $colu_tabl .= "<th class='text_cent' $tam>{$c}</th>";
    }
?>
<!DOCTYPE html>
<html lang="es">
<?php include $pin.'include/head.php'?>
<body>
    <div class="contenedor" style="max-width: 1000px;">
        <div class="caja tam1">
            <div class="titulo_1">Administradores</div>
            <table id="t_crud" class="nowrap" style="width: 100%;"><thead><?php echo $colu_tabl?></thead></table>
        </div>
    </div>
<script>var pin = '<?php echo $pin?>',tabl = '<?php echo $tabl?>',colu = <?php echo json_encode($colu)?>;</script>
<?php include $pin.'include/body.php'?>
<script>
    // Crear tabla para el crud
    var t_crud = $('#t_crud').DataTable({
        dom: 'QBftipr',
        language: utf8,
        scrollX: true,
        serverSide: true,
        deferRender: true,
        order: [[0,'desc']],
        buttons: [{text: '<button class="tabl_btn1 back_rosa crear"><div class="tabl_icon"><i class="fa-solid fa-user-plus"></i></div><div class="tabl_text">Crear usuario(s)</div></button>'}],
        columnDefs: [{targets: [0,1,2,3,4,5],className: 'text_cent'}],
        ajax: {url: `${pin}api/buscar.php`,type: 'POST',data: function(d){d.ajax = [tabl,colu];d.length = 10;d.noelim = 1;d.nosele = 1;d.noedit = 1}},
    }).on('init.dt',function(){$('.dataTables_filter label').append('<div class="icon"><i class="fa-solid fa-magnifying-glass"></i></div>');$('.dataTables_filter input').attr('placeholder','Buscar...');carga(false,1)})
    // Funcion para generar la contraseña
    function generarTextoAleatorio(longitud) {
        let resultado = '';
        const caracteres = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789.,';
        const caracteresLength = caracteres.length;
        for (let i = 0; i < longitud; i++){resultado += caracteres.charAt(Math.floor(Math.random() * caracteresLength));}
        return resultado;
    }
    // Fucion para crear usuario
    $(document).on('click','.crear',function(){
        // Almacenar la cantidad
        var c = 0
        // Mostrar ventana
        Swal.fire({
            width: 400,
            title: 'Crear usuario(s)',
            html: `
                <div class="pregunta tam0">
                    <div class="pregunta_label text_left">Número de usuarios a crear (1 al 100)</div>
                    <input class="pregunta_input cantidad" type="tel" placeholder="# usuarios">
                </div>
            `,
            confirmButtonText: 'Continuar',
            cancelButtonText: 'Cancelar',
            showCancelButton: true,
            allowOutsideClick: false,
            preConfirm: () => {c = $('.cantidad').val()}
        }).then((r) => {
            // Evaluar la respuesta del usario
            if(r.isConfirmed){
                // Generar contraseña
                var p  = generarTextoAleatorio(10);
                // Mandar solicitud AJAX para realizar cambios
                $.ajax({
                    type: "POST",
                    url: `${pin}api/insertar.php`,
                    data: {admin : [c,p]},
                    timeout: ajax_time,
                    success: () => {Swal.fire({width: 400,icon:'success',html: `Los usuarios han sido generados de manera exitosa, la contraseña para el inicio de sesión es:<br><br><span id="copiar" style="display:inline-block;background:var(--azul_1);color:white;padding:5px 10px;border-radius:5px;cursor:pointer;">${p}</span>`,confirmButtonText: 'Ya copie la contraseña'});t_crud.ajax.reload()
                    },error: () => {error()}
                })
            } else {}
        })
        // Deshabilitar el boton
        $('.swal2-confirm').prop('disabled',true)
    })
    // Funcion para ingresar la cantidad
    $(document).on('input','.cantidad',function(){
        // Obtener el valor
        var v = parseInt($(this).val())
        // Evaluar la cantidad
        if(v > 0 && v < 101){$('.swal2-confirm').prop('disabled',false)}
        else{$('.swal2-confirm').prop('disabled',true)}
    })
    // Funcion para activar el cambio de contrasena
    $(document).on('click','.contrasena',function(){
        // Obtener el id del registro
        var id = $(this).attr('data-id')
        var nb = $(this).attr('data-nb')
        var vl = ''
        // Mostrar alerta
        Swal.fire({
            width: 400,
            title: 'Cambiar contraseña',
            html: `
                <div class="pregunta_label text_left topi_2">Ingrese la nueva contraseña para el usuario <b>${nb}</b></div>
                <div class="pregunta tam0">
                    <div class="pregunta_label text_left">Nueva contraseña</div>
                    <div class="pregunta_ojito"><i class="fa-solid fa-eye"></i></div>
                    <input class="pregunta_input pass1" type="password" placeholder="**********" style="text-transform:none;">
                </div>
                <div class="pregunta tam0">
                    <div class="pregunta_label text_left">Confirmar nueva contraseña</div>
                    <input class="pregunta_input pass2" type="password" placeholder="**********" style="text-transform:none;">
                </div>
            `,
            confirmButtonText: 'Actualizar',
            cancelButtonText: 'Cancelar',
            showCancelButton: true,
            allowOutsideClick: false,
            preConfirm: () => {vl = $('.pass1').val()}
        }).then((r) => {
            // Evaluar la respuesta del usuario
            if(r.isConfirmed){
                // Mandar solicitud AJAX para realizar cambios
                $.ajax({
                    type: "POST",
                    url: `${pin}api/actualizar.php`,
                    data: {crud : [tabl,[vl],['contrasena'],id]},
                    timeout: ajax_time,
                    success: () => {Swal.fire(toast('success','Contraseña actualizada'));t_crud.ajax.reload()
                    },error: () => {error()}
                })
            } else {}
        })
        // Desactivar el boton
        $('.swal2-confirm').prop('disabled',true)
    })
    // Funcion para activar el cambio de dispositivo
    $(document).on('click','.dispositivo',function(){
        // Obtener el id del registro
        var id = $(this).attr('data-id')
        var nb = $(this).attr('data-nb')
        // Mostrar alerta
        Swal.fire({
            width: 400,
            title: 'Cambiar de dispositivo',
            html: `<div class="topi_2">¿Desea activar el cambio de dispositivo para el usuario <b>${nb}</b>?</div>`,
            confirmButtonText: 'SI',
            cancelButtonText: 'NO',
            showCancelButton: true,
            allowOutsideClick: false,
        }).then((r) => {
            // Evaluar la respuesta del usuario
            if(r.isConfirmed){
                // Mandar solicitud AJAX para realizar cambios
                $.ajax({
                    type: "POST",
                    url: `${pin}api/actualizar.php`,
                    data: {crud : [tabl,['NULL'],['dispositivo'],id]},
                    timeout: ajax_time,
                    success: () => {Swal.fire(toast('success','El cambio a sido activado'));t_crud.ajax.reload()
                    },error: () => {error()}
                })
            } else {}
        })
    })
    // Funcion para activar o desactivar los estatus
    $(document).on('click','.estatus',function(){
        // Obtener el id del registro
        var id = $(this).attr('data-id')
        // Obtener el valor del estatus
        var vl = $(this).attr('data-vl')
        // Evaluar el estatus
        if(vl == 1){$(this).find('.switch_bola').removeClass('acti')}
        else {$(this).find('.switch_bola').addClass('acti')}
        // Cambiar el valor
        $(this).attr('data-vl',vl == 1 ? 0 : 1)
        // Mandar solicitud AJAX para realizar cambios
        $.ajax({
            type: "POST",
            url: `${pin}api/actualizar.php`,
            data: {crud : [tabl,[vl == 1 ? 0 : 1],['estatus'],id]},
            timeout: ajax_time,
            success: () => {Swal.fire(toast('success','Estatus actualizado'));t_crud.ajax.reload()
            },error: () => {error()}
        })
    })
    // Funcion para cambiar el nombre de usuario
    $(document).on('click','.nombre_usuario',function(){
        // Obtener el id del registro
        var id = $(this).attr('data-id')
        var nb = $(this).attr('data-nb')
        // Mostrar alerta
        Swal.fire({
            width: 400,
            title: 'Cambiar nombre de usuario',
            html: `
                <div class="pregunta tam0">
                    <div class="pregunta_label text_left">Nuevo nombre de usuario</div>
                    <input class="pregunta_input nombre" type="text" value="${nb}">
                </div>
            `,
            confirmButtonText: 'Actualizar',
            cancelButtonText: 'Cancelar',
            showCancelButton: true,
            allowOutsideClick: false,
            preConfirm: () => {nb = $('.nombre').val().toUpperCase()}
        }).then((r) => {
            // Evaluar la respuesta del usuario
            if(r.isConfirmed){
                // Mandar solicitud AJAX para realizar cambios
                $.ajax({
                    type: "POST",
                    url: `${pin}api/actualizar.php`,
                    data: {crud : [tabl,[nb],['nombre_usuario'],id]},
                    timeout: ajax_time,
                    success: () => {Swal.fire(toast('success','Nombre de usuario actualizado'));t_crud.ajax.reload()
                    },error: () => {error()}
                })
            } else {}
        })
    })
    // Funcion para ver u ocultar la contrasena
    $(document).on('click','.pregunta_ojito',function(){
        // Obtener el html del reactivo
        var html = $(this).closest('.pregunta').find('input')
        // Obtener el tipo de input
        var tipo = html.attr('type')
        // Evaluar el tipo de reactivo
        if(tipo == 'text'){
            // Cambiar el tipo de input
            html.attr('type','password')
            $(this).html('<i class="fa-solid fa-eye"></i>')
        } else{
            // Cambiar el tipo de input
            html.attr('type','text')
            $(this).html('<i class="fa-solid fa-eye-slash"></i>')
        }
    })
    // Funcion para evaluar la contrasena 1
    $(document).on('input','.pass1',function(){
        // Obtener el valor de las contrasenas
        var pass1 = $('.pass1').val()
        var pass2 = $('.pass2').val()
        // Evaluar las similitusdes
        if(pass1.length > 0 && pass1 == pass2){$('.swal2-confirm').prop('disabled',false)}
        else{$('.swal2-confirm').prop('disabled',true)}
    })
    // Funcion para evaluar la contrasena 2
    $(document).on('input','.pass2',function(){
        // Obtener el valor de las contrasenas
        var pass1 = $('.pass1').val()
        var pass2 = $('.pass2').val()
        // Evaluar las similitusdes
        if(pass2.length > 0 && pass1 == pass2){$('.swal2-confirm').prop('disabled',false)}
        else{$('.swal2-confirm').prop('disabled',true)}
    })
</script>
</body>
</html>