<?php session_start();
    // Variables
    $_SESSION['title'] = 'Administrar - Estructura operativa';
    $pin = '../../../';
    $head_2 = ''.
        "<link rel='stylesheet' href='{$pin}lib/css/dataTable.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_caja.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_tabla.css'>".
        "<link rel='stylesheet' href='{$pin}lib/css/style_formulario.css'>";
    $body_2 = ''.
        "<script src='{$pin}lib/js/dataTable.js'></script>".
        "<script src='{$pin}lib/js/dataTable.buttons.js'></script>".
        "<script src='{$pin}lib/js/exceljs.js'></script>".
        "<script src='{$pin}lib/js/script_tabla.js'></script>";
    // Datos de la tabla
    $tabl = 'td_estructura_operativa';
    $colu = ['id','numero_celular','nombre','paterno','materno','contrasena','dispositivo','estatus'];
    $colu_tabl = "";foreach($colu as $c){
        $tam = '';
        $c = isset($inne) ? substr($c,3) : $c;
        if($c == 'id'){
            $colu_tabl .= "<th class='tabl_tam1'>EDIT.</th>";
            $colu_tabl .= "<th class='tabl_tam1'>ELIM.</th>";
            $colu_tabl .= "<th class='tabl_tam1'>INFO.</th>";
        } else{}
        $c = strtoupper($c);
        if($c == 'CONTRASENA'){$tam = "style='width:50px;'";$c = 'CONTRASEÑA';}
        if($c == 'DISPOSITIVO'){$tam = "style='width:50px;'";}
        if($c == 'ESTATUS'){$tam = "style='width:50px;'";}
        if($c == 'NUMERO_CELULAR'){$c = 'CELULAR';}
        if($c == 'FECHA'){$c = 'FECHA REGISTRO';}
        $colu_tabl .= "<th class='text_cent' $tam>{$c}</th>";
    }
?>
<!DOCTYPE html>
<html lang="es">
<?php include $pin.'include/head.php'?>
<body>
    <div class="contenedor" style="max-width: 1000px;">
        <div class="caja tam1">
            <div class="titulo_1">Administrar - Estructura operativa</div>
            <table id="t_crud" class="nowrap" style="width: 100%;"><thead><?php echo $colu_tabl?></thead></table>
        </div>
    </div>
<script>var pin = '<?php echo $pin?>',tabl = '<?php echo $tabl?>',colu = <?php echo json_encode($colu)?>;</script>
<?php include $pin.'include/body.php'?>
<script>
    // Crear tabla para el crud
    var t_crud = $('#t_crud').DataTable({
        dom: 'Qftipr',
        language: utf8,
        scrollX: true,
        serverSide: true,
        deferRender: true,
        order: [[3,'desc']],
        buttons: [],
        columnDefs: [{targets: [0,1,2,3,4,5],className: 'text_cent'},{targets: [6,7],visible:false}],
        ajax: {url: `${pin}api/buscar.php`,type: 'POST',data: function(d){d.ajax = [tabl,colu];d.length = 10;d.lista = 1;d.nosele = 1}},
    }).on('init.dt',function(){$('.dataTables_filter label').append('<div class="icon"><i class="fa-solid fa-magnifying-glass"></i></div>');$('.dataTables_filter input').attr('placeholder','Buscar...');carga(false,1)})
    // Funcion para activar el cambio de contrasena
    $(document).on('click','.contrasena',function(){
        // Obtener el id del registro
        var id = $(this).attr('data-id')
        var nb = $(this).attr('data-nb')
        var vl = ''
        // Mostrar alerta
        Swal.fire({
            width: 400,
            title: 'Cambiar contraseña',
            html: `
                <div class="pregunta_label text_left topi_2">Ingrese la nueva contraseña para el usuario <b>${nb}</b></div>
                <div class="pregunta tam0">
                    <div class="pregunta_label text_left">Nueva contraseña</div>
                    <div class="pregunta_ojito"><i class="fa-solid fa-eye"></i></div>
                    <input class="pregunta_input pass1" type="password" placeholder="**********" style="text-transform:none;">
                </div>
                <div class="pregunta tam0">
                    <div class="pregunta_label text_left">Confirmar nueva contraseña</div>
                    <input class="pregunta_input pass2" type="password" placeholder="**********" style="text-transform:none;">
                </div>
            `,
            confirmButtonText: 'Actualizar',
            cancelButtonText: 'Cancelar',
            showCancelButton: true,
            allowOutsideClick: false,
            preConfirm: () => {vl = $('.pass1').val()}
        }).then((r) => {
            // Evaluar la respuesta del usuario
            if(r.isConfirmed){
                // Mandar solicitud AJAX para realizar cambios
                $.ajax({
                    type: "POST",
                    url: `${pin}api/actualizar.php`,
                    data: {crud : [tabl,[vl],['contrasena'],id]},
                    timeout: ajax_time,
                    success: () => {Swal.fire(toast('success','Contraseña actualizada'));t_crud.ajax.reload()
                    },error: () => {error()}
                })
            } else {}
        })
        // Desactivar el boton
        $('.swal2-confirm').prop('disabled',true)
    })
    // Funcion para activar el cambio de dispositivo
    $(document).on('click','.dispositivo',function(){
        // Obtener el id del registro
        var id = $(this).attr('data-id')
        var nb = $(this).attr('data-nb')
        // Mostrar alerta
        Swal.fire({
            width: 400,
            title: 'Cambiar de dispositivo',
            html: `<div class="topi_2">¿Desea activar el cambio de dispositivo para el usuario <b>${nb}</b>?</div>`,
            confirmButtonText: 'SI',
            cancelButtonText: 'NO',
            showCancelButton: true,
            allowOutsideClick: false,
        }).then((r) => {
            // Evaluar la respuesta del usuario
            if(r.isConfirmed){
                // Mandar solicitud AJAX para realizar cambios
                $.ajax({
                    type: "POST",
                    url: `${pin}api/actualizar.php`,
                    data: {crud : [tabl,['NULL'],['dispositivo'],id]},
                    timeout: ajax_time,
                    success: () => {Swal.fire(toast('success','El cambio a sido activado'));t_crud.ajax.reload()
                    },error: () => {error()}
                })
            } else {}
        })
    })
    // Funcion para activar o desactivar los estatus
    $(document).on('click','.estatus',function(){
        // Obtener el id del registro
        var id = $(this).attr('data-id')
        // Obtener el valor del estatus
        var vl = $(this).attr('data-vl')
        // Evaluar el estatus
        if(vl == 1){$(this).find('.switch_bola').removeClass('acti')}
        else {$(this).find('.switch_bola').addClass('acti')}
        // Cambiar el valor
        $(this).attr('data-vl',vl == 1 ? 0 : 1)
        // Mandar solicitud AJAX para realizar cambios
        $.ajax({
            type: "POST",
            url: `${pin}api/actualizar.php`,
            data: {crud : [tabl,[vl == 1 ? 0 : 1],['estatus'],id]},
            timeout: ajax_time,
            success: () => {Swal.fire(toast('success','Estatus actualizado'));t_crud.ajax.reload()
            },error: () => {error()}
        })
    })
    // Funcion para ver u ocultar la contrasena
    $(document).on('click','.pregunta_ojito',function(){
        // Obtener el html del reactivo
        var html = $(this).closest('.pregunta').find('input')
        // Obtener el tipo de input
        var tipo = html.attr('type')
        // Evaluar el tipo de reactivo
        if(tipo == 'text'){
            // Cambiar el tipo de input
            html.attr('type','password')
            $(this).html('<i class="fa-solid fa-eye"></i>')
        } else{
            // Cambiar el tipo de input
            html.attr('type','text')
            $(this).html('<i class="fa-solid fa-eye-slash"></i>')
        }
    })
    // Funcion para evaluar la contrasena 1
    $(document).on('input','.pass1',function(){
        // Obtener el valor de las contrasenas
        var pass1 = $('.pass1').val()
        var pass2 = $('.pass2').val()
        // Evaluar las similitusdes
        if(pass1.length > 0 && pass1 == pass2){$('.swal2-confirm').prop('disabled',false)}
        else{$('.swal2-confirm').prop('disabled',true)}
    })
    // Funcion para evaluar la contrasena 2
    $(document).on('input','.pass2',function(){
        // Obtener el valor de las contrasenas
        var pass1 = $('.pass1').val()
        var pass2 = $('.pass2').val()
        // Evaluar las similitusdes
        if(pass2.length > 0 && pass1 == pass2){$('.swal2-confirm').prop('disabled',false)}
        else{$('.swal2-confirm').prop('disabled',true)}
    })
    // Funcion para mostrar la informacion del usuario
    $(document).on('click','.informacion',function(){
        // Mostrar pantalla de carga
        carga(true,1)
        // Obtener el id del usuario
        var id = $(this).attr('data-id')
        // Redireccionar
        location.href = 'perfil.php?id='+id
    })
    // Funcion para editar la informacion del registro
    $(document).off('click','.edit_ajax').on('click','.edit_ajax',function(){
        // Obtener el id del registro
        var id = $(this).attr('data-id')
        // Redireccionar al formulario de registro
        location.href = 'registro.php?id='+id
    })
</script>
</body>
</html>