// Informacion del dispositivo
var parpol = 1
var detectar = new UAParser()
var dispositivo = detectar.getResult()
// Quitar el autocompletador de los campos
$('input, textarea').attr('autocomplete','off')
// Funcion para activar los input radio
$(document).on('click' ,'.preg_opci.radi',function(){
    // Obtener el contenedor
    var name = $(this).find('input').attr('name')
    // Recorrer las opciones
    $('input[name="'+name+'"]').prop('checked',false).closest('.preg_opci').removeClass('acti')
    // Activar
    $(this).addClass('acti').find('input').prop('checked',true)
})
// Funcion para activar los input checkbox
$(document).on('click' ,'.preg_opci.chec',function(){
    // Obtener el valor
    var bool = $(this).find('input').prop('checked')
    // Evaluar el valor
    if(bool){$(this).addClass('acti').find('input').prop('checked',true)}
    else {$(this).removeClass('acti').find('input').prop('checked',false)}
})
// Funcion para ver u ocultar la contrasena
$(document).on('click' ,'.pregunta_ojito',function(){
    // Obtener el html del reactivo
    var html = $(this).closest('.pregunta').find('input')
    // Obtener el tipo de input
    var tipo = html.attr('type')
    // Evaluar el tipo de reactivo
    if(tipo == 'text'){
        // Cambiar el tipo de input
        html.attr('type','password')
        $(this).html('<i class="fa-solid fa-eye"></i>')
    } else{
        // Cambiar el tipo de input
        html.attr('type','text')
        $(this).html('<i class="fa-solid fa-eye-slash"></i>')
    }
})
// Habilitar el dimicilio fisico
$(document).on('click' ,'.domicilio_habilitar',function(){
    // Obtener el valor seleccionado
    var v = $('input[name="domicilio"]:checked').val()
    // Evaluar el resultado
    if(v == 1){$('.domicilio').addClass('none')}
    else{$('.domicilio').removeClass('none')}
})
// Seleccionar el tipo de credencial
$(document).on('click' ,'.tipo_credencial',function(){
    // Generar las opciones
    var opciones = tipo_credencial.map((x) => {
        return `
            <label class="pregunta tam1 flex credencial_${x.tipo}" style="margin: 5px 0 0 0;width:100%;">
                <div class="preg_opci radi" style="margin:0;"><input type="radio" class="sele_ajax" name="credencial" value="${x.tipo}"><div class="preg_tipo"></div></div>
                <div class="preg_info" style="min-width:100px;text-align:center;"><b>${x.tipo == 'E' ? 'E,F,G Y H' : x.tipo}</b><br><span>Emitida apartir ${x.emision}</span></div>
                <div class="preg_imag"><img src="${pin}lib/img/${x.tipo}1.png"><img src="${pin}lib/img/${x.tipo}2.png"></div>
            </label>`
    }).join('')
    // Mostrar ventana
    Swal.fire({
        width: 600,
        html: opciones,
        title: 'Tipo de credencial',
        confirmButtonText: 'Guardar',
        cancelButtonText: 'Cancelar',
        showCancelButton: true,
        allowOutsideClick: false,
        preConfirm: () => {credencial = $('input[name="credencial"]:checked').val();$('.estatus').removeClass('back_rojo').addClass('back_verde').html('<i class="fa-solid fa-check"></i>')}
    }).then((r) => {})
    // Activar la credencial
    $(`.credencial_${credencial}`).find('.preg_opci').addClass('acti').find('input').prop('checked',true)
})
// Mostrar panel de preafiliacion
$(document).on('click' ,'.preafiliar',function(){
    // Almacenar la nueva clave
    var clave = ''
    // Mostrar la ventana
    Swal.fire({
        width: 400,
        title: 'Preafiliación',
        html: `
            <div class="pregunta" style="width:100%;margin:20px 0 0 0;">
                <div class="pregunta_texto">
                    Clave
                    <i class="fa-solid fa-asterisk text_rojo asterisco"></i>
                    <span class="ayuda none"><i class="fa-solid fa-triangle-exclamation"></i> CLAVE REGISTRADA</span>
                </div>
                <input class="pregunta_input preafiliacion" type="text" placeholder="18 CARACTERES">
            </div>`,
        showCancelButton: true,
        confirmButtonText: 'Continuar',
        cancelButtonText: 'Cancelar',
        allowOutsideClick: false,
        preConfirm: () => {clave = $('.preafiliacion').val().replaceAll('-','').toUpperCase()}
    }).then((r) => {
        // Evaluar la respuesta del usuario
        if(r.isConfirmed){
            // Mostrar la pantalla de carga
            carga(true,1)
            // Buscar la clave
            $.ajax({
                type: "POST",
                url : `${pin}api/buscar.php`,
                data: {gral : {tabla : 'td_datos_personales', selec : 'id', where : `WHERE clave_elector = '${clave}'`}},
                timeout: ajax_time,
                success: function(r){
                    // Evaluar existencia en BD
                    if(r.length == 0){
                        // Buscar la clave
                        $.ajax({
                            type: "POST",
                            url : `${pin}api/buscar.php`,
                            data: {gral : {tabla : 'td_estructura_operativa', selec : 'id', where : `WHERE clave_elector = '${clave}'`}},
                            timeout: ajax_time,
                            success: function(r){
                                // Evaluar existencia en BD
                                if(r.length == 1){location.href = `../preafiliacion/registro.php?preafiliar=${clave}`}
                                else {location.href = `../preafiliacion/registro.php?registrar=${clave}`}
                            }
                        })
                        // Redireccionar al usuario
                    } else {Swal.fire({width: 400,icon:'error',html: `La clave <b>${clave}</b> ya se encuentra registrada en Preafiliados`,showCancelButton: true,cancelButtonText: 'Cancelar',confirmButtonText: 'Volver a ingresar',}).then((r) => {if(r.isConfirmed){$('.preafiliar').click()}});carga(false,1)}
                    // Mostrar la pantalla de carga
                    carga(false,1)
                }
            })
        } else {}
    })
    // Deshabiliar el boton
    $('.swal2-confirm').prop('disabled',true)
    // Validacion - Clave elector
    $(document).off('input' ,'.preafiliacion').on('input' ,'.preafiliacion',function(){
        // Agregar mascara personalizada
        $(this).mask('SSSSSS-NNNNNN-NN-G-NNN',{
            'translation': {
                S:{pattern:/[A-Za-z]/},
                N:{pattern:/[0-9]/},
                G:{pattern:/[HMXhmx]/},
                Z:{pattern:/[A-Za-z0-9]/},
            }
        })
        // Obtener el valor
        var v = $(this).val().replaceAll('-','').toUpperCase()
        // Evaluar los 18 caracteres
        if(false){
        } else if(v.length == 18){
            // Habilitar el boton
            $('.swal2-confirm').prop('disabled',false)
            asteriscos($(this),true)
        } else if(v.length == 12){
            // Obtener la fecha actual
            var fc = new Date()
            var nw = fc.getFullYear() - 2000
            // Obtener los datos de la fecha
            var aa = parseInt(v.substring(6, 8));aa = aa + (aa > nw ? 1900 : 2000);
            var mm = parseInt(v.substring(8, 10))
            var dd = parseInt(v.substring(10, 12))
            // Generar la fecha
            var date = new Date(aa,mm - 1,dd)
            // Evaluar la fecha obtenida
            if(date.getFullYear() !== aa || date.getMonth() + 1 !== mm || date.getDate() !== dd){$(this).val($(this).val().slice(0,-6))}
        } else if(v.length == 14){
            // Obtener la entidad ingresada
            var ee = parseInt(v.substring(12,14))
            // Agregar arreglo de validos
            var aa = []
            // Generar el arreglo
            for(let i = 1; i <= 32; i++){aa.push(i)}
            aa.push(87)
            aa.push(88)
            // Evaluar la fecha obtenida
            if(!aa.includes(ee)){$(this).val($(this).val().slice(0,-2))}
        } else {$('.swal2-confirm').prop('disabled',true);asteriscos($(this),false)}
    })
})
// Mostrar ayuda
$(document).on('click' ,'.ayuda',function(){
    // Obtener el id de la imagen
    var img = $(this).attr('data-img')
    // Mostrar alerta
    Swal.fire({
        width: 500,
        title: `¿Su <b>${img}</b> se encuentra rodeado con el cuadro ${img == 'CIC' ? 'azul' : 'verde'}?`,
        html: `<div style="padding: 20px 0;width:100%;float:left;"><img class="ayuda_imagen" src="${pin}lib/img/${img}.png" style="float:left"></div>`,
        showConfirmButton:false,
        showCloseButton: true,
    });$('.ayuda_imagen').closest('.swal2-container.swal2-center.swal2-backdrop-show').css('background','rgba(0,0,0,0.4) !important')
})
// Validacion - Seccion
$(document).on('input' ,'.seccion, .credencial_seccion, .fisico_seccion',function(){
    // Agregar mascara personalizada
    $(this).mask('0000')
    // Obtener el texto
    var t = $(this).hasClass('credencial_seccion') ? 'credencial_' : $(this).hasClass('fisico_seccion') ? 'fisico_' : ''
    // Obtener el valor de la seccion
    var v = $(this).val()
    // Obtener el valor de la entidad
    var e = $(`.${t}entidad`).val()
    // Obtener el html de la seccion
    var h = $(this)
    // Limpiar el ambito
    $(`.${t}municipio`).val(0).prop('disabled',true).html('<option value="0">SELECCIONA...</option>')
    // Evaluar la seccion
    if(v.length == 4){
        // Mostrar pantalla de carga
        carga(true,1)
        // Buscar la seccion desde el ajax
        $.ajax({
            type: `POST`,
            url : `${pin}api/buscar.php`,
            data: {gral : {tabla : 'ct_seccion', selec : 'id_municipio', where : `WHERE activo = 1 AND id_entidad = ${e} AND id_seccion = ${v}`}},
            timeout: ajax_time,
            success: function(r){
                // Evaluar la candidad de secciones
                if(r.length == 1){
                    // Obtener el valor del municipio
                    var m = r[0].id_municipio
                    // Buscar el municipio desde el ajax
                    $.ajax({
                        type: `POST`,
                        url : `${pin}api/buscar.php`,
                        data: {gral : {tabla : 'ct_municipio', selec : 'cab_municipio', where : `WHERE activo = 1 AND id_entidad = ${e} AND id_municipio = ${m}`}},
                        timeout: ajax_time,
                        success: function(r){
                            // Habilitar el municipio
                            $(`.${t}municipio`).prop('disabled',false)
                            // Evaluar la cantidad de municipios
                            if(r.length == 1){$(`.${t}municipio`).html(`<option value="${m}">${r[0].cab_municipio}</option>`)}
                            else {$(`.${t}municipio`).html(`<option value="${m}">SIN DATO</option>`)}
                            // Quitar el asterisco
                            asteriscos(h,true);carga(false,1)
                        }
                    })
                    // Mostrar el asterisco
                } else {asteriscos(h,false);carga(false,1);Swal.fire(toast('error','Está fuera del ámbito municipal'))}
            }
        })
        // Mostrar el asterisco
    } else {asteriscos(h,false)}
    // Buscar la seccion en la base de datos
})
// Validacion - Clave elector
$(document).on('input' ,'.clave_elector',function(){
    // Agregar mascara personalizada
    $(this).mask('SSSSSS-NNNNNN-NN-G-NNN',{
        'translation': {
            S:{pattern:/[A-Za-z]/},
            N:{pattern:/[0-9]/},
            G:{pattern:/[HMXhmx]/},
            Z:{pattern:/[A-Za-z0-9]/},
        }
    })
    // Obtener el valor
    var v = $(this).val().replaceAll('-','').toUpperCase()
    // Obtener el html del campo
    var h = $(this)
    // Evaluar los 18 caracteres
    if(false){
    } else if(v.length == 18){
        // Buscar en la bd
        $.ajax({
            type: "POST",
            url : `${pin}api/buscar.php`,
            data: {gral : {tabla : 'td_datos_personales', selec : 'id', where : `WHERE clave_elector = '${v}'`}},
            timeout: ajax_time,
            success: function(r){
                // Evaluar el resultado
                if(r.length == 0){
                    // Buscar en la bd
                    $.ajax({
                        type: "POST",
                        url : `${pin}api/buscar.php`,
                        data: {gral : {tabla : 'td_estructura_operativa', selec : 'id', where : `WHERE clave_elector = '${v}'`}},
                        timeout: ajax_time,
                        success: function(r){
                            // Evaluar el resultado
                            if(r.length == 0){
                                // Mostrar alerta para volver a ingresar el dato
                                Swal.fire({
                                    width: 400,
                                    title: 'Confirmación de clave',
                                    html: '<div class="pregunta tam0"><div class="pregunta_texto">Confirme la clave</div><input class="pregunta_input confirma" placeholder="18 CARACTERES"></div>',
                                    showCancelButton: true,
                                    cancelButtonText: 'Cancelar',
                                    confirmButtonText:'Confirmar',
                                    allowOutsideClick: false,
                                    preConfirm: () => {n = $('.confirma').val().replaceAll('-','').toUpperCase()}
                                }).then((r) => {
                                    // Evaluar la respuesta del usuario
                                    if(r.isConfirmed){
                                        // Evaluar la coindicencia
                                        if(n !== v){
                                            // Agregar el asterisco
                                            h.val('')
                                            asteriscos(h,false)
                                            // Mostrar alerta
                                            Swal.fire({width:400,icon:'error',html: 'La clave que ingreso NO coincide'})
                                            // Quitar el asterisco
                                        } else {
                                            // Quitar el asterisco
                                            asteriscos(h,true)
                                            // aaaa
                                        }
                                    } else {
                                        // Agregar el asterisco
                                        h.val('')
                                        asteriscos(h,false)
                                    }
                                })
                                // Agregar color de fondo para ocultar el numero
                                $('div:where(.swal2-container).swal2-backdrop-show').css('background','#EEEEEE')
                                // Agregar mascara
                                $('.confirma').mask('SSSSSS-NNNNNN-NN-G-NNN',{
                                    'translation': {
                                        S:{pattern:/[A-Za-z]/},
                                        N:{pattern:/[0-9]/},
                                        G:{pattern:/[HMXhmx]/},
                                        Z:{pattern:/[A-Za-z0-9]/},
                                    }
                                })
                            } else {Swal.fire(toast('warning',`La clave <b>${v}</b> ya se encuentra registrada`,10000));asteriscos(h,false)}
                        }
                    })
                    // Mostrar alerta
                } else{Swal.fire(toast('warning',`La clave <b>${v}</b> ya se encuentra registrada`,10000));asteriscos(h,false)}
            }
        })
    } else if(v.length == 12){
        // Obtener la fecha actual
        var fc = new Date()
        var nw = fc.getFullYear() - 2000
        // Obtener los datos de la fecha
        var aa = parseInt(v.substring(6, 8));aa = aa + (aa > nw ? 1900 : 2000);
        var mm = parseInt(v.substring(8, 10))
        var dd = parseInt(v.substring(10, 12))
        // Generar la fecha
        var date = new Date(aa,mm - 1,dd)
        // Evaluar la fecha obtenida
        if(date.getFullYear() !== aa || date.getMonth() + 1 !== mm || date.getDate() !== dd){$(this).val($(this).val().slice(0,-6))}
    } else if(v.length == 14){
        // Obtener la entidad ingresada
        var ee = parseInt(v.substring(12,14))
        // Agregar arreglo de validos
        var aa = []
        // Generar el arreglo
        for(let i = 1; i <= 32; i++){aa.push(i)}
        aa.push(87)
        aa.push(88)
        // Evaluar la fecha obtenida
        if(!aa.includes(ee)){$(this).val($(this).val().slice(0,-2))}
    } else {asteriscos(h,false)}
})
// Validacion - CIC Y OCR
$(document).on('input' ,'.cic',function(){
    // Agregar mascara personalizada
    $(this).mask('ZZZZZZZZZZ',{'translation':{Z:{pattern:/[0-9]/}}})
    // Obtener el valor
    var v = $(this).val()
    // Obtener el html del campo
    var h = $(this)
    // Evaluar los 10 caracteres
    if(v.length == 10){asteriscos(h,true)}
    else {asteriscos(h,false)}
})
// Validacion - CIC Y OCR
$(document).on('input' ,'.ocr',function(){
    // Agregar mascara personalizada
    $(this).mask('ZZZZZZZZZZZZZ',{'translation':{Z:{pattern:/[0-9]/}}})
    // Obtener el valor
    var v = $(this).val()
    // Obtener el html del campo
    var h = $(this)
    // Evaluar los 13 caracteres
    if(v.length == 13){asteriscos(h,true)}
    else {asteriscos(h,false)}
})
// Validacion - CURP
$(document).on('input' ,'.curp',function(){
    // Agregar mascara personalizada
    $(this).mask('SSSS-NNNNNN-G-SS-ZZZZZ',{
        'translation': {
            S:{pattern:/[A-Za-z]/},
            N:{pattern:/[0-9]/},
            G:{pattern:/[HMXhmx]/},
            Z:{pattern:/[A-Za-z0-9]/}
        }
    })
    // Obtener el valor
    var v = $(this).val().replaceAll('-','').toUpperCase()
    // Obtener el html del campo
    var h = $(this)
    // Evaluar los 18 caracteres
    if(false){
    } else if(v.length == 18){
        // Buscar el numero en la bd
        $.ajax({
            type: "POST",
            url : `${pin}api/buscar.php`,
            data: {gral : {tabla : 'td_curp', selec : 'id', where : `WHERE curp = '${v}'`}},
            timeout: ajax_time,
            success: function(r){
                // Evaluar existencia en BD
                if(r.length == 0){asteriscos(h,true)}
                else{Swal.fire(toast('warning',`La CURP <b>${v}</b> ya se encuentra registrada`,10000))}
            }
        })
        // Quitar el asterisco
    } else if(v.length == 10){
        // Obtener la fecha actual
        var fc = new Date()
        var nw = fc.getFullYear() - 2000
        // Obtener los datos de la fecha
        var aa = parseInt(v.substring(4, 6));aa = aa + (aa > nw ? 1900 : 2000);
        var mm = parseInt(v.substring(6, 8))
        var dd = parseInt(v.substring(8, 10))
        // Generar la fecha
        var date = new Date(aa,mm - 1,dd)
        // Evaluar la fecha obtenida
        if(date.getFullYear() !== aa || date.getMonth() + 1 !== mm || date.getDate() !== dd){$(this).val($(this).val().slice(0,-6))}
    } else {asteriscos(h,false)}
})
// Validacion - Numeros
$(document).on('input' ,'.numero_celular, .numero_fijo, .propuesto_numero_celular',function(){
    // Agregar mascara personalizada
    $(this).mask('00 0000 0000')
    // Obtener el valor
    var v = $(this).val().replaceAll(' ','')
    // Obtener el html del campo
    var h = $(this)
    // Evaluar si es numero celular
    var n = $(this).hasClass('numero_celular')
    // Evaluar los 18 caracteres
    if(v.length == 10){
        // Buscar en la bd
        $.ajax({
            type: "POST",
            url : `${pin}api/buscar.php`,
            data: {gral : {tabla : 'td_numero_celular', selec : 'id', where : `WHERE numero_celular = '${v}'`}},
            timeout: ajax_time,
            success: function(r){
                // Evaluar el resultado
                if(r.length == 0){
                    // Buscar en la bd
                    $.ajax({
                        type: "POST",
                        url : `${pin}api/buscar.php`,
                        data: {gral : {tabla : 'td_numero_fijo', selec : 'id', where : `WHERE numero_fijo = '${v}'`}},
                        timeout: ajax_time,
                        success: function(r){
                            // Evaluar el resultado
                            if(r.length == 0){
                                // Buscar en la bd
                                $.ajax({
                                    type: "POST",
                                    url : `${pin}api/buscar.php`,
                                    data: {gral : {tabla : 'td_estructura_operativa', selec : 'id', where : `WHERE numero_celular = '${v}'`}},
                                    timeout: ajax_time,
                                    success: function(r){
                                        // Evaluar si es el numero celular
                                        if(n && r.length == 0){
                                            // Mostrar alerta para volver a ingresar el dato
                                            Swal.fire({
                                                width: 400,
                                                title: 'Confirmación de número celuar',
                                                html: '<div class="pregunta tam0"><div class="pregunta_texto">Confirme el número celular</div><input class="pregunta_input confirma" placeholder="00-0000-0000"></div>',
                                                showCancelButton: true,
                                                cancelButtonText: 'Cancelar',
                                                confirmButtonText:'Confirmar',
                                                allowOutsideClick: false,
                                                preConfirm: () => {n = $('.confirma').val().replaceAll(' ','')}
                                            }).then((r) => {
                                                // Evaluar la respuesta del usuario
                                                if(r.isConfirmed){
                                                    // Evaluar la coindicencia
                                                    if(n !== v){
                                                        // Agregar el asterisco
                                                        h.val('')
                                                        asteriscos(h,false)
                                                        // Mostrar alerta
                                                        Swal.fire({width:400,icon:'error',html: 'El número celular que ingreso NO coincide'})
                                                        // Quitar el asterisco
                                                    } else {asteriscos(h,true)}
                                                } else {
                                                    // Agregar el asterisco
                                                    h.val('')
                                                    asteriscos(h,false)
                                                }
                                            })
                                            // Agregar color de fondo para ocultar el numero
                                            $('div:where(.swal2-container).swal2-backdrop-show').css('background','#EEEEEE')
                                            // Agregar mascara
                                            $('.confirma').mask('00 0000 0000')
                                        } else {
                                            // Quitar asterisco
                                            asteriscos(h,true)
                                            // Evaluar el resultado
                                            if(r.length > 0){Swal.fire(toast('warning',`El número <b>${v}</b> ya se encuentra registrado`,10000))}
                                        }
                                    }
                                })
                                // Mostrar alerta
                            } else {Swal.fire(toast('warning',`El número <b>${v}</b> ya se encuentra registrado`,10000));asteriscos(h,true)}
                        }
                    })
                    // Mostrar alerta
                } else {Swal.fire(toast('warning',`El número <b>${v}</b> ya se encuentra registrado`,10000));asteriscos(h,true)}
            }
        })
        // Quitar el asterisco
    } else {asteriscos($(this),false)}
})
// Validacion - Correo
$(document).on('input' ,'.correo, .propuesto_correo',function(){
    // Obtener el valor
    var v = $(this).val()
    // Obtener el html del campo
    var h = $(this)
    // Evaluar si el campo esta vacio
    if(v !== '' && (/^[^\s@]+@[^\s@]+\.[^\s@]+$/).test(v)){
        // Buscar en la bd
        $.ajax({
            type: "POST",
            url : `${pin}api/buscar.php`,
            data: {gral : {tabla : 'td_correo', selec : 'id', where : `WHERE correo = '${v}'`}},
            timeout: ajax_time,
            success: function(r){
                // Evaluar el resultado
                if(r.length == 0){
                    // Buscar en la bd
                    $.ajax({
                        type: "POST",
                        url : `${pin}api/buscar.php`,
                        data: {gral : {tabla : 'td_estructura_operativa', selec : 'id', where : `WHERE correo = '${v}'`}},
                        timeout: ajax_time,
                        success: function(r){
                            // Quitar el asterisco
                            asteriscos(h,true)
                            if(r.length > 0){Swal.fire(toast('warning',`El correo <b>${v}</b> ya se encuentra registrado`,10000))}
                        }
                    })
                } else {Swal.fire(toast('warning',`El correo <b>${v}</b> ya se encuentra registrado`,10000));asteriscos(h,true)}
            }
        })
    } else {asteriscos(h,false)}
})
// Validacion - Codigo Postal
$(document).on('input' ,'.credencial_codigo_postal, .fisico_codigo_postal',function(){
    // Agregar mascara personalizada
    $(this).mask('00000')
    // Obtener el valor
    var v = $(this).val()
    // Mostrar el asterisco
    asteriscos($(this),(v.length == 5 ? true : false))
})
// Validacion - Vialidad y Asentamiento
$(document).on('input' ,'.credencial_vialidad, .credencial_asentamiento, .credencial_numero_exterior, .credencial_numero_interior, .credencial_entre_vialidades, .credencial_referencia, .fisico_vialidad, .fisico_asentamiento, .fisico_numero_exterior, .fisico_numero_interior, .fisico_entre_vialidades, .fisico_referencia',function(){
    // Obtener el valor
    var v = $(this).val()
    // Evaluar si el campo esta vacio
    if(v !== ''){
        // Testear la clave
        if(/(.)\1{3,4}/.test(v)){$(this).val(v.slice(0,-1))}
        // Quitar el asterisco
        asteriscos($(this),true)
        // Mostrar el asterisco
    } else {asteriscos($(this),false)}
})
// Validacion - Textos
var temporizador
$(document).on('keydown' ,'.nombre, .paterno, .materno',function(){
    // Limpiar temporizador
    clearTimeout(temporizador)
    // Realizar busqueda despues de 5 segudos
    temporizador = setTimeout(() => {
        // Obtener el valor
        var nom = $('.nombre').val().toUpperCase()
        var pat = $('.paterno').val().toUpperCase()
        var mat = $('.materno').val().toUpperCase()
        var ent = $('.entidad option:checked').html()
        // Evaluar si los datos estan completos
        if(nom !== '' && pat !== '' && ent != ''){
            // Mostrar ventana
            Swal.fire(toast('info','Buscando a la persona en el padrón de partidos políticos'))
            // Evaluar en la bd
            $.ajax({
                type: `POST`,
                url : `${pin}api/buscar.php`,
                data: {gral : {tabla : 'ct_padron_parpol', selec : 'partido', where : `WHERE nombre = '${pat} ${mat} ${nom}' AND entidad = '${ent}'`}},
                timeout: ajax_time,
                success: function(r){
                    parpol = r.length > 0 ? 0 : 1
                    if(r.length == 1){Swal.fire(toast('warning',`Ya se encuentra registrado en un partido politico (<b>${r[0].partido}</b>)`),10000)}
                    else if(r.length > 1){Swal.fire(toast('warning',`Válidar registro`),10000)}
                    else {Swal.fire(toast('success','No se encuentra registrado en ningún partido político'))}
                }
            })
        } else {}
    }, 3000)
})
// Validacion - Textos
$(document).on('input' ,'.nombre, .paterno, .materno, .propuesto_nombre, .propuesto_paterno, .propuesto_materno',function(){
    // Obtener el valor
    var v = $(this).val()
    // Evaluar si el campo esta vacio
    if(v !== '' && (/^[Ñña-zA-Z\s]+$/).test(v)){asteriscos($(this),true)}
    else if(!(/^[Ñña-zA-Z\s]+$/).test(v)){asteriscos($(this),false);$(this).val(v.slice(0,-1))}
    else {asteriscos($(this),false)}
})
// Validacion - Selectores
$(document).on('change','.credencial_tipo_vialidad, .credencial_tipo_asentamiento, .fisico_tipo_vialidad, .fisico_tipo_asentamiento',function(){
    // Obtener el valor
    var v = $(this).val()
    // Mostrar el asterisco
    asteriscos($(this),(v > 0 ? true : false))
})
// Cambiar textos a tipo vialidad
$(document).on('change','.credencial_tipo_vialidad, .fisico_tipo_vialidad',function(){
    // Obtener el texto
    var t = $(this).hasClass('credencial_tipo_vialidad') ? 'credencial_' : 'fisico_'
    // Obtener el valor
    var v = $(this).val()
    // Evaluar el valor
    if(v > 0){
        // Obtener el texto de la opcion
        var o = $(this).find('option:selected').html()
        // Cambiaar el texto de la opcion
        $(`.${t}vialidad`).closest('.pregunta').find('.pregunta_texto').find('span').html(o)
    } else {$(`.${t}vialidad`).closest('.pregunta').find('.pregunta_texto').find('span').html('Vialidad')}
})
// Cambiar textos a tipo vialidad
$(document).on('change','.credencial_tipo_asentamiento, .fisico_tipo_asentamiento',function(){
    // Obtener el texto
    var t = $(this).hasClass('credencial_tipo_asentamiento') ? 'credencial_' : 'fisico_'
    // Obtener el valor
    var v = $(this).val()
    // Evaluar el valor
    if(v > 0){
        // Obtener el texto de la opcion
        var o = $(this).find('option:selected').html()
        // Cambiaar el texto de la opcion
        $(`.${t}asentamiento`).closest('.pregunta').find('.pregunta_texto').find('span').html(o)
    } else {$(`.${t}asentamiento`).closest('.pregunta').find('.pregunta_texto').find('span').html('Asentamiento')}
})
// Funcion para visualizar los archivos
$(document).on('click','.archivo_views',function(){
    // Obtener los titulos
    var text = {
        credencial_frente : 'CREDENCIAL DE FRENTE',
        credencial_atras : 'CREDENCIAL DE ATRÁS',
        formato_registro : 'FORMATO DE REGISTRO',
        comprobante_domicilio : 'COMPROBANTE DE DOMICILIO'
    }
    // Obtener el name del documento
    var name = $(this).closest('.archivo_cajas').find('.archivo').attr('data-name')
    // Evaluar si esta deshabilitado
    var bool = $(this).hasClass('disabled')
    // Evaluar el name
    if(name && !bool){
        // Obtener el documento
        var file = window[name]
        // Mostrar ventana
        Swal.fire({
            title: text[name],
            html: `<div class="imagen boto_2">${file.includes('/pdf') ? `<embed src="${file}">`: `<img src="${file}">`}</div>`,
            showConfirmButton: false,
            showCloseButton: true,
        })
    } else {}
})
// Validacion - Cargo
$(document).on('change','.cargo',function(){
    // Obtener el valor
    var v = $(this).val()
    // Limpiar el ambito
    $(`.entidad`).val(0).change()
    $(`.municipio`).val(0).html('<option value="0">SELECCIONA...</option>')
    // Evaluar el valor
    if(v == 2){$('.entidad').closest('.pregunta').removeClass('none');$('.municipio, .municipio_regional').closest('.pregunta').addClass('none')}
    else if(v == 3 || v == 4){$('.entidad, .municipio').closest('.pregunta').removeClass('none');$('.municipio_regional').closest('.pregunta').addClass('none')}
    else if(v == 5){$('.entidad').closest('.pregunta').removeClass('none');$('.municipio, .municipio_regional').closest('.pregunta').addClass('none')}
    else {$('.entidad, .municipio').closest('.pregunta').addClass('none')}
})
// Funcion para generar un hash aleatorio
function generar_hash(){
    // Lista de caracteres
    var caracteres = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';
    // Generar el hash
    let hash = '';for (let i = 0; i < 10; i++){hash += caracteres.charAt(Math.floor(Math.random() * caracteres.length));}
    // Arrojar el hash
    return hash;
}
// Funcion para generar codigo qr
function generar_codigo_qr(hash){
    // Crear elemento html
    $('body').append('<div id="codigo_qr"></div>')
    // Crear el código QR
    new QRCode(document.getElementById("codigo_qr"), {text: hash,width: 200,height: 200,colorDark : "#000000",colorLight : "#ffffff",correctLevel : QRCode.CorrectLevel.H});
    // Obtener la imagen del QR en Base64
    const html = document.getElementById("codigo_qr").children[0];
    const base = html.toDataURL();
    // Eliminar elemento html
    $('#codigo_qr').remove()
    // Retornar la base64
    return base
}
// Funcion para agregar los reactivos aL formulario
function formulario(r,t){
    // Lista de validacion
    var v = ['','<i class="fa-solid fa-asterisk text_rojo asterisco"></i>']
    // Recorrer los bloques de los reactivos
    for( b in r){
        // Agregar el titulo del bloque
        $('.formulario').append(`<div class="titulo_1 ${r[b].disabled || ''}">${r[b].text}</div>`)
        // Recorrer la lista de reactivos
        for(let p in r[b].preguntas){
            // Obtener la informacion del reactivo
            var i = r[b].preguntas[p]
            // Generar html de la pregunta
            var h = `<div class="pregunta tam${i.size} ${r[b].disabled || i.disabled || ''}"><div class="pregunta_texto">${i.text} ${v[i.valid]}</div>`
            // Evaluar el tipo de campo
            if(i.type == 0){h += `<input class="pregunta_input ${p}" type="${i.tipo}" placeholder="${i.info || 'ESCRIBE...'}" ${i.disabled == 1 ? 'disabled' : ''} value="${i.value || ''}">`}
            else if(i.type == 1){h += `<select class="pregunta_input ${p}" ${i.disabled == 1 ? 'disabled' : ''}>${i.opts.map((x,y) => {return `<option value="${x[0]}">${x[1]}</option>`})}</select>`}
            else if(i.type == 2){h += `<div class="archivo_cajas"><div class="archivo fotografia" data-name="${p}"><div class="archivo_icono"><i class="fa-solid fa-upload"></i></div><div class="archivo_datos"><div class="archivo_nombre">SELECCIONA...</div><div class="archivo_tamano">0.00 KB</div></div></div><div class="archivo_views disabled"><i class="fa-solid fa-eye-slash"></i></div></div>`}
            else if(i.type == 3){h += `<div class="pregunta_cajas ${p}"></div>`}
            // Agregar la pregunta al formulario
            $('.formulario').append(`${h}</div>`)
        }
        // Agregar el html de la pregunta
        if(r[b].html){$('.formulario').append(r[b].html)}
    }
    // Agregar los botones al formulario
    $('.formulario').append(
        '<div class="botones">'+
        (t == 1 ?
            '<button class="boton back_rosa renovar"><div class="boton_icon"><i class="fa-solid fa-user-pen"></i></div><div class="boton_text">Actualizar</div></button>'+
            '<button class="boton back_gris regresa righ_1"><div class="boton_icon"><i class="fa-solid fa-backward"></i></div><div class="boton_text">Regresar</div></button>'
            :
            '<button class="boton back_rosa guardar"><div class="boton_icon"><i class="fa-solid fa-address-book"></i></div><div class="boton_text">Registrar</div></button>'
        )+
        '</div>'
    )
}
// Funcion para quitar o agregar el asterisco
function asteriscos(r,b){
    // Obtener el asterisco
    var a = r.closest('.pregunta').find('.asterisco')
    // Evaluar si existe un asterisco
    if(b){a.addClass('none')}
    else {a.removeClass('none')}
}