// Nombre de exportacion
var expo_titl = $('title').html()
let t_impo = 0
var impo_head = []
var impo_body = []
// Agregar el lenguaje español a las tablas
var utf8 = {
    decimal: ".",
    emptyTable: "No hay información",
    info: "El total de registros: <b>_TOTAL_</b> registros",
    infoEmpty: "Total: 0",
    infoFiltered: "",
    infoPostFix: "",
    thousands: ",",
    lengthMenu: "_MENU_ reg",
    loadingRecords: "Cargando...",
    processing: "Procesando...",
    search: "",
    zeroRecords: "Sin resultados",
    select: {rows: {_: "Selecciones: %d",}},
    paginate: {
        first: "Inicio",
        last: "Ultimo",
        next: "Siguiente",
        previous: "Anterior"
    },
    searchBuilder: {
        add: '<i class="fa-solid fa-plus"></i>',
        condition: 'Condición',
        conditions: {
            number: {
                between: 'Entre',
                empty: 'Vacio',
                equals: 'Igual que',
                gt: 'Mayor que',
                gte: 'Mayor o igual que',
                lt: 'Menor que',
                lte: 'Menor o igual que',
                not: 'No este',
                notBetween: 'No esté entre',
                notEmpty: 'No esté vacio',
            },string: {
                contains: 'Contiene',
                empty: 'Vacio',
                endsWith: 'Termine con',
                equals: 'Igual que',
                not: 'No este',
                notContains: 'No contiene',
                notEmpty: 'No esté vacio',
                notEndsWith: 'No termine con',
                notStartsWith: 'No inicie con',
                startsWith: 'Inicie con',
            },date: {
                after: 'Después',
                before: 'Antes',
                between: 'Entre',
                empty: 'Vacio',
                equals: 'Igual que',
                not: 'No este',
                notBetween: 'No esté entre',
                notEmpty: 'No esté vacio'
            }
        },
        clearAll: '<i class="fa-solid fa-filter-circle-xmark"></i>',
        delete: '<i class="fa-solid fa-trash"></i>',
        deleteTitle: 'Borrar',
        data: 'Columna',
        left: '<i class="fa-solid fa-caret-left"></i>',
        leftTitle: 'Quitar sub condición',
        right: '<i class="fa-solid fa-caret-right"></i>',
        rightTitle: 'Agregar sub condición',
        logicAnd: 'Y',
        logicOr: 'Ó',
        title: {
            0: 'Filtros:',
            _: 'Filtros: (%d)'
        },
        value: 'Opción',
        valueJoiner: 'y'
    }
}
// Botones de uso para las tablas
var impo = [{text: '<button class="tabl_btn1 back_negro"><div class="tabl_icon"><i class="fa-solid fa-upload"></i></div><div class="tabl_text">Importar</div></button>',action:function(){location.href = 'importar.php'}}]
var back = [{text: '<button class="tabl_btn1 back_rosa"><div class="tabl_icon"><i class="fa-solid fa-backward-fast"></i></div><div class="tabl_text">Regresar</div></button>',action:function(){location.href = 'index.php'}}]
var arch = [{text: '<button class="tabl_btn1 back_azul"><div class="tabl_icon"><i class="fa-solid fa-upload"></i></div><div class="tabl_text">Seleccionar archivo</div></button>',action:function(){$('.impo').click()}}]
var save = [{text: '<button class="tabl_btn1 back_azul save"><div class="tabl_icon"><i class="fa-solid fa-upload"></i></div><div class="tabl_text">Subir importación</div></button>'}]
var agre = [{text: '<button class="tabl_btn1 back_rosa agre_ajax"><div class="tabl_icon"><i class="fa-solid fa-plus"></i></div><div class="tabl_text">Agregar</div></button>'}];
var edit = [{text: '<button class="tabl_btn1 back_azul edit_sele"><div class="tabl_icon"><i class="fa-solid fa-pen-to-square"></i></div><div class="tabl_text">Editar</div></button>'}];
var elim = [{text: '<button class="tabl_btn1 back_rojo elim_sele"><div class="tabl_icon"><i class="fa-solid fa-trash"></i></div><div class="tabl_text">Eliminar</div></button>'}];
var expo_xlsx = [{text: '<button class="tabl_btn1 back_verde expo_xlsx"><div class="tabl_icon"><i class="fa-solid fa-file-excel"></i></div><div class="tabl_text">Exportar XLSX</div></button>'}]
var expo_csvf = [{text: '<button class="tabl_btn1 back_verde expo_csvf"><div class="tabl_icon"><i class="fa-solid fa-file-csv"></i></div><div class="tabl_text">Exportar CSV</div></button>'}]
// Funcion para obtener la extension de la imagen
function exportar_extension(imagen) {
    // Separar los datos de inicio
    const match = imagen.match(/data:image\/(\w+);/);
    // Mostrar la extension
    return match ? match[1] : 'png';
}
// Funcion para almacenar la exportacion
function exportar_guardar(blob, filename){
    // Obtener la url de descarga
    const url = window.URL.createObjectURL(blob);
    // Generar el elemento de descarga
    const a = document.createElement('a');
    // Estilizar y ocultar el elemento
    a.style.display = 'none';
    a.href = url;
    a.download = filename;
    // Agregar al documento
    document.body.appendChild(a);
    // Descargar el archivo
    a.click();
    // Remover el elemento
    window.URL.revokeObjectURL(url);
}
// Funcion para importar - CSV
async function importar_csv(a){
    // Obtener el texto del archivo
    var texto = await a.text()
    // Mandar la informacion
    return texto
}
// Funcion para importar - TXT
async function importar_txt(a){
    // Obtener el texto del archivo
    var texto = await a.text()
    // Mandar la informacion
    return texto
}
// Funcion para importar - ZIP
async function importar_zip(a){
    // Obtener el texto del archivo
    var texto = ''
    // Leer el archivo zip
    const leer = new JSZip();
    const data = await leer.loadAsync(a);
    // Extarer los archivos
    var file = data.files
    // Obtener los archivos CSV y TXT
    var list = Object.keys(file).filter((x) => {return x.includes('csv') || x.includes('txt')})
    // Recorrer la lista de archivos
    for(let x in list){
        // Obtener el texto del archivo
        var texto_archivo = await file[list[x]].async("string")
        var texto_separar = list[x].split('/').map((x) => {return x.toUpperCase()})
        // Evaluar el catalogo de importacion
        if(false){
        // Evaluar si la importacion es para el catalogo del padron de parpol
        } if(tabl_name == 'ct_padron_parpol'){
            // Evaluar si son locales
            if(texto_separar.includes('LOCALES')){
                // Obtener los datos
                var tipo = texto_separar[0]
                var edos = texto_separar[1]
                var part = texto_separar[2]
                var txts = texto_separar[3]
                // Reordenar
                texto_separar = [tipo,part,edos,txts]
            } else {}
            // Limpiar el texto
            texto_archivo = await importar_limpiar(texto_archivo)
            // Convertir a array
            texto_archivo = texto_archivo.split('\n').map((x) => {x = x.split('|');x.push(texto_separar[0]);x.push(texto_separar[1]);return x}).join('\n')
        } else {}
        // Agregar el texto
        texto += texto_archivo
    }
    // Mandar la informacion
    return texto
}
// Funcion para limpiar el texto importado
async function importar_limpiar(t){
    // Función de reemplazo que se aplicará a cada coincidencia
    const reemplazar_comas = (coincidencia) => {return coincidencia.replace(/[,.]/g,'')}
    // Reemplaza todas las coincidencias usando la función de reemplazo
    const texto = t.replace(/"[^"]*"/g, reemplazar_comas).replace(/[\/\r"]/g,'').replace(/[,]/g,'|')
    // Retorar el texto limpiado
    return texto
}
// Funcion para mostrar los datos importados
async function importar_mostrar(h){
    // Eliminar la tabla actual
    t_impo.destroy()
    $('#tabla').html('')
    // Agregar el id
    h.unshift('id')
    // Agergar las columnas
    c = [...h].map((x) => {
        // Evaluar el tipo de columna
        if(x == 'id'){
            x  = `<th class='tabl_tam1'><label class='preg_opci chec' data-tabl='${tabl_name}'><input type='checkbox' class='sele_ajax'><div class='preg_tipo'><i class='fa-solid fa-check'></i></div></label></th>`
            x += `<th class='tabl_tam1'>EDIT.</th>`
            x += `<th class='tabl_tam1'>ELIM.</th>`
            x += `<th class='tabl_tam1'>id</th>`
        } else {x = `<th class="text_cent">${x}</th>`}
        // Mostrar las columnas
        return x
    }).join('')
    // Agregar las columnas
    $('#tabla').html(`<table id="t_impo" class="nowrap" style="width: 100%;"><thead>${c}</thead></table>`)
    // Agregar contador
    setTimeout(() => {
        // Crear la nueva tabla
        t_impo = $('#t_impo').DataTable({
            dom: 'QBftipr',
            language: utf8,
            scrollX: true,
            serverSide: true,
            deferRender: true,
            order: [],
            buttons: [save,back],
            columnDefs: [{targets: [0,1,2],orderable: false}],
            ajax: {url: `${pin}api/buscar.php`,type: 'POST',data: function(d){d.ajax = ['ct_importar',h];d.length = 10}},
        }).on('init.dt',function(){$('.dataTables_filter label').append('<div class="icon"><i class="fa-solid fa-magnifying-glass"></i></div>');$('.dataTables_filter input').attr('placeholder','Buscar...');carga(false,1)})
    },500)
}
// Funcion para obtener las filas y las columnas
async function importar_informacion(a,e){
    // Mostrar la pantalla de carga
    carga(true,1)
    // Obtener el tipo de archivo
    var tipo = a.type.split('/')[1]
    var name = a.name
    var text = ''
    // Evaluar el tipo de archivo
    if(tipo == 'csv'){text = await importar_csv(a)}
    if(tipo == 'plain'){text = await importar_txt(a)}
    if(tipo == 'x-zip-compressed'){text = await importar_zip(a)}
    // Limpiar el texto
    text = await importar_limpiar(text)
    // Convertir el texto a JSON
    text = text.split('\n').map((x) => {return x.split('|').filter((a) => {return a !== ''})})
    // Evaluar si las filas son compatobles con el catalogo
    text = text.reduce((x,y) => {if(y.length == e.length){x.push(y)}return x},[])
    // Evaluar la informacion del texto
    if(text.length > 1){
        // Obtener el numero de filas y columnas
        var rows = text.length
        var cols = text[0].length
        var sele = 0
        // Mostar alerta
        Swal.fire({
            width: 500,
            title: 'Información de la importación',
            html: `
                <div class="preg_text topi_2">Nombre del archivo: <b>${name}</b></div>
                <div class="preg_text">Total de filas: <b>${rows.toLocaleString('en')}</b></div>
                <div class="preg_text">Total de columnas: <b>${cols.toLocaleString('en')}</b></div>
                <div class="pregunta" style="width:100%;margin:20px 0 0 0;">
                    <div class="preg_text">¿En que fila se encuentran los encabezados?</div>
                    <input class="pregunta_input encabezado" placeholder="Del 1 al ${rows.toLocaleString('en')}" type="tel">
                </div>
            `,
            showCancelButton: true,
            cancelButtonText: 'Cancelar',
            confirmButtonText:'Importar',
            allowOutsideClick: false,
            preConfirm: () => {sele = $('.encabezado').val() - 1}
        }).then((r) => {
            // Evaluar la respuesta del usuario
            if(r.isConfirmed){
                // Evaluar el catalogo de importacion
                if(false){
                } if(tabl_name == 'ct_padron_parpol'){
                    // Configurar los encabezados
                    text[sele][3] = 'TIPO'
                    text[sele][4] = 'PARTIDO'
                } else {}
                // Mostrar pantalla de carga
                carga(true,1)
                // Obtener la fila de los encabezados
                impo_head = [...text][sele].map((x) => {return x.replace(/[\s\r]/g,'')})
                // Obtener los datos
                impo_body = [...text].reduce((x,y,z) => {if(y[0] !== impo_head[0] && z !== sele){x.push(y)}return x},[])//.slice(0,5)
                // Evaluar el impo_body
                if(impo_body.length > 0){
                    // Covertir a txt
                    impo_body = impo_body.map((x) => {return x.join('|')}).join('\n')
                    // Subir la informacion a la base de datos
                    fetch(`${pin}api/importar.php`, {
                        method: 'POST',
                        headers: {'Content-Type': 'application/json'},
                        body: JSON.stringify([impo_head,impo_body])
                    })
                    .then(r => r.text())
                    .then(r => {importar_mostrar(impo_head);impo_body = 0;text = 0})
                    .catch(e => {Swal.fire({width: 400,icon:'error',html:'Lo sentimos, ocurrio un error al guardar el archivo'});carga(false,1)})
                    // Mostrar alerta
                } else {Swal.fire({width: 400,icon: 'error',html: 'El archivo seleccionado solo contiene los encabezados, <b>NO</b> contiene datos'});carga(false,1);impo_body = 0;text = 0}
                // Mostrar alerta
            } else {Swal.fire({width: 400,icon: 'success',html: 'La importación se cancelo'});text = 0}
        })
        // Deshabilitar el boton de confirmacion
        $('.swal2-confirm').prop('disabled',true);carga(false,1)
        // Funcion para evaluar la fila seleccionada
        $(document).on('input','.encabezado',function(){
            // Agregar mascara personalizada
            $(this).mask(''.padStart(String(rows).length,'N'),{'translation': {N:{pattern:/[0-9]/},}})
            // Obtener el valor
            var valor = $(this).val()
            // Evaluar el resultado
            if(valor > 0 && valor <= rows){$('.swal2-confirm').prop('disabled',false)}
            else {$('.swal2-confirm').prop('disabled',true)}
        })
        // Mostrar alerta
    } else {Swal.fire({width: 400,icon: 'error',html: 'El archivo seleccionado <b>NO</b> contiene datos o los datos no son compatibles con esté catálogo'})}
    // Quitar pantalla de carga
    carga(false,1)
}
// Funcion para iniciar la exportacion de datos desde XLSX
$(document).on('click','.expo_xlsx',async function(){
    // Datos de exportacion
    expo_file = (typeof expo_nomb !== 'undefined' ? expo_nomb : expo_titl)+'_22102024.xlsx'
    // Obtener los datos de exportacion
    var head = Object.values(t_crud.columns().header().toArray()).map((x) => {return x.innerHTML.toUpperCase().replaceAll(' ','_')})
    if(typeof expo_maxi !== 'undefined'){head = head.slice(expo_mini,expo_maxi)}
    else{head = head.slice(expo_mini)}
    var dato = [...t_crud.rows({search: 'applied'}).data().toArray()].map((x) => {
        // Quitar las columnas ocultas
        if(typeof expo_maxi !== 'undefined'){x = x.slice(expo_mini,expo_maxi)}
        else{x = x.slice(expo_mini)}
        // Convertir el arreglo a un objeto
        x = Object.fromEntries(x.map((e,f) => {
            // Convertir a cadena de texto
            e = String(e)
            // Crear elemento html
            const elemento = document.createElement('div');elemento.innerHTML = e
            // Extraer el texto
            e = e.includes('img') ? elemento.getElementsByTagName('img')[0].src : elemento.textContent || elemento.innerHTML
            // Retornar el resultado
            return [head[f],e.startsWith('data:image/') ? e : e.startsWith('http') ? '' : e]
        }))
        // Retornar el resultado
        return x
    })
    // Crear un libro de Excel
    const wb = new ExcelJS.Workbook()
    // Crear la hoja en Excel
    const ws = wb.addWorksheet('Hoja')
    // Insertar columnas y filas
    ws.columns = [...head].map((x) => {return {header: x,key: x}})
    ws.addRows([...dato].map((x) => {x = {...x};x.FOTO_VIVA = '';return x}))
    ws.getRow(1).font = {bold: true}
    // Evaluar si hay imagenes
    if(typeof dato[0].FOTO_VIVA !== 'undefined'){
        // Recorrer los registros para evaluar las imagenes
        for (let i = 0; i < dato.length; i++){
            // Aumentar el tamaño
            ws.getRow(i + 2).height = 38
            // Obtener el indice de la columna
            const indice = Object.keys(dato[i]).indexOf('FOTO_VIVA')
            // Obtener la imagen del registro
            const imagen = dato[i].FOTO_VIVA
            // Evaluar si hay una imagen asignada
            if (typeof imagen === 'string' && imagen.startsWith('data:image/')) {
                // Agregar la imagen al libro de Excel
                const image_id = wb.addImage({base64: imagen,extension: exportar_extension(imagen)})
                // Agregar la imagen a la hoja
                ws.addImage(image_id, {tl: {col: indice, row: i + 1},ext: {width: 50, height: 50}})
            } else {}
        }
    } else {}
    // Guardar el archivo de excel
    wb.xlsx.writeBuffer().then(buffer => {exportar_guardar(new Blob([buffer]), expo_file)})
})
// Funcion para agregar datos al crud
$(document).on('click','.agre_ajax',function(){
    // Obtener los elementos html
    var th = $(`#t_crud thead th`)
    // Generar arreglo para almacenar los encabezados
    var head = [], i = 0
    var body = [], j = 0
    // Recorrer para obtener los encabezados y los valores
    th.each(function(){if((typeof tabl_mini !== 'undefined' ? i > tabl_mini : i > 3) && (typeof tabl_maxi !== 'undefined' ? i <= tabl_maxi : true)){head.push($(this).text());body.push('')}i++;})
    // Crear html del formulario
    var html = [...head].map((x,y) => {return `<div class="pregunta tam1"><div class="pregunta_texto">${x}</div><input autocomplete="off" class="pregunta_input" id="preg_${y}" type="text" placeholder="Escribe..."></div>`}).join('')
    // Mostrar ventana
    Swal.fire({
        width: 400,
        title: 'Agregar nueva fila',
        html: html,
        confirmButtonText: 'Agregar',
        cancelButtonText: 'Cancelar',
        showCancelButton: true,
        allowOutsideClick: false,
        preConfirm: () => {body = body.map((x,y) => {return `'${$(`#preg_${y}`).val()}'`})},
    }).then((r) => {
        // Evaluar la respuesta del usuario
        if(r.isConfirmed){
            // Mandar solicitud AJAX para realizar cambios
            $.ajax({
                type: "POST",
                url: `${pin}api/insertar.php`,
                data: {crud : [tabl,body,head.map((x) => {return x.toLowerCase()})]},
                timeout: ajax_time,
                success: () => {Swal.fire(toast('success','Se agrego la nueva fila'));t_crud.ajax.reload()
                },error: () => {error()}
            })
        } else {}
    })
})
// Funcion para editar los datos de la fila
$(document).on('click','.edit_ajax',function(){
    // Obtener los elementos html
    var tr = $(this).closest('tr').find('td')
    var th = $(`#t_crud thead th`)
    // Obtener el id
    var id = parseInt($(this).attr('data-id'))
    // Generar arreglo para almacenar los encabezados
    var head = [], i = 0
    var body = [], j = 0
    // Recorrer para obtener los encabezados y los valores
    th.each(function(){if((typeof tabl_mini !== 'undefined' ? i > tabl_mini : i > 3) && (typeof tabl_maxi !== 'undefined' ? i <= tabl_maxi : true)){head.push($(this).text())}i++;})
    tr.each(function(){if((typeof tabl_mini !== 'undefined' ? j > tabl_mini : j > 3) && (typeof tabl_maxi !== 'undefined' ? j <= tabl_maxi : true)){body.push($(this).text())}j++;})
    // Crear html del formulario
    var html = [...head].map((x,y) => {return `<div class="pregunta tam1"><div class="pregunta_texto">${x}</div><input autocomplete="off" class="pregunta_input" id="preg_${y}" type="text" placeholder="Escribe..." value="${body[y] == 'SIN DATO' ? '' : body[y]}"></div>`}).join('')
    // Mostrar ventana
    Swal.fire({
        width: 400,
        title: 'Modificar datos para la fila: <b>'+id+'</b>',
        html: html,
        confirmButtonText: 'Actualizar',
        cancelButtonText: 'Cancelar',
        showCancelButton: true,
        allowOutsideClick: false,
        preConfirm: () => {body = body.map((x,y) => {return $('#preg_'+y).val()})},
    }).then((r) => {
        // Evaluar la respuesta del usuario
        if(r.isConfirmed){
            // Mandar solicitud AJAX para realizar cambios
            $.ajax({
                type: "POST",
                url: `${pin}api/actualizar.php`,
                data: {crud : [tabl,body,head,id]},
                timeout: ajax_time,
                success: () => {Swal.fire(toast('success','Fila eliminada'));t_crud.ajax.reload()
                },error: () => {error()}
            })
        } else {}
    })
})
// Funcion para eliminar la fila
$(document).on('click','.elim_ajax',function(){
    // Obtener el id
    var id = parseInt($(this).attr('data-id'))
    var nb = $(this).attr('data-nb')
    // Mostrar alerta
    Swal.fire({
        width: 400,
        icon: 'warning',
        html: nb ? `¿Desea eliminar a <b>${nb}</b>?` : `Se eliminara la fila con id <b>${id}</b><br><br>¿Desea continuar?`,
        confirmButtonText: 'Continuar',
        cancelButtonText: 'Cancelar',
        showCancelButton: true,
        allowOutsideClick: false,
    }).then((r) => {
        // Evaluar la respuesta del usuario
        if(r.isConfirmed){
            // Mandar solicitud AJAX para realizar cambios
            $.ajax({
                type: "POST",
                url: `${pin}api/eliminar.php`,
                data: {crud : [tabl,id]},
                timeout: ajax_time,
                success: (r) => {Swal.fire(toast('success','Registro eliminado'));t_crud.ajax.reload()
                },error: (r) => {error()}
            });
        } else {}
    })
})
// Funcion para editar los datos de la selecciones
$(document).on('click','.edit_sele',function(){
    // Buscar si hay selecciones
    $.ajax({
        type: "POST",
        url: `${pin}api/buscar.php`,
        data: {crud : tabl},
        timeout: ajax_time,
        success: (r) => {
            // Evaluar la cantidad de selecciones
            if(r > 0){
                // Obtener los elementos html
                var th = $(`#t_crud thead th`)
                // Generar arreglo para almacenar los encabezados
                var head = [], i = 0
                var body = [], j = 0
                // Recorrer para obtener los encabezados
                th.each(function(){if((typeof tabl_mini !== 'undefined' ? i > tabl_mini : i > 3) && (typeof tabl_maxi !== 'undefined' ? i <= tabl_maxi : true)){head.push($(this).text())}i++;})
                // Crear html del formulario
                var html = [...head].map((x,y) => {return `<div class="pregunta tam1"><div class="pregunta_texto">${x}</div><input autocomplete="off" class="pregunta_input" id="preg_${y}" type="text" placeholder="Escribe..."></div>`}).join('')
                // Variable para saber si los datos se dejan vacios
                var emty = 0
                // Mostrar alerta
                Swal.fire({
                    width: 400,
                    title: 'Editar datos de las selecciones',
                    html: ''+
                        '<div class="pregunta tam1">'+
                            '<div class="pregunta_texto">Para los campos vacios</div>'+
                            '<label class="preg_opci radi acti">'+
                                '<input type="radio" value="0" class="emty" name="emty" checked>'+
                                '<div class="preg_tipo"><i class="fa-solid fa-circle"></i></div>'+
                                '<div class="preg_text">Permanecer con los datos anteriores</div>'+
                            '</label>'+
                            '<label class="preg_opci radi">'+
                                '<input type="radio" value="1" class="emty" name="emty">'+
                                '<div class="preg_tipo"><i class="fa-solid fa-circle"></i></div>'+
                                '<div class="preg_text">Dejar los datos en vacio</div>'+
                            '</label>'+
                        '</div>'+html,
                    confirmButtonText: 'Actualizar',
                    cancelButtonText: 'Cancelar',
                    showCancelButton: true,
                    allowOutsideClick: false,
                    preConfirm: () => {emty = $('.emty:checked').val();body = [...head].map((x,y) => {return $('#preg_'+y).val()})},
                }).then((r) => {
                    // Evaluar la respuesta del usuario
                    if(r.isConfirmed){
                        // Mandar solicitud AJAX para realizar cambios
                        $.ajax({
                            type: "POST",
                            url: `${pin}api/actualizar.php`,
                            data: {crud_sele : [tabl,body,head,emty]},
                            timeout: ajax_time,
                            success: (r) => {Swal.fire(toast('success','Fila eliminada'));t_crud.ajax.reload()
                            },error: (r) => {error()}
                        });
                    } else {}
                })
            } else {Swal.fire({width: 400,icon:'info',html:'Realiza una o más selecciones para poder realizar modificaciones a los datos'})}
        },error: () => {error()}
    });
})
// Funcion para eliminar los datos de la selecciones
$(document).on('click','.elim_sele',function(){
    // Buscar si hay selecciones
    $.ajax({
        type: "POST",
        url: `${pin}api/buscar.php`,
        data: {crud : tabl},
        timeout: ajax_time,
        success: (r) => {
            // Evaluar la cantidad de selecciones
            if(r > 0){
                // Mostrar alerta
                Swal.fire({
                    width: 400,
                    icon: 'warning',
                    html: 'Se eliminarán las filas seleccionadas <br><br>¿Desea continuar?',
                    confirmButtonText: 'Continuar',
                    cancelButtonText: 'Cancelar',
                    showCancelButton: true,
                }).then((r) => {
                    // Evaluar la respuesta del usuario
                    if(r.isConfirmed){
                        // Mandar solicitud AJAX para realizar cambios
                        $.ajax({
                            type: "POST",
                            url: `${pin}api/eliminar.php`,
                            data: {crud_sele : tabl},
                            timeout: ajax_time,
                            success: (r) => {Swal.fire(toast('success','Registros eliminados'));t_crud.ajax.reload()
                            },error: (r) => {error()}
                        });
                    } else {}
                })
            } else {Swal.fire({width: 400,icon:'info',html:'Realiza una o más selecciones para poder editar sus datos',})}
        },error: () => {error()}
    })
})
// Funcion para activar o desactivar los input del encabezado de la tabla
$(document).on('click','thead input.sele_ajax',function(){
    // Obtener la tabla que se va actualizar
    var data = $(this).closest('label').attr('data-tabl')
    // Obtener el valor
    var valu = Number($(this).prop('checked'))
    // Obtener el html de la pregunta
    var html = $(this).closest('label');html.prop('disabled',true)
    // Actualizar las marcas desde ajax
    $.ajax({
        type: "POST",
        url: `${pin}api/actualizar.php`,
        data: {crud_head : [data,valu]},
        timeout: ajax_time,
        success: () => {html.prop('disabled',false);if(valu){html.closest('label').addClass('acti');$('tbody label').addClass('acti').find('input').prop('checked',true)}else{html.closest('label').removeClass('acti');$('tbody label').removeClass('acti').find('input').prop('checked',false)}}
    });
})
// Funcion para activar o desactivar los input del contenido  de la tabla
$(document).on('click','tbody input.sele_ajax',function(){
    // Obtener la tabla que se va actualizar
    var indx = $(this).closest('label').attr('data-id')
    // Obtener la tabla que se va actualizar
    var data = $(this).closest('label').attr('data-tabl')
    // Obtener el valor
    var valu = Number($(this).prop('checked'))
    // Obtener el html de la pregunta
    var html = $(this).closest('label');html.prop('disabled',true)
    // Actualizar las marcas desde ajax
    $.ajax({
        type: "POST",
        url: `${pin}api/actualizar.php`,
        data: {crud_body : [data,valu,indx]},
        timeout: ajax_time,
        success: () => {html.prop('disabled',false);if(valu){html.addClass('acti')}else{html.removeClass('acti')}}
    });
})
// Funcion para agrandar la fotografia y codigo qr
$(document).on('click','.fotografia, .codigo_qr',function(){
    // Obtener la url de la fotografia
    var imagen = $(this).attr('src')
    var codigo = $(this).hasClass('fotografia') ? 'Fotografía' : $(this).attr('data-hash')
    var textos = $(this).hasClass('fotografia') ? 'Fotografía' : 'Código QR'
    // Mostrar alerta
    Swal.fire({
        width: 400,
        title: `<b style='font-size:30px;'>${codigo}</b>`,
        html: `<div class='escaner topi_2 boto_2'><img src='${imagen}'></div>`,
        showConfirmButton: false,
        showCloseButton: true,
    })
})
// Funcion para obtener la informacion del archivo a importar
$(document).on('change','.impo',function(){
    // Obtener el archivo
    var archivo = $(this)[0].files
    // Evaluar si hay un archivo
    if(archivo.length == 1){importar_informacion(archivo[0],tabl_head)}
})
// Funcion para subir la informacion
$(document).on('click' ,'.save',function(){
    // Almacenar los indices
    var tabl_indx = []
    // Generar las opciones
    var opci = [...impo_head].slice(1).map((x,y) => {return `<option value="${y}">${x}</option>`})
    // Generar las preguntas
    var preg = [...tabl_head].map((x,y) => {return `<div class="pregunta tam0"><div class="pregunta_texto">${x}</div><select class="pregunta_input" id="p${y}">${opci.join('')}</select></div>`})
    // Mostrar la ventana de asignacion
    Swal.fire({
        width: 400,
        html: preg.join(''),
        title: 'Asignación de columnas',
        showCancelButton: true,
        cancelButtonText: 'Cancelar',
        confirmButtonText:'Continuar',
        allowOutsideClick: false,
        preConfirm: () => {tabl_indx = impo_head.map((x,y) => {return $(`#p${y} option:selected`).html()})}
    }).then((r) => {
        // Mostrar pantalla de carga
        carga(true,1)
        // Evaluar la respuesta del usuario
        if(r.isConfirmed){
            // Mandar Guardar la informacion desde ajax
            $.ajax({
                type: "POST",
                url: `${pin}api/insertar.php`,
                data: {importar : [tabl_name,tabl_head,tabl_indx]},
                success: function(r){
                    // Mostrar alerta
                    Swal.fire({
                        width: 400,
                        icon: 'success',
                        html: 'La importación ha sido guarda de manera exitosa',
                        showCancelButton: true,
                        allowOutsideClick: false,
                        cancelButtonText: 'Volver a importar',
                        confirmButtonText: 'Ver catálogo',
                    }).then((r) => {carga(true,1);if(r.isConfirmed){location.href = 'index.php'}else{location.reload()}})
                    // Quitar pantalla de carga
                    carga(false,1)
                },error: function(e){error();carga(false,1)}
            });
            // Mostrar alerta
        } else {Swal.fire({width: 400,icon: 'success',html: 'La importación se cancelo'})}
    })
    // Agregar los valores
    for(x in opci){$(`#p${x}`).val(x).change()}
})
// Funcion para visualizar el los documentos
$(document).on('click','.visualizar',function(){
    // Mostrar pantalla de carga
    carga(true,1)
    // Obtener el id del usuario
    var id = $(this).attr('data-id')
    // Obtener el nombre del registro
    var nb = $(this).attr('data-nb')
    // Obtener el nombre del registro
    var tb = $(this).attr('data-tb')
    // Nombre del archivo
    var av = {
        formato_registro  : 'Formato de registro',
        fotografia_viva   : 'Fotografia viva',
        credencial_atras  : 'Credencial de elector (ATRAS)',
        credencial_frente : 'Credencial de elector (FRENTE)',
    }[tb]
    // Buscar la fotografia en la BD
    $.ajax({
        type: "POST",
        url : `${pin}api/buscar.php`,
        data: {gral : {tabla : `td_${tb}`, selec : tb, where : `WHERE id = '${id}'`}},
        timeout: ajax_time,
        success: function(r){
            // Evaluar existencia en BD
            if(r.length == 1){
                // Mostrar ventana
                Swal.fire({
                    title: `${av}: ${nb}`,
                    html: `<div class="imagen boto_2"><img src="${r[0][tb]}"></div>`,
                    showConfirmButton: false,
                    showCloseButton: true,
                })
                // Quitar la pantalla de carga
                carga(false,1)
                // Mostrar mensaje de error
            } else {error()}
        }
    })
})
// Funcion para imprimir lo que se muestra en la pantalla
$(document).on('click','.swal2-imprimir',function(){window.print()})
// Funcion para mostrar el formato de padron parpol
$(document).on('click','.padron_parpol',function(){
    // Mostrar pantalla de carga
    carga(true,1)
    // Obtener el id de la persona
    var id = $(this).attr('data-id')
    // Buscar sus datos en la bd
    $.ajax({
        type: "POST",
        url: `${pin}api/buscar.php`,
        data: {padron_parpol : id},
        success: function (r){
            // Covertir la respuesta a json
            r = JSON.parse(r)
            // Crear html para la clave de elector
            html_clave_elector = ""
            for(let i = 0; i < 18; i++){html_clave_elector += `<div style="width:100%;height:30px;line-height:30px;text-align:center;border:2px solid #566573;${i < 17 ? 'border-right:0;' : ''}">${r.clave_elector[i] ? r.clave_elector[i] : ''}</div>`}
            // Crear html para la clave de elector
            html_folio_credencial = ""
            for(let i = 0; i < 18; i++){html_folio_credencial += `<div style="width:100%;height:30px;line-height:30px;text-align:center;border:2px solid #566573;${i < 17 ? 'border-right:0;' : ''}">${r.ocr[i] ? r.ocr[i] : ''}</div>`}
            // Mostrar ventana
            Swal.fire({
                width: 600,
                html: `
                    <div style="width:100%;font-size:12px;border:2px solid #566573;margin:20px 0 0 0;text-align:justify;">
                        <div style="width:calc(100% - 40px);margin:20px 20px 0 20px;font-size:14px;font-weight:bold;">DATOS DEL AFILIADO</div>
                        <div style="width:calc(100% - 40px);margin:5px 20px 0 20px;display:flex;gap:20px;">
                            <div style="width:100%;display:flex;flex-wrap:wrap;text-align:center;">
                                <div style="width:100%;height:20px;text-wrap-mode:nowrap;">${r.paterno}</div>
                                <div style="width:100%;height:1px;max-height:0px;border:1px solid #566573;"></div>
                                <div style="width:100%;height:20px;font-weight:600;">APELLIDO PATERNO</div>
                            </div>
                            <div style="width:100%;display:flex;flex-wrap:wrap;text-align:center;">
                                <div style="width:100%;height:20px;text-wrap-mode:nowrap;">${r.materno !== '' ? r.materno : 'SIN DATO'}</div>
                                <div style="width:100%;height:1px;max-height:0px;border:1px solid #566573;"></div>
                                <div style="width:100%;height:20px;font-weight:600;">APELLIDO MATERNO</div>
                            </div>
                        </div>
                        <div style="width:calc(100% - 40px);margin:5px 20px 0 20px;display:flex;gap:20px;">
                            <div style="width:100%;display:flex;flex-wrap:wrap;text-align:center;">
                                <div style="width:100%;height:20px;text-wrap-mode:nowrap;">${r.nombre}</div>
                                <div style="width:100%;height:1px;max-height:0px;border:1px solid #566573;"></div>
                                <div style="width:100%;height:20px;font-weight:600;">NOMBRES(S)</div>
                            </div>
                            <div style="width:100%;display:flex;flex-wrap:wrap;text-align:center;">
                                <div style="width:100%;height:20px;text-wrap-mode:nowrap;">${r.fecha_afiliacion !== undefined ? (r.fecha_afiliacion.slice(0,2) + '/' + r.fecha_afiliacion.slice(2,4) + '/' + r.fecha_afiliacion.slice(4)) : 'SIN DATO'}</div>
                                <div style="width:100%;height:1px;max-height:0px;border:1px solid #566573;"></div>
                                <div style="width:100%;height:20px;font-weight:600;">FECHA DE AFILIACIÓN</div>
                            </div>
                        </div>
                        <div style="width:calc(100% - 40px);margin:20px 20px 0 20px;font-size:14px;font-weight:bold;">DOMICILIO</div>
                        <div style="width:calc(100% - 40px);margin:5px 20px 0 20px;display:flex;gap:20px;">
                            <div style="width:100%;display:flex;flex-wrap:wrap;text-align:center;">
                                <div style="width:100%;height:20px;text-wrap-mode:nowrap;">${r.tipo_vialidad} ${r.vialidad}</div>
                                <div style="width:100%;height:1px;max-height:0px;border:1px solid #566573;"></div>
                                <div style="width:100%;height:20px;font-weight:600;">CALLE</div>
                            </div>
                            <div style="width:100%;display:flex;flex-wrap:wrap;text-align:center;">
                                <div style="width:100%;height:20px;text-wrap-mode:nowrap;">${r.numero_exterior}</div>
                                <div style="width:100%;height:1px;max-height:0px;border:1px solid #566573;"></div>
                                <div style="width:100%;height:20px;font-weight:600;">N. EXT.</div>
                            </div>
                            <div style="width:100%;display:flex;flex-wrap:wrap;text-align:center;">
                                <div style="width:100%;height:20px;text-wrap-mode:nowrap;">${r.numero_interior != '' ? r.numero_interior : 'SIN DATO'}</div>
                                <div style="width:100%;height:1px;max-height:0px;border:1px solid #566573;"></div>
                                <div style="width:100%;height:20px;font-weight:600;">N. INT.</div>
                            </div>
                            <div style="width:100%;display:flex;flex-wrap:wrap;text-align:center;">
                                <div style="width:100%;height:20px;text-wrap-mode:nowrap;">${r.tipo_asentamiento} ${r.asentamiento}</div>
                                <div style="width:100%;height:1px;max-height:0px;border:1px solid #566573;"></div>
                                <div style="width:100%;height:20px;font-weight:600;">CALLE</div>
                            </div>
                        </div>
                        <div style="width:calc(100% - 40px);margin:5px 20px 0 20px;display:flex;gap:20px;">
                            <div style="width:100%;display:flex;flex-wrap:wrap;text-align:center;">
                                <div style="width:100%;height:20px;text-wrap-mode:nowrap;">${r.municipio}</div>
                                <div style="width:100%;height:1px;max-height:0px;border:1px solid #566573;"></div>
                                <div style="width:100%;height:20px;font-weight:600;">ALCALDÍA O MUNICIPIO</div>
                            </div>
                            <div style="width:100%;display:flex;flex-wrap:wrap;text-align:center;">
                                <div style="width:100%;height:20px;text-wrap-mode:nowrap;">${r.entidad}</div>
                                <div style="width:100%;height:1px;max-height:0px;border:1px solid #566573;"></div>
                                <div style="width:100%;height:20px;font-weight:600;">ENTIDAD</div>
                            </div>
                        </div>
                        <div style="width:calc(100% - 40px);margin:20px 20px 0 20px;font-size:14px;font-weight:bold;">CLAVE DE ELECTOR</div>
                        <div style="width:calc(100% - 40px);margin:5px 20px 0 20px;display:flex;">${html_clave_elector}</div>
                        <div style="width:calc(100% - 40px);margin:20px 20px 0 20px;font-size:14px;font-weight:bold;">FOLIO DE LA CREDENCIAL PARA VOTAR</div>
                        <div style="width:calc(100% - 40px);margin:5px 20px 0 20px;display:flex;">${html_folio_credencial}</div>
                        <div style="width:calc(100% - 40px);margin:20px 20px 0 20px;font-size:12px;font-weight:bold;">Manifiesto mi voluntad de afiliarme de manera libre, e individual a [nombre preliminar del partido político en formación]</div>
                        <div style="width:calc(100% - 40px);margin:5px 20px 20px 20px;border:2px solid #566573;display:flex;flex-wrap:wrap;">
                            <div style="width:100%;background:#f8f9f9;border-bottom:2px solid #566573;height:100px;padding:5px;display:flex;justify-content: center;align-items: end;">
                                <div style="width:300px;max-width:300px;display:flex;flex-wrap:wrap;text-align:center;">
                                    <div style="width:100%;height:1px;max-height:0px;border:1px solid #566573;"></div>
                                    <div style="width:100%;height:20px;font-weight:600;">FIRMA O HUELLA DIGÍTAL DEL AFILIADO</div>
                                </div>
                            </div>
                            <div style="width:100%;padding:10px;font-size:12px;">Declaro bajo protesta de decir verdad que no me he afiliado a ninguna otra organización interesada en obtener el registro como partido político nacional, durante el proceso de registro correspondiente a los años 2019-2020.<br>[Aviso de privacidad]</div>
                        </div>
                    </div>
                `,
                showCancelButton: true,
                showConfirmButton: false,
                allowOutsideClick: false,
                cancelButtonText: 'CERRAR',
                confirmButtonText: 'IMPRIMIR',
            }).then((r) => {})
            // Agregar un boton
            $('.swal2-actions').append('<button type="button" class="swal2-imprimir swal2-styled" aria-label="" style="display: inline-block;">IMPRIMIR</button>')
            // Quitar la pantalla de carga
            carga(false,1)
        }
    });
})